2009-03-5	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* plugins/triple_oscillator/artwork.png:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/triple_oscillator/triple_oscillator.h:
	* plugins/triple_oscillator/artwork-dev/artwork.xcf:
	- added Phase Randomness knob to tripleoscillator
	- added artwork-dev folder so it's easier to edit artwork

2009-02-24	Tobias Doerffel <tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/zynaddsubfx/src/Params/PresetsStore.C:
	* plugins/zynaddsubfx/src/Synth/OscilGen.C:
	* plugins/zynaddsubfx/src/UI/OscilGenUI.cc:
	* plugins/zynaddsubfx/src/UI/OscilGenUI.fl:
	follow recent changes in ZynAddSubFX CVS:
	- Fix improper deallocation in PresetsStore
	- Fixed errors with drawing of the Oscillator as reported with valgrind

	* CMakeLists.txt:
	* data/presets/CMakeLists.txt:
	* plugins/CMakeLists.txt:
	* plugins/zynaddsubfx/zynaddsubfx.cpp:
	* plugins/zynaddsubfx/CMakeLists.txt:
	integrated ZynAddSubFX plugin from LMMS-extras into LMMS mainline

2009-02-23	Tobias Doerffel <tobydox/at/users/dot/sourceforge/dot/net>

	* cmake/modules/FindSTK.cmake:
	* CMakeLists.txt:
	reflect changes in MinGW crosscompiling environment, typo fixes

2009-02-21	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/cusis_style.h:
	* src/gui/cusis_style.cpp:
	Make ScrollBar-hover work again in Qt-4.5

2009-02-20	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/gui/tracks/pattern_item.h:
	* include/gui/tracks/track_content_object_item.h:
	* include/gui/tracks/track_item.h:
	* include/gui/tracks/track_container_scene.h:
	* include/gui/tracks/bb_tco_item.h:
	* src/gui/classic_style.cpp:
	* src/gui/tracks/track_content_object_item.cpp:
	* src/gui/tracks/track_item.cpp:
	* src/gui/tracks/track_container_scene.cpp:
	* src/gui/tracks/bb_tco_item.cpp:
	* src/gui/tracks/pattern_item.cpp:
	Fix File headers

	* src/gui/cusis_style.cpp:
	Fix cache collision bug 

	* src/gui/tracks/pattern_item.cpp:
	Place marks once-per-tact

	* src/gui/tracks/bb_tco_item.cpp:
	* src/gui/tracks/track_content_object_item.cpp:
	* src/gui/cusis_style.cpp:
	Add per-TCO coloring and non-linear motion when dragging

	* src/gui/classic_style.cpp:
	Fix text clipping

	* gui/lfo_controller_dialog.cpp:
	QT4.5 fixes our error where Controllers couldn't have backgrounds,
	re-add artwork.

2009-02-19	Paul Giblock <drfaygo/at/gmail/dot/com>
	
	* include/track.h:
	* include/pattern.h:
	Fixed constness

	* include/lmms_style.h:
	* include/classic_style.h:
	* include/cusis_style.h:
	* src/gui/tracks/track_content_object_item.cpp:
	* src/gui/tracks/bb_tco_item.cpp:
	* src/gui/tracks/pattern_item.cpp:
	Move TCO drawing into LMMS style

	* include/lcd_spinbox.h:
	* include/combobox.h:
	Update copyright

	* include/gui/tracks/pattern_item.h:
	* include/gui/tracks/track_content_object_item.h:
	* include/gui/tracks/track_item.h:
	* include/gui/tracks/track_container_scene.h:
	* include/gui/tracks/bb_tco_item.h:
	* src/gui/tracks/track_content_object_item.cpp:
	* src/gui/tracks/track_item.cpp:
	* src/gui/tracks/track_container_scene.cpp:
	* src/gui/main_window.cpp:
	Code style and cleanup

	* src/gui/main_window.cpp:
	Update for model move and resize

	* src/gui/classic_style.cpp:
	Add Classic TCO style back, unoptimized at the moment

	* src/gui/cusis_style.cpp:
	Move Shiny-TCO to Cusis and add pixmap caching

2009-02-19	Tobias Doerffel <tobydox/at/users/dot/sourceforge/dot/net>

	* include/fade_button.h:
	* src/gui/widgets/fade_button.cpp:
	rewrote timing of fading animation for not postponing updates of
	hidden fadeButton until it becomes visible

	* src/gui/widgets/automatable_button.cpp:
	* src/core/track.cpp:
	make sure all buttons in trackOperationsWidget have focus-policy
	set to Qt::NoFocus in order to make space play song even if you clicked
	e.g. a mute-button (closes #2486211)

	* include/note.h:
	* src/core/note.cpp:
	- coding style fixes
	- improved handling of shared detuningHelper object

	* include/instrument_track.h:
	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	* src/gui/song_editor.cpp:
	* src/tracks/instrument_track.cpp:
	fixed various bugs regarding recording:
	- once recording has been started, stop it as soon as playMode of song
	  changes or similiar things happen (closes #2486341)
	- fixed broken record-accompany in most use-cases other than using
	  record-while-playing-song by also tracking NoteOn events and remember
	  current play position to use the correct note postitions on NoteOff
	  events (play position might have wrapped around in the meantime due
	  to looppoints or end of BB track) (closes #2486299, #2486203)
	- move timeLine marker in Piano Roll and autoscroll when recording while
	  playing song (closes #2486334)

2009-02-14	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* src/gui/dialogs/about_dialog.ui:	
	updated copyright and added plug to ##lmms per skiessi's request

2009-02-14	Tobias Doerffel <tobydox/at/users/dot/sourceforge/dot/net>

	* src/3rdparty/samplerate/samplerate.h:
	reverted rev 2037 as we have custom changes in this file

2009-02-13	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/pattern.h:
	* src/tracks/pattern.cpp:
	- added missing slot declaration for abortFreeze(), fixes lockup when
	  freezing pattern (closes #2530320)
	- update patternView after freezing
	- fixed drawing of frozen pattern

	* include/sample_buffer.h:
	* src/core/sample_buffer.cpp:
	- when resampling whole sampleBuffer, set end_of_input = 1 in
	  libsamplerate data struct - fixes lots of zero samples at the end
	  of output buffer (closes #2531452)
	- coding style fixes
	- removed obsolete save/restore of EOF-property in libsample rate
	  data struct when resampling successively (always use 0)

	* src/3rdparty/samplerate/src_linear.c:
	* src/3rdparty/samplerate/samplerate.h:
	* src/3rdparty/samplerate/src_sinc.c:
	* src/3rdparty/samplerate/src_zoh.c:
	* src/3rdparty/samplerate/samplerate.c:
	* CMakeLists.txt:
	integrated latest libsamplerate which is both faster and more reliable

	* src/gui/widgets/visualization_widget.cpp:
	disable output monitor per default and show click-hint

	* include/side_bar.h:
	* include/kmultitabbar.h:
	* include/file_browser.h:
	* include/piano_roll.h:
	* include/track_container_view.h:
	* include/main_window.h:
	* include/fx_mixer_view.h:
	* include/automation_editor.h:
	* include/plugin_browser.h:
	* include/side_bar_widget.h:
	* src/gui/piano_roll.cpp:
	* src/gui/track_container_view.cpp:
	* src/gui/plugin_browser.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/file_browser.cpp:
	* src/gui/resources_tree_view.cpp:
	* src/gui/automation_editor.cpp:
	* src/gui/bb_editor.cpp:
	* src/core/engine.cpp:
	initial support for use of FLUIQ by LMMS - will need lots of tuning
	until it gets usable

	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/tab_widget.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/group_box.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/controller_view.cpp:
	* src/gui/widgets/effect_rack_view.cpp:
	* src/core/track.cpp:
	reverted some of the changes from 2008-11-10 which caused distorted
	graphics when running LMMS with Qt 4.5

2009-02-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/fluiq/collapsible_widget.cpp:
	do not hide menus when collapsing widget

	* src/gui/automation_editor.cpp:
	* include/automation_editor.h:
	* include/piano_roll.h:
	more coding style fixes

	* cmake/modules/Win32Toolchain.cmake:
	reflect recent changes to MinGW cross compiling environment

	* plugins/sf2_player/sf2_player.cpp:
	update patch after loading settings (closes #2486372)

	* src/gui/piano_roll.cpp:
	- ensure, cursor is never NULL when painting it in paintEvent()
	- a lot of coding style fixes

	* src/core/sample_buffer.cpp:
	do not load samples bigger than 100 MB (closes #2458375)

2009-02-11	Andrew Kelley	<superjoe30/at/gmail/dot/com>
	
	* src/gui/main_window.cpp:
	* TODO:
	global playback buttons have more user friendly behavior

2009-02-10	Paul Giblock <drfaygo/at/gmail/dot/com>
	
	* include/gui:
	* include/gui/tracks:
	* include/gui/tracks/track_content_object_item.h:
	* include/gui/tracks/track_item.h:
	* include/gui/tracks/track_container_scene.h:
	* include/track_container.h:
	* include/track.h:
	* src/gui/tracks:
	* src/gui/tracks/track_content_object_item.cpp:
	* src/gui/tracks/track_item.cpp:
	* src/gui/tracks/track_container_scene.cpp:
	* src/gui/main_window.cpp:
	* src/core/track_container.cpp:
	* src/core/track.cpp:
	- Commit initial version of QGraphicsScene-based Song Editor
	- Please save bugreports for another week or so, this is immature code

	* src/gui/tracks/track_content_object_item.cpp:
	* src/gui/tracks/track_item.cpp:
	* src/gui/tracks/bb_tco_item.cpp:
	* src/gui/tracks/pattern_item.cpp:
	* include/gui/tracks/pattern_item.h:
	* include/gui/tracks/bb_tco_item.h:
	* src/gui/main_window.cpp:
	- Add BB and Pattern subclasses
	- Play with some styling, about to move style code into lmmsStyle
	- Add Caching support, but will soon expand with manual-QPixmapCache usage
	  to share common-TCO pixmaps between TCOs.
	- Fix tickmarks on BB-TCOs

2009-02-09	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/basic_filters.h:
	Fix off-by-one enumeration problem with new RC filters

2009-02-08	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/core/instrument_sound_shaping.cpp:
	* include/basic_filters.h:
	- patch in Stefan Fendt's RC filters, updated for HEAD
	- fix code style on new source

2009-02-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/caps/dsp/Eq.h:
	better workaround for optimizer bug in GCC >= 4.3

	* plugins/sid/sid_instrument.cpp:
	* plugins/flp_import/unrtf.cpp:
	* src/core/track.cpp:
	added missing header for compilation with GCC 4.4

	* include/pattern.h:
	* src/tracks/pattern.cpp:
	cleanups

	* src/core/envelope_and_lfo_parameters.cpp:
	- simplified formulas for calculating envelope array resulting in about
	  3x performance with traditional FPU code
	- loops now can be vectorized by GCC 4.4

	* include/mixer.h:
	* include/audio_port.h:
	* src/core/mixer.cpp:
	reworked mixer-threads (synchronization, realization of jobqueue etc.)
	which results in a much better performance and stability

2009-02-04	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* src/gui/piano_roll.cpp:
	* TODO:
	fixed bug: you can use shift+left to move notes past the beginning

2009-02-02	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/main_window.h:
	* src/gui/main_window.cpp:
	- fixed bug: piano roll was still recording when not in record mode
	- use the key L to cycle through playback modes. (this is
	  consistent with FL Studio)

2009-02-01	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* include/song_editor.h:
	* include/main_window.h:
	* src/gui/piano_roll.cpp:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/bb_editor.cpp:
	* TODO:
	Added global playback support. Press space to play/pause from any
	window in LMMS.

2009-02-01	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* src/core/track.cpp:
	integrated pitanga's patch to fix unquantized BB dragging in 
	song editor. Changed ctrl modifier to alt to be consistent.

2009-02-01	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* plugins/flp_import/flp_import.cpp:
	* plugins/flp_import/flp_import.h:
	* src/core/song.cpp:
	* include/import_filter.h:
	- flp import filter will look in the same directory as the
	  .flp file for samples if it cannot find them elsewhere
	- added a zip import filter, which imports FLP zipped packages
	- I tried not to change the import filter API but I needed
	  to be able to set which file was being imported. it is a
	  small addition to the API and I think it is acceptable.
	
	* cmake/modules/FindZIP.cmake:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	added an optional dependency on libzip for importing
	the above mentioned .zip loop files

	* configure:
	added helpful tip

2009-01-31	Paul Giblock <drfaygo/at/gmail/dot/com>
	
	* src/gui/cusis_style.cpp:
	Scrollbar slider now highlights properly on hover

2009-01-29	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/tracks/pattern.cpp:
	Code style

	* src/gui/cusis_style.cpp:
	* include/cusis_style.h:
	Fix blending aronund scrollbar buttons

2009-01-28	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/embed.cpp:
	Cache pixmaps instead of loading new ones each time

	* include/engine.h:
	* include/lmms_style.h:
	* include/classic_style.h:
	* src/gui/classic_style.cpp:
	* src/gui/lmms_style.cpp:
	* src/core/engine.cpp:
	* src/core/main.cpp:
	- Add LmmsStyle class for centralizing palette and drawing.  It isn't
	  perfect, but at least most interesting stylables are in one place now.

	* include/track.h:
	* src/core/track.cpp:
	* src/gui/track_container_view.cpp:
	Properly update track backgrounds when realigning tracks

	* src/gui/widgets/fader.cpp:
	Make fader size flexible

	* src/gui/widgets/controller_rack_view.cpp:
	* src/gui/widgets/effect_rack_view.cpp:
	Prevent Horizontal scroll bars from appearing in some cases

	* src/gui/piano_roll.cpp:
	* src/gui/widgets/visualization_widget.cpp:
	Plug memory leaks

	* src/gui/fx_mixer_view.cpp:
	* src/gui/widgets/combobox.cpp:
	* srg/gui/widgets/graph.cpp:
	* src/gui/widgets/visualization_widget.cpp:
	* src/gui/widgets/led_checkbox.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/text_float.cpp:
	* src/gui/widgets/controller_view.cpp:
	* src/gui/widgets/effect_view.cpp:
	* src/gui/widgets/project_notes.cpp:
	* src/core/track.cpp:
	* src/gui/piano_roll.cpp:
	* src/core/timeline.cpp:
	- Begin themeing widgets with the new LmmsStyle interface
	- Minor tweaks and code style improvements

	* src/gui/widgets/envelope_and_lfo_view.cpp:
	Fix backwards Color-to-gray in env and LFO graphs

	* src/core/track.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/classic_style.cpp:
	Attempt to fix Skiessi's gfx bugs

	* include/cusis_style.h:
	* src/gui/cusis_style.cpp:
	Pull Cusis-style class into SVN

	* data/themes/cusis:
	* data/themes/cusis/led_off.png:
	* data/themes/cusis/scrollarea_corner.png:
	* data/themes/cusis/style.css:
	* data/themes/cusis/toolbar_bg.png:
	* data/themes/cusis/effect_plugin.png:
	* data/themes/cusis/main_toolbar_bg.png:
	* data/themes/cusis/fader_background.png:
	* data/themes/cusis/combobox_bg.png:
	* data/themes/cusis/combobox_arrow.png:
	* data/themes/cusis/led_green.png:
	* data/themes/cusis/fader_leds.png:
	* data/themes/cusis/fader_knob.png:
	* data/themes/cusis/combobox_arrow_selected.png:
	* data/themes/cusis/controller_bg.png:
	Add Cusis-theme artwork

	* data/themes/cusis/theme.xml:
	* data/themes/default/theme.xml:
	* src/core/main.cpp:
	- Add xml files for specifying styles and optional parameters
	- However, we pick the class based on artworkDir path for now...

	* src/tracks/pattern.cpp:
	More widgets customized

2009-01-26	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/tracks/bb_track.cpp:
	Integrate broken BB-clone bug from pitanga

2009-01-25	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/widgets/knob.cpp:
	Fix infinite recursion on Mac OSX

	* plugins/flp_import/unrtf/html.c:
	* plugins/flp_import/unrtf/output.h:
	* plugins/flp_import/unrtf/convert.c:
	Avoid compile warnings

2009-01-03	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/widgets/automatable_button.cpp:
	fix drag support for button groups

2008-12-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	fixed plugins/ directory when updating localization file

	* plugins/flp_import/flp_import.cpp:
	in FL_EffectChannel initialize isMuted member - fixes muted FX channels
	when importing older FLP files

2008-12-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/vst_base/vst_plugin.h:
	* plugins/vst_base/vst_plugin.cpp:
	* plugins/vst_effect/vst_effect_control_dialog.cpp:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/vestige/vestige.cpp:
	fixed crash when adding VST effects

	* include/project_version.h:
	* src/core/project_version.cpp:
	fixed broken version comparing which indicated 0.x.y to be less than
	0.x.y-patch - fixes messed up projects when loading files created
	with LMMS 0.4.0

2008-12-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* cmake/modules/FindSTK.cmake:
	* include/combobox_model.h:
	* include/combobox.h:
	* src/core/config_mgr.cpp:
	* data/CMakeLists.txt:
	* CMakeLists.txt:
	added STK support to win32 version of LMMS

2008-12-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	fixed broken panning support

	* include/instrument.h:
	* include/note_play_handle.h:
	* src/core/note_play_handle.cpp:
	* src/tracks/instrument_track.cpp:
	reverted previous API changes as they can be implemented in a
	generic manner

	* src/tracks/instrument_track.cpp:
	* include/instrument_track.h:
	- do not create a instrument track window just for calling
	  dragEnterEvent() - use a static method instead
	- limit panning in processAudioBuffer()

2008-12-16	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* src/gui/piano_roll.cpp:
	* src/gui/automatable_model_view.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/automatable_slider.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/fader.cpp:
	* src/gui/widgets/automatable_button.cpp:
	* src/gui/automation_editor.cpp:
	* src/tracks/sample_track.cpp:
	* src/tracks/pattern.cpp:
	* src/core/timeline.cpp:
	* src/core/track.cpp:
	* src/core/piano.cpp:
	changed modifier detection from mainWindow::isCtrlPressed etc to
	Qt framework detection. Fixes a bunch of little glitches and
	enables horizontal scroll wheels.

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	* include/note_play_handle.h:
	* src/core/note_play_handle.cpp:
	* include/instrument.h:
	* src/tracks/instrument_track.cpp:
	experimental support for note panning in SF2 player (I'm not sure
	what m_maxChannels should be or how to find it out. I just picked
	what worked for my setup.)

2008-12-15	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/core/track.cpp:
	* include/track.h:
	Cache background per-object instead of per-class.

2008-12-15	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	- if you move or resize a single note, it is deselected after the move 
	  to allow note editing
	- if you pressed both controls at the same time, the piano roll would 
	  get stuck in selection mode (FIXED)
	- shift drag on an unselected note didn't work (FIXED)
	- added a note detuning tool
	- fixed mouse cursor glitch when mousing over notes
	- shift+drag didn't update beat+bassline (FIXED)
	- if a different window was selected and you hold control and then
	  click in the piano roll, it didn't do selection like it should (FIXED)
	
	* src/tracks/instrument_track.cpp:
	fixed crash in processAudioBuffer when notePlayHandle was NULL
	(crashed certain instruments like sf2)

2008-12-14	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	- double click in the note edit area to clear selected notes(allowing
	  you to edit note velocities/panning for all notes)
	- when setting a new note, set panning and volume to that of last
	  clicked on note

2008-12-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	- require at least CMake 2.6.0
	- require at least Qt 4.4.0

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	- improved colors for drawing notes
	- coding style fixes
	- added Andrew as copyright holder
	- cleanups

2008-12-14	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	* TODO:
	- piano roll notes are painted with colors revealing their velocities
	  and panning
	- switching between note edit modes is more clear with label text and
	  a right click menu
	- note volume bars are painted blue if selected
	- dragging around a note in the piano roll makes the correct volume
	  and panning noises
	- fixed Ctrl+Scroll to zoom in
	
	* include/panning.h:
	added panningToMidi function to easily convert panning to a midi value

2008-12-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/group_box.h:
	added NULL as default argument for parent

	* include/effect_rack_view.h:
	* src/gui/widgets/effect_rack_view.cpp:
	manage effectRackView with a QVBoxLayout

	* include/fluiq/collapsible_widget.h:
	* include/fluiq/splitter.h:
	* include/fluiq/workspace.h:
	* src/gui/fluiq/collapsible_widget.cpp:
	* src/gui/fluiq/splitter.cpp:
	* src/gui/fluiq/widget_container.cpp:
	* src/gui/fluiq/workspace.cpp:
	some work on a better widget layouting and more usable splitters in
	combination with CollapsibleWidgets

	* src/core/config_mgr.cpp:
	* src/core/main.cpp:
	* src/core/mmp.cpp:
	* src/gui/about_dialog.cpp:
	* src/gui/main_window.cpp:
	* lmmsversion.h.in:
	* CMakeLists.txt:
	moved version information into separate header file to avoid
	the necessity of a complete recompile each time SVN revision changes

	* include/midi.h:
	- added support for MidiMetaEvents to midiEvent
	- added MidiMetaPanning event

2008-12-13	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	* src/tracks/instrument_track.cpp:
	* TODO:
	- first draft of panning editing. (for now, click the area below 
	  the piano to switch editing modes.)
	- supports horizontal mouse wheel
	- paint notes darker/lighter based on how much volume they have
	 
	* include/panning_constants.h:
	* include/midi.h:
	* include/panning.h:
	- separated panning constants from panningToVolumeVector so that midi.h
	  could have access to PanningLeft, PanningRight, etc
	- added MidiNotePanning meta midi instruction to allow on the fly
	  panning changes to instrument notes 

2008-12-12	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/note.h:
	* src/core/note.cpp:
	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	* TODO:
	- editing note volume and hearing clicked on notes
	  is implemented more cleanly
	- editing note volume only affects selected notes (or all notes if
	  none selected)
	- clicking a note volume no longer affects the nearest volume handle.
	  Instead, select the note(s) whose volumes you want to change and then
	  scribble their volumes.
	- when "scribbling" note volumes, if there is a chord, it will play all
	  3 notes, rather than just the first one
	- if you click towards the end of the key in the piano roll, it plays
	  the note louder than if you play it towards the base
	- note edit area has adjustable height

2008-12-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/automation_pattern.h:
	* src/core/automation_pattern.cpp:
	do not disable automation when just editing first point of an
	automation pattern (closes #2146230)

	* include/automation_pattern_view.h:
	* src/gui/automation_pattern_view.cpp:
	splitted view component out of automation_pattern.*

2008-12-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/vst_base/communication.h:
	* plugins/vst_base/vst_plugin.cpp:
	* plugins/vst_base/remote_vst_plugin.cpp:
	rewrote wide parts of LVSL backend:
	- now supports two threading models which makes LMMS support plugins
	  like Sytrus, z3ta+ etc.
	- on win32 create native widget as parent for plugin's GUI, fixes
	  warning message when loading KarmaSynth (closes #2276787)
	- try more symbol names for entry procedure

	* include/aeffectx.h:
	- made "int"s to "const int"s
	- added CCONST macro

	* include/remote_plugin.h:
	* src/core/remote_plugin.cpp:
	added support for debug messages from remote plugin

2008-12-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/vst_base/vst_plugin.cpp:
	win32-version: fixed crash when using VST plugins without GUI

	* include/effect_chain.h:
	export effectChain for properly building FLP import DLL

2008-12-08	Andrew Kelley	<superjoe30/at/gmail/dot/com>
	
	* src/gui/piano_roll.cpp:
	- ability to scroll left and right while using ctrl to select notes
	- disabled volume bar changes while dragging a selection
	- can select notes even if you can't see them

2008-12-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/resources_tree_model.cpp:
	return appropriate icon for Qt::DecorationRole

	* data/themes/default/mimetypes/plugin.png:
	* data/themes/default/mimetypes/unknown.png:
	* data/themes/default/mimetypes/folder-datadir.png:
	* data/themes/default/mimetypes/sample.png:
	* data/themes/default/mimetypes/image.png:
	* data/themes/default/mimetypes/midi.png:
	* data/themes/default/mimetypes/preset.png:
	* data/themes/default/mimetypes/folder-lsp.png:
	* data/themes/default/mimetypes/folder-workingdir.png:
	* data/themes/default/mimetypes/folder.png:
	added new icons for various MIME types

	* include/resources_db.h:
	* src/core/resources_db.cpp:
	added ResourcesDB::Item::TypeMidiFile

	* include/fluiq/collapsible_widget.h:
	* include/fluiq/splitter.h:
	* include/fluiq/widget.h:
	* include/fluiq/widget_container.h:
	* include/fluiq/workspace.h:
	* src/gui/fluiq/collapsible_widget.cpp:
	* src/gui/fluiq/splitter.cpp:
	* src/gui/fluiq/widget.cpp:
	* src/gui/fluiq/widget_container.cpp:
	* src/gui/fluiq/workspace.cpp:
	* data/themes/default/fluiq/arrow-down.png:
	* data/themes/default/fluiq/arrow-right.png:
	* CMakeLists.txt:
	added initial draft of FLUIQ (Flexible User-Interface with Qt)
	framework (integration patches will follow later)

2008-12-07	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* src/gui/piano_roll.cpp:
	(hopefully) fixed bug where shift+drag wasn't copying notes

	* src/core/timeline.cpp:
	* include/song_editor.h:
	* src/gui/song_editor.cpp:
	- auto-scroll default to disabled
	- fixed glitch where it would auto-scroll even if it was off in
	  song-editor
	
	* src/gui/main_window.cpp:
	worked on global playback/record options in the toolbar. This code
	is still commented out though.

2008-12-05	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* src/core/piano_roll.cpp:
	- don't play notes when you click on one if the song is already playing
	- now you can move and resize unquantized notes in quantized amounts
	- shift+drag to copy one or more notes (we need to figure out some other
	  way to implement note detuning)
	- removed stagnant note movement code 
	- dragging a group of notes to boundary conditions is handled correctly
	- ability to scroll using arrow keys while dragging notes
	
	* include/note.h:
	* src/core/note.cpp:
	refactored code (inline setXXX, etc)
	
	* include/song.h:
	* include/song_editor.h:
	* src/gui/song_editor.cpp:
	* include/main_window.h:
	* src/gui/main_window.cpp:
	moved main window toolbar code from songEditor to mainWindow

2008-12-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	automatically include SVN revision into version number if
	VERSION_SUFFIX is not set

	* src/core/basic_ops_x86_mmx.s:
	* src/core/basic_ops_x86_sse.s:
	* src/core/basic_ops_x86_sse2.s:
	* src/core/basic_ops_x86_64_sse.s:
	* src/core/basic_ops_x86_64_sse2.s:
	regenerated with latest GCC 4.4 - brings in a few more optimizations
	as well as bugfixes

	* plugins/vst_base/remote_vst_plugin.cpp:
	explicitely declare updateSampleRate() and updateBufferSize() as virtual

	* src/tracks/instrument_track.cpp:
	decreased step-property of volumeModel and panningModel from 1.0 to 0.1
	for allowing smoother transitions when automating etc.

2008-12-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* data/locale/ja.ts:
	* data/locale/ja.qm:
	added Japanese localization files by
	Keishi Suenaga <skeishi/at/yahoo/dot/co/dot/jp>

2008-12-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/triple_oscillator/triple_oscillator.cpp:
	per default play sub-octaves of first oscillator in osc 2 and 3

2008-11-29	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	- when you draw a note it clears the selection and selects the new note
	- removed the move tool, it's irrelevant now
	- when dragging right click around to delete notes, show the eraser icon
	- when moving a selection around, show the move icon
	- ctrl+ up / ctrl+down arrow key to move everything up/down 12 semitones
	- shift+left / shift+right to move all notes to the left or right
	- make arrow keys left+right scroll
	
	* src/core/note.cpp:
	got rid of warnings for copy constructor
	
	* TODO:
	you know... todo stuff.

2008-11-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/resources_tree_view.h:
	* src/gui/resources_tree_view.cpp:
	added ResourcesTreeView, a QTreeView implementation for
	ResourcesTreeModel

	* include/resources_tree_model.h:
	* src/core/resources_tree_model.cpp:
	added ResourcesTreeModel, a QAbstractModelItem implementation for
	ResourcesDB

	* include/engine.h:
	* src/core/engine.cpp:
	create a global ResourcesDB instance

	* include/resources_db.h:
	* src/core/resources_db.cpp:
	introduced ResourcesDB class for easily managing all kind of resources
	in the future

2008-11-28	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* src/gui/piano_roll.cpp:
	* src/core/note.cpp:
	copy/paste selection support
	
	* TODO:
	added a bunch

2008-11-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/mmp.h:
	* src/core/mmp.cpp:
	- added new file typ "ResourcesDatabase"
	- impoved code style

	* CMakeLists.txt:
	bumped version to 0.9.0 development series

2008-11-24	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* src/core/basic_ops.cpp:
	* include/note.h:
	* include/pattern.h:
	* src/tracks/pattern.cpp:
	fixed piano roll not playing notes glitch

2008-11-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/basic_ops.cpp:
	fixed alignedMemCpyNoOpt

	* src/core/audio/audio_alsa.cpp:
	fixed pointer additions leading to horrible noises under certain
	circumstances

2008-11-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/basic_ops.cpp:
	fixed compilation on x86_64

2008-11-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/mixer.cpp:
	fixed compilation on x86_64

	* src/core/automatable_model.cpp:
	fixed wrong logic in automatableModel::setValue() which led to bugs when
	changing linked controls to 0

	* src/gui/file_browser.cpp:
	do not allow to import unhandled file types, e.g. ZynAddSubFX presets if
	plugin is not available (closes #2326384)

2008-11-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/flp_import/flp_import.h:
	* plugins/flp_import/flp_import.cpp:
	completely rewrote FLP import filter since it didn't work at all
	anymore - it now doesn't create or change any things in LMMS while
	importing and instead builds up a complete data structure first
	which represents the FL Studio project and then creates an LMMS
	project based upon this data structure
	- now supports projects from FL Studio 3 to 8
	- more verbose debug output
	- import volume, panning, pitch and FX channel for instrument tracks
	- import amplification, loop-mode and reverse-mode settings for
	  AudioFileProcessor
	- import FX mixer settings and effects
	- import automation data
	- import channel- and pattern names
	- import volume and panning settings of individual notes
	- add notes of instrument layer master to each layer children for at
	  least having a complete sound - need to replace with real layering
	  support later
	- map more instruments to various LMMS instruments
	- fixed calculations of length and position of notes
	- fixed importing steps/dots
	- fixed scaling factor of various controls (arpeggio time,
	  envelope sustain and amount, filter cut/res, TripleOsc volumes etc.)
	- if three user defined samples were found for TripleOscillator set
	  first oscillator to oscillator::SawWave

	* plugins/flp_import/unrtf.cpp:
	* plugins/flp_import/CMakeLists.txt:
	* plugins/flp_import/unrtf/error.h:
	* plugins/flp_import/unrtf/output.c:
	* plugins/flp_import/unrtf/html.c:
	* plugins/flp_import/unrtf/output.h:
	* plugins/flp_import/unrtf/malloc.c:
	* plugins/flp_import/unrtf/html.h:
	* plugins/flp_import/unrtf/attr.c:
	* plugins/flp_import/unrtf/parse.c:
	* plugins/flp_import/unrtf/word.c:
	* plugins/flp_import/unrtf/malloc.h:
	* plugins/flp_import/unrtf/util.c:
	* plugins/flp_import/unrtf/attr.h:
	* plugins/flp_import/unrtf/parse.h:
	* plugins/flp_import/unrtf/convert.c:
	* plugins/flp_import/unrtf/word.h:
	* plugins/flp_import/unrtf/util.h:
	* plugins/flp_import/unrtf/hash.c:
	* plugins/flp_import/unrtf/convert.h:
	* plugins/flp_import/unrtf/defs.h:
	* plugins/flp_import/unrtf/hash.h:
	* plugins/flp_import/unrtf/main.h:
	* plugins/flp_import/unrtf/error.c:
	updated to latest version of unrtf and improved string operations

	* src/core/main.cpp:
	added support for importing file from commandline

	* include/effect_chain.h:
	added method for enabling/disabling FX chain

	* include/file_browser.h:
	* src/gui/file_browser.cpp:
	enhanced support for importing various file types directly from browser

	* include/pattern.h:
	* src/tracks/pattern.cpp:
	added method for toggling steps

	* include/fx_mixer.h:
	added method for accessing FX channels

	* plugins/midi_import/midi_import.cpp:
	check for tempoAutomationPattern being NULL for not crashing when
	importing to BB-Editor

	* include/instrument_track.h:
	return pointers instead of references to various internal models

	* include/basic_filters.h:
	* include/bb_track_container.h:
	* include/instrument_track.h:
	* include/pattern.h:
	* include/track_container.h:
	* src/core/instrument_functions.cpp:
	* src/tracks/pattern.cpp:
	* src/gui/track_container_view.cpp:
	coding style fixes

2008-11-13	Andrew Kelley	<superjoe30/at/gmail/dot/com>
	
	* src/gui/piano_roll.cpp:
	- deleted commented code that I forgot to delete earlier

	* TODO:
	merged my personal todo list with the main one

2008-11-13	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* ChangeLog:
	again fixed syntax - please note the colons after filenames

2008-11-13	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	- changed the way selection works
	- you can select any combination of notes
	- delete any combination of notes
	- move multiple notes at once
	- resize multiple notes at once
	- etc
	- hold alt to disable quantization

	* include/note.h:
	* src/core/note.cpp:
	- added m_selected so we know if the note is selected or not
	- added operator< so we can sort notes vector by start time

	* include/pattern.h:
	* src/tracks/pattern.cpp:
	added rearrangeAllNotes for when we move multiple notes in the piano roll 

	* AUTHORS:
	hope you don't mind :-)

2008-11-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/track.cpp:
	* src/core/timeline.cpp:
	* src/core/piano.cpp:
	* src/core/automation_pattern.cpp:
	* src/gui/piano_roll.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/widgets/track_label_button.cpp:
	* src/gui/widgets/visualization_widget.cpp:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/tab_widget.cpp:
	* src/gui/widgets/kmultitabbar.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/cpuload_widget.cpp:
	* src/gui/widgets/fade_button.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/group_box.cpp:
	* src/gui/widgets/fader.cpp:
	* src/gui/widgets/effect_rack_view.cpp:
	* src/gui/widgets/effect_view.cpp:
	* src/gui/automation_editor.cpp:
	set OpaquePaintEvent attribute for all widgets where suitable - makes
	whole GUI less sluggish :)

2008-11-10	Andrew Kelley	<superjoe30/at/gmail/dot/com>

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	- made it so you can hold right click and drag around to delete notes
	- changed ctrl+click from opening automation window to shift+click
	- hold ctrl to temporarily select the select tool

2008-11-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/audio_portaudio.h:
	* include/lmms_basics.h:
	* include/fifo_buffer.h:
	* include/mixer.h:
	* include/audio_port.h:
	* include/audio_dummy.h:
	* include/basic_ops.h:
	* include/audio_sdl.h:
	* include/audio_jack.h:
	* include/audio_device.h:
	* src/core/audio/audio_device.cpp:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_file_wave.cpp:
	* src/core/audio/audio_sdl.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/audio/audio_port.cpp:
	* src/core/audio/audio_portaudio.cpp:
	* src/core/audio/audio_jack.cpp:
	* src/core/audio/audio_pulseaudio.cpp:
	* src/core/basic_ops.cpp:
	* src/core/basic_ops_x86.c:
	* src/core/basic_ops_x86_mmx.s:
	* src/core/basic_ops_x86_sse.s:
	* src/core/basic_ops_x86_sse2.s:
	* src/core/basic_ops_x86_64_sse.s:
	* src/core/basic_ops_x86_64_sse2.s:
	* src/core/mixer.cpp:
	* src/core/main.cpp:
	* src/core/project_renderer.cpp:
	* src/core/fx_mixer.cpp:
	* plugins/ladspa_effect/ladspa_effect.cpp:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	experimental support for MMX/SSE/SSE2 instructions

2008-11-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/sf2_player.cpp:
	fixed broken reference sharing

	* include/automatable_model.h:
	* src/core/automatable_model.cpp:
	fixed loops when adding a controller to a model which is linked to
	another model

	* src/core/effect.cpp:
	call saveSettings()/loadSettings() on model rather than loading/saving
	value directly - fixes lost automation on basic effect controls

2008-10-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	made 0.4.0 release

	* CMakeLists.txt:
	- include all neccessary DLLs in win64 build
	- fix versioning for CPack if no VERSION_SUFFIX is set

	* plugins/sid/sid_instrument.cpp:
	* plugins/papu/papu_instrument.cpp:
	* include/clipboard.h:
	include QtXml/QDomElement rather than Qt/QtXml - fixes compilation on
	OS X

2008-10-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/ladspa_effect.cpp:
	limit processing of TAP Reflector to 192 KHz as it otherwise crashes

	* include/timeline.h:
	* src/gui/piano_roll.cpp:
	fixed autoscroll feature in piano-roll (closes #2204508)

2008-10-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	disabled PortAudio support until a fix for the crash when accepting
	setup-dialog is available

2008-10-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* data/presets/TripleOscillator/SEGuitar.xpf:
	* data/presets/TripleOscillator/SBass2.xpf:
	* data/presets/TripleOscillator/STrash.xpf:
	* data/presets/TripleOscillator/SString.xpf:
	* data/presets/TripleOscillator/SBass.xpf:
	added some cool presets by Skiessi

	* plugins/ladspa_effect/ladspa_effect.cpp:
	added Freeverb to blacklist as it does not work samplerate independent

	* cmake/modules/Win64Toolchain.cmake:
	* cmake/modules/DetectMachine.cmake:
	* cmake/modules/BuildPlugin.cmake:
	* plugins/ladspa_effect/swh/CMakeLists.txt:
	* plugins/ladspa_effect/cmt/CMakeLists.txt:
	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/ladspa_effect/caps/CMakeLists.txt:
	* plugins/ladspa_effect/caps/dsp/windows.h:
	* plugins/vst_base/remote_vst_plugin.cpp:
	* plugins/vst_base/basename.c:
	* plugins/vst_base/CMakeLists.txt:
	* plugins/midi_import/portsmf/allegro.h:
	* src/core/midi/midi_winmm.cpp:
	* src/core/mixer.cpp:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	various fixes for successfully building LMMS for win64

2008-10-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/mixer.h:
	* src/core/mixer.cpp:
	* src/core/project_renderer.cpp:
	- initial (not yet enabled) support for binding mixer threads to CPUs to
	  reduce scheduling overhead and cache misses (gives avg. 10% performance
	  boost)
	- merged mixer-thread with first worker-thread - no more duplicate
	  code for single- and multicore processing and better scheduling
	  on multicore systems

	* include/automatable_model.h:
	* src/core/automatable_model.cpp:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/audio/audio_jack.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/piano.cpp:
	* src/core/controller.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/instrument_midi_io_view.cpp:
	* src/gui/widgets/automatable_slider.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/fader.cpp:
	* src/gui/widgets/automatable_button.cpp:
	* src/tracks/automation_track.cpp:
	do not inline code for fetching value from controller and thus reduce
	header dependencies

	* plugins/vst_effect/CMakeLists.txt:
	* plugins/vestige/CMakeLists.txt:
	* plugins/vst_base/CMakeLists.txt:
	* CMakeLists.txt:
	made building the WINE-part of VST Support Layer optional to allow
	packaging it in separate package (e.g. on 64 bit platforms)

2008-10-25	dieEasy <dieeasy/at/cheapnet/dot/it>

	* data/locale/it.qm:
	* data/locale/it.ts:
	updated Italian localization

2008-10-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* data/locale/cs.qm:
	* data/locale/pt_br.qm:
	* data/locale/es.qm:
	* data/locale/fr.qm:
	* data/locale/nl.qm:
	* data/locale/ir.qm:
	* data/locale/en.ts:
	* data/locale/cs.ts:
	* data/locale/pt_br.ts:
	* data/locale/es.ts:
	* data/locale/fr.ts:
	* data/locale/nl.ts:
	* data/locale/ca.qm:
	* data/locale/ir.ts:
	* data/locale/ru.qm:
	* data/locale/sv.qm:
	* data/locale/ca.ts:
	* data/locale/ru.ts:
	* data/locale/sv.ts:
	* data/locale/en.qm:
	refreshed localization files

	* data/locale/de.ts:
	* data/locale/de.qm:
	updated German localization file

	* src/gui/lfo_controller_dialog.cpp:
	fixed strings

	* include/file_browser.h:
	* src/gui/file_browser.cpp:
	renamed class "listView" to "fileBrowserTreeWidget"

	* cmake/modules/DetectMachine.cmake:
	allow specifying destination directory for libs via CMAKE_INSTALL_LIBDIR

	* src/core/sample_buffer.cpp:
	- fixed out-of-boundary array access when reversing samples
	- optimized loops for loading samples

2008-10-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/plugin.h:
	reverted to rev. 1766 - fixes broken label on LADSPA effects

	* include/knob.h:
	* src/gui/widgets/knob.cpp:
	track focusOutEvents in order to unhide cursor in certain situations

2008-10-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	made 0.4.0-rc3 release

	* README:
	various fixes

	* src/gui/dialogs/about_dialog.ui:
	use QTextEdit rather than QPlainTextEdit for Qt 4.3 compatibility

2008-10-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sid/sid_instrument.cpp:
	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/patman/patman.cpp:
	* plugins/lb302/lb302.cpp:
	* plugins/organic/organic.cpp:
	* plugins/lb303/lb303.cpp:
	* plugins/stereo_matrix/stereo_matrix.cpp:
	* plugins/bass_booster/bass_booster.cpp:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/peak_controller_effect/peak_controller_effect.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/stereo_enhancer/stereo_enhancer.cpp:
	* plugins/papu/papu_instrument.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/vestige/vestige.cpp:
	* plugins/vst_base/vst_base.cpp:
	* plugins/ladspa_browser/ladspa_browser.cpp:
	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	* plugins/kicker/kicker.cpp:
	* plugins/flp_import/flp_import.cpp:
	* plugins/midi_import/midi_import.cpp:
	* include/embed.h:
	* include/lmms_basics.h:
	* include/plugin.h:
	* src/gui/embed.cpp:
	made STRINGIFY_PLUGIN_NAME from embed.h a generic macro STRINGIFY in
	lmms_basics.h

	* include/about_dialog.h:
	* src/gui/about_dialog.cpp:
	* src/gui/dialogs/about_dialog.ui:
	designed-based about dialog

	* src/gui/widgets/rename_dialog.cpp:
	initially select whole string so it can be overwritten easily

	* AUTHORS:
	moved an item to lmms-extras/AUTHORS

	* plugins/vst_base/vst_plugin.h:
	* plugins/vst_base/vst_plugin.cpp:
	* plugins/vst_effect/vst_effect_control_dialog.cpp:
	improved VST GUI embedding (closes #2167745)

	* src/gui/track_container_view.cpp:
	do not call method on deleted trackView but fetch pointer to track
	before deleting trackView (fixes crash when removing a track)

2008-10-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/widgets/track_label_button.cpp:
	more checks before accessing icon - fixes crash when using ZynAddSubFX
	plugin

	* plugins/vst_base/remote_vst_plugin.cpp:
	various tweakings

	* src/core/piano.cpp:
	check for focusWidget() being NULL before checking inheritance - fixes
	crash for example when loading VST plugins

	* src/gui/main_window.cpp:
	use "Root directory" rather than "My computer" in non-win32-version

	* cmake/modules/FindAlsa.cmake:
	* CMakeLists.txt:
	do not create alsaconfig.h

	* plugins/sf2_player/sf2_player.cpp:
	do not mess around with global static pointers for a single instance
	of patchesDialog - create a local object instead (closes #2139701)

	* include/file_browser.h:
	* src/gui/file_browser.cpp:
	added filter feature allowing quick file access

	* include/file_browser.h:
	* src/gui/main_window.cpp:
	* src/gui/file_browser.cpp:
	* data/themes/default/computer.png:
	* data/themes/default/home.png:
	- renamed tab "root" to "My computer"
	- on win32 allow browsing drives in "My computer" tab
	- improved icons for home and "My computer" browser

	* include/embed.h:
	* include/instrument_track.h:
	* include/plugin.h:
	* include/track_label_button.h:
	* src/gui/widgets/track_label_button.cpp:
	in instrument tracks draw icon of instrument rather than displaying the
	full name of the instrument on track label button

	* src/tracks/instrument_track.cpp:
	do not call trackView::dragEnterEvent() if instrument track window
	already accepted drag event - fixes dragging of presets and
	instruments onto track label button

	* src/core/piano.cpp:
	do not reclaim keyboard focus if new focus widget is a QLineEdit

2008-10-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/remote_plugin.h:
	* src/core/remote_plugin.cpp:
	added helper thread processWatcher which monitors the remote plugin
	process - if it terminates unexpectedly, invalidate remotePlugin so
	LMMS doesn't lock up - fixes crashes and lockups when using VST
	plugins or ZynAddSubFX plugin

2008-10-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/piano.cpp:
	reclaim keyboard focus if the current focus-widget lives in the same
	instrument-track-window as the previously active test piano - this way
	running notes are not stopped when modifying a control in the same
	instrument-track-window (closes #2139806)

	* include/file_browser.h:
	* src/gui/file_browser.cpp:
	heavily improved performance when adding items to file browser
	tree-widget (closes #2146218)

2008-10-15	dieEasy <dieeasy/at/cheapnet/dot/it>

	* data/locale/it.qm:
	* data/locale/it.ts:
	updated Italian localization

2008-10-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* data/locale/cs.qm:
	* data/locale/cs.ts:
	added Czech localization by Ludek Cerny <erl/at/erlmedia/dot/cz>

	* src/core/timeline.cpp:
	move position marker lines even if autoscrolling is disabled

	* include/envelope_and_lfo_parameters.h:
	* src/core/envelope_and_lfo_parameters.cpp:
	reverted to rev. 1479 as the optimizations lately completely screwed
	up things...

	* plugins/flp_import/flp_import.cpp:
	* include/basic_filters.h:
	cleanups

2008-10-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* tests/README:
	* tests/emptyproject.mmp:
	first initial "test"

	* src/core/mixer.cpp:
	- use ordered memory semantics for atomic int
	- more debug output when encountering bad jobqueue items

	* CMakeLists.txt:
	improved dependency handling for building manpage

2008-10-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/mmp.h:
	* include/cpuload_widget.h:
	* include/endian_handling.h:
	* include/track.h:
	* include/controller_rack_view.h:
	* include/mixer.h:
	* include/ladspa_manager.h:
	* include/instrument_functions.h:
	* include/sample_buffer.h:
	* include/effect_lib.h:
	* include/midi.h:
	* include/effect_rack_view.h:
	* include/graph.h:
	* include/micro_timer.h:
	* include/envelope_and_lfo_parameters.h:
	* include/piano_roll.h:
	* include/volume.h:
	* include/midi_time.h:
	* include/basic_filters.h:
	* include/journalling_object.h:
	* include/automation_editor.h:
	* include/panning.h:
	* include/project_journal.h:
	* include/play_handle.h:
	* plugins/bit_invader/bit_invader.h:
	* plugins/vibed/vibrating_string.h:
	* plugins/vibed/nine_button_selector.h:
	* plugins/vibed/string_container.h:
	* plugins/vst_base/remote_vst_plugin.cpp:
	* src/core/base64.cpp:
	* src/gui/widgets/side_bar_widget.cpp:
	renamed types.h to lmms_basics.h

2008-10-06	Attila Herman <attila589/at/gmail/dot/com>

	* plugins/papu/papu_intrument.cpp:
	- renamed from PAPU to FreeBoy
	- help added to the knobs

2008-10-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/kicker/kicker.cpp:
	moved constants out of loop

	* include/types.h:
	set global alignment via a #define

	* src/gui/piano_roll.cpp:
	- fixed typo
	- do not crash when pressing right mouse button while moving a note
	  with left mouse button

	* src/core/song.cpp:
	lock mixer while adjusting lengths of notePlayHandles after tempo change

	* src/gui/file_browser.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/audio/audio_port.cpp:
	coding style fixes

	* include/mixer.h:
	* src/core/mixer.cpp:
	removed fine-granular locking of various playHandle-vectors, just use
	one global big lock for everything now - prevents various
	deadlocks (e.g. when previewing samples in file browser)

	* src/gui/automation_editor.cpp:
	in erase-mode do not remove values without clicking

	* src/core/envelope_and_lfo_parameters.cpp:
	fixed what I broke a few hours ago.. (closes #2146864)

	* src/core/mmp.cpp:
	fixed extension for presets

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* include/automatable_model.h:
	* include/automation_pattern.h:
	* src/core/automatable_model.cpp:
	* src/core/ladspa_control.cpp:
	* src/core/automation_pattern.cpp:
	fixed lost automation relations when switching samplerate

	* plugins/lb302/lb302.cpp:
	* plugins/lb302/lb302.h:
	* plugins/bass_booster/bass_booster.cpp:
	* plugins/bass_booster/bass_booster.h:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/peak_controller_effect/peak_controller_effect.cpp:
	* plugins/stereo_enhancer/stereo_enhancer.cpp:
	* plugins/stereo_enhancer/stereo_enhancer.h:
	* plugins/spectrum_analyzer/spectrumanalyzer_control_dialog.cpp:
	* plugins/kicker/kicker.cpp:
	* include/sweep_oscillator.h:
	* include/envelope_and_lfo_parameters.h:
	* include/remote_plugin.h:
	* include/types.h:
	* src/core/midi/midi_client.cpp:
	* src/core/journalling_object.cpp:
	* src/core/audio/audio_pulseaudio.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/effect.cpp:
	* src/core/ladspa_control.cpp:
	* src/core/peak_controller.cpp:
	* src/gui/widgets/visualization_widget.cpp:
	* src/gui/widgets/tempo_sync_knob.cpp:
	- added missing includes to compile with GCC 4.4
	- optimized various loops for getting tree-vectorized, especially with
	  upcoming GCC 4.4

	* CMakeLists.txt:
	use -ftree-vectorize per default - everyone compiling LMMS (which
	needs Qt >= 4.3.0) will at least have GCC 4.1, anyways only makes
	sense when setting C(XX)FLAGS=-march=...

	* include/effect_lib.h:
	improved effectLib for not being based on virtual-functions rather than
	direct function-inlining via template parameter

2008-10-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/lb302/lb302.h:
	* plugins/lb303/lb303.h:
	removed obsolete supportsParallelizing() method

	* src/tracks/instrument_track.cpp:
	fixed volume-scaling for IPH-based but not MIDI-based instruments

	* src/core/envelope_and_lfo_parameters.cpp:
	use memset() rather than initializing the buffer in a loop with 0

	* plugins/ladspa_effect/ladspa_effect.cpp:
	fetch pointer to LADSPA port descriptor once outside the inner loops -
	improves performance of ladspaEffect::processAudioBuffer() by 400%

	* include/types.h:
	faster floating point comparison

	* data/locale/ru.ts:
	added updated Russian localization by Alexey Kouznetsov

	* buildtools/bin2res.cpp:
	* include/mmp.h:
	* include/knob.h:
	* include/effect.h:
	* include/templates.h:
	* include/track.h:
	* include/note.h:
	* include/automatable_model.h:
	* include/import_filter.h:
	* include/mixer.h:
	* include/combobox_model.h:
	* include/ladspa_manager.h:
	* include/instrument.h:
	* include/sample_buffer.h:
	* include/midi.h:
	* include/effect_lib.h:
	* include/sample_record_handle.h:
	* include/shared_object.h:
	* include/plugin.h:
	* include/note_play_handle.h:
	* include/instrument_sound_shaping.h:
	* include/oscillator.h:
	* include/tempo_sync_knob.h:
	* include/midi_time.h:
	* include/remote_plugin.h:
	* include/basic_filters.h:
	* include/journalling_object.h:
	* include/types.h:
	* include/dummy_effect.h:
	* include/automatable_model_view.h:
	* include/inline_automation.h:
	* include/audio_device.h:
	* include/panning.h:
	* include/combobox.h:
	* include/ladspa_2_lmms.h:
	* src/core/preset_preview_play_handle.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/song.cpp:
	* src/core/serializing_object.cpp:
	* src/core/bb_track_container.cpp:
	* src/core/remote_plugin.cpp:
	* src/core/journalling_object.cpp:
	* src/core/automatable_model.cpp:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_sdl.cpp:
	* src/core/audio/audio_portaudio.cpp:
	* src/core/audio/audio_jack.cpp:
	* src/core/main.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/effect.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/controller_connection.cpp:
	* src/core/track.cpp:
	* src/core/engine.cpp:
	* src/core/piano.cpp:
	* src/core/timeline.cpp:
	* src/core/instrument.cpp:
	* src/core/surround_area.cpp:
	* src/core/sample_buffer.cpp:
	* src/core/oscillator.cpp:
	* src/core/automation_pattern.cpp:
	* src/core/lfo_controller.cpp:
	* src/core/sample_record_handle.cpp:
	* src/gui/piano_roll.cpp:
	* src/gui/plugin_browser.cpp:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/widgets/kmultitabbar.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/automation_editor.cpp:
	* src/tracks/sample_track.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/pattern.cpp:
	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	fixed a bunch warnings and remarks issued by Intel Compiler

	* include/fx_mixer.h:
	* src/core/fx_mixer.cpp:
	* src/core/mixer.cpp:
	- use one static jobqueue for not getting problems with cached pointers
	- check for job being NULL
	- improved performance of master mix

	* CMakeLists.txt:
	allow overriding compiler flags

2008-09-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sid/sid_instrument.h:
	* plugins/sid/sid_instrument.cpp:
	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/ladspa_effect/caps/CMakeLists.txt:
	* plugins/patman/patman.cpp:
	* plugins/patman/patman.h:
	* plugins/lb302/lb302.cpp:
	* plugins/lb302/lb302.h:
	* plugins/organic/organic.cpp:
	* plugins/organic/organic.h:
	* plugins/lb303/lb303.cpp:
	* plugins/lb303/lb303.h:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/bit_invader/bit_invader.h:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/vibed/vibed.h:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.h:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/audio_file_processor.h:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/stk/mallets/mallets.h:
	* plugins/papu/papu_instrument.h:
	* plugins/papu/papu_instrument.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	* plugins/vestige/vestige.cpp:
	* plugins/vestige/vestige.h:
	* plugins/kicker/kicker.cpp:
	* plugins/kicker/kicker.h:
	* include/instrument_play_handle.h:
	* include/instrument_track.h:
	* include/instrument.h:
	* include/sample_record_handle.h:
	* include/plugin.h:
	* include/note_play_handle.h:
	* include/sample_play_handle.h:
	* include/remote_plugin.h:
	* include/preset_preview_play_handle.h:
	* include/play_handle.h:
	* src/core/plugin.cpp:
	* src/core/preset_preview_play_handle.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/remote_plugin.cpp:
	* src/core/sample_play_handle.cpp:
	* src/core/mixer.cpp:
	* src/core/instrument.cpp:
	* src/core/sample_record_handle.cpp:
	* src/tracks/instrument_track.cpp:
	removed obsolete instrument-parallelization support as this is handled
	much better by worker threads and adds unneccessary complexity

	* cmake/modules/FindPCHSupport.cmake:
	* INSTALL:
	* CMakeLists.txt:
	- removed (buggy) PCH support
	- added support for CFLAGS and CXXFLAGS environment variables

2008-09-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/sf2_player.cpp:
	use notePlayHandle::getMidiVelocty() rather than
	notePlayHandle::getVolume() for allowing less bright sounds by
	decreasing instrument-track's volume (if soundfont supports it)

	* plugins/sf2_player/sf2_player.h:
	* plugins/vestige/vestige.h:
	* plugins/vibed/vibed.h:
	* include/instrument.h:
	* include/note_play_handle.h:
	* src/core/note_play_handle.cpp:
	* src/tracks/instrument_track.cpp:
	- replaced instrument::notePlayHandleBased() with
	  instrument::isMidiBased()
	- renamed bendable() to isBendable()
	- if the instrument is MIDI based and instrument-track's volume
	  is below 100, adjust velocity of MIDI events and scaling factor when
	  mixing sound

2008-09-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/CMakeLists.txt:
	moved LiveTool to LMMS-extras

	* plugins/live_tool/live_tool.h:
	* plugins/live_tool/live_tool.cpp:
	replaced X11-specific parts by platform independent code but still
	does not work properly

	* src/gui/piano_roll.cpp:
	play preview notes also while playing (closes #2089399)

	* src/gui/widgets/project_notes.cpp:
	minor code improvements

2008-09-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/cmt/src/syndrum.cpp:
	* plugins/ladspa_effect/cmt/src/vcf303.cpp:
	* plugins/ladspa_effect/cmt/src/canyondelay.cpp:
	* plugins/ladspa_effect/cmt/src/lofi.cpp:
	* plugins/ladspa_effect/cmt/src/phasemod.cpp:
	* plugins/ladspa_effect/cmt/src/analogue.cpp:
	* plugins/ladspa_effect/swh/CMakeLists.txt:
	* CMakeLists.txt:
	properly build on OS X

	* src/core/main.cpp:
	do not show splash if environment variable NOSPLASH is set

	* include/audio_portaudio.h:
	* src/core/audio/audio_portaudio.cpp:
	* src/core/audio/audio_pulseaudio.cpp:
	* src/core/sample_buffer.cpp:
	* src/core/sample_record_handle.cpp:
	* src/tracks/sample_track.cpp:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/sid/wave.cc:
	* plugins/sid/sid.cc:
	* plugins/sid/sid.h:
	* plugins/sid/filter.cc:
	fixed compiler warnings

	* src/gui/controller_connection_dialog.cpp:
	do not crash when opening controller connection dialog and using a
	non-sequenced (raw) MIDI-client

	* data/presets/TripleOscillator/SawLead.xpf:
	fixed preset name

2008-09-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	made 0.4.0-rc2 release

	* src/gui/song_editor.cpp:
	* data/themes/default/playpos_marker.png:
	improved appearence of position line

	* src/gui/file_browser.cpp:
	if adding play handle failed for some reason, set internal pointer to
	it to NULL

	* include/play_handle.h:
	made QThread pointer const

	* include/mixer.h:
	* src/core/mixer.cpp:
	- lock playHandle mutex in mixer::clear()
	- moved implementation of mixer::removePlayHandle() from header to
	  source-file
	- only delete play-handle in mixer::removePlayHandle() if it was
	  found in playHandle vector (fixes crash when previewing a preset
	  under high load)

2008-09-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	package ZynAddSubFX into win32 build

	* plugins/vst_base/remote_vst_plugin.cpp:
	* include/remote_plugin.h:
	made remotePluginClient::process() have no return value

	* src/core/main.cpp:
	* data/locale/CMakeLists.txt:
	install and load Qt translation files on win32

	* src/core/song.cpp:
	fixed file-dialog for choosing export filename

	* src/core/project_renderer.cpp:
	start render-thread with normal priority on win32 as otherwise the
	whole GUI is almost frozen

	* CMakeLists.txt:
	removed -Wstrict-aliasing=2 warning

	* src/core/midi/midi_winmm.cpp:
	cleanups

	* include/audio_sdl.h:
	* src/core/audio/audio_sdl.cpp:
	fixed deadlocks after projectRenderer ran

	* src/core/main.cpp:
	set PaintOnScreen property for splash for not taking part of
	compositing management

	* include/song_editor.h:
	* include/timeline.h:
	* src/core/timeline.cpp:
	* src/gui/song_editor.cpp:
	added a vertical position line

	* src/core/midi/midi_winmm.cpp:
	added support for MIDI out in WinMM MIDI client

2008-09-22	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/midi_import/portsmf/allegro.cpp:
	fixed broken SVN on 64bit systems. Who needs these printfs anyways?

	* plugins/lb302/lb302.cpp:
	max wave-shape model's max match the new total of wave-shapes.

	* include/peak_controller.h:
	* src/core/peak_controller.cpp:
	delete controller when effect is destroyed, but not the other way around

2008-09-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/plugin.cpp:
	always return a dummy model in plugin::getChildModel() for not
	crashing if something goes wrong

	* include/controller_connection_dialog.h:
	* src/gui/controller_connection_dialog.cpp:
	automatically enable auto-detect LED when selecting a MIDI device

	* include/remote_plugin.h:
	* src/core/audio/audio_device.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/drumsynth.cpp:
	* src/core/main.cpp:
	* src/core/mixer.cpp:
	* src/core/sample_record_handle.cpp:
	* src/core/track_container.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/lb302/lb302.cpp:
	* plugins/midi_import/portsmf/allegrosmfwr.cpp:
	* plugins/midi_import/portsmf/allegro.cpp:
	* plugins/midi_import/midi_import.cpp:
	* plugins/papu/gb_apu/Blip_Buffer.cpp:
	* plugins/papu/gb_apu/Blip_Synth.h:
	* plugins/papu/gb_apu/blargg_source.h:
	* plugins/papu/gb_apu/Blip_Buffer.h:
	* plugins/sf2_player/sf2_player.cpp:
	fixed compiler warnings

	* src/core/midi/midi_alsa_seq.cpp:
	fixed subscription of output ports

	* include/group_box.h:
	* include/midi.h:
	* include/midi_port.h:
	* include/instrument_midi_io_view.h:
	* src/core/midi/midi_port.cpp:
	* src/gui/widgets/instrument_midi_io_view.cpp:
	* data/themes/default/midi_in.png:
	* data/themes/default/midi_out.png:
	refactored MIDI tab in instrumentTrackWindow which now also allows
	setting arbitrary fixed velocity and defining a program for MIDI output

	* include/midi_mapper.h:
	* src/core/midi/midi_mapper.cpp:
	* data/midi-maps/gm.map:
	* data/midi-maps/YamahaPSS790.map:
	* data/midi-maps/YamahaPSR400.map:
	* data/midi-maps/YamahaPSR500.map:
	* data/midi-maps/YamahaQY10.map:
	* data/midi-maps/README:
	removed obsolete/unused support for MIDI maps

	* CMakeLists.txt:
	enable all compiler warnings per default

	* include/audio_file_ogg.h:
	* include/audio_file_device.h:
	* src/gui/export_project_dialog.cpp:
	* src/core/audio/audio_file_device.cpp:
	* src/core/audio/audio_file_ogg.cpp:
	fixed crashes when exporting as OGG and output file can't be created
	or OGG encoding settings are wrong

	* src/core/automation_pattern.cpp:
	fixed automationPattern::length() for cases where the key of the
	last value was the first tick in a new tact

	* plugins/ladspa_effect/cmt/src/delay.cpp:
	initialize CMT_PluginDescriptor with correct number of ports

	* plugins/ladspa_effect/cmt/src/freeverb/Components/allpass.h:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/comb.h:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/denormals.h:
	fixed strict aliasing violation

	* plugins/ladspa_effect/cmt/src/analogue.cpp:
	initialize members

	* plugins/ladspa_effect/swh/CMakeLists.txt:
	* plugins/ladspa_effect/cmt/CMakeLists.txt:
	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/ladspa_effect/caps/basics.h:
	* plugins/ladspa_effect/CMakeLists.txt:
	- build LADSPA-effect plugin after subdirs have been processed,
	  otherwise LADSPA plugins are linked against Qt4 and so on
	- compile with -fno-strict-aliasing, fixes win32 builds of plugins

2008-09-21	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/config_mgr.h:
	* include/setup_dialog.h:
	* src/gui/main_window.cpp:
	* src/gui/setup_dialog.cpp:
	* src/core/config_mgr.cpp:
	Add support for user-configurable backgound artwork

	* src/core/mmp.cpp:
	* data/samples/drumsynth/r_b:
	* data/samples/drumsynth/r_n_b:
	- Fix incorrect replacement for drumsynth/misc
	- Replace r&b,r_b with r_n_b

	* src/core/main.cpp:
	- Make "could not set realtime priority" sound less like an error
	- Actually commit the file

	* plugins/lb302/lb302.cpp:
	* plugins/lb302/lb302.h:
	* src/core/mmp.cpp:
	* data/themes/default/round_square_wave_inactive.png:
	* data/themes/default/round_square_wave_active.png:
	- Remove useless inverted-saw waveform
	- Add Sine, Noise, and Exponential waveforms
	- Use buttons instead of a knob

	* plugins/bit_invader/bit_invader.cpp:
	* plugins/bit_invader/bit_invader.h:
	- Add support for pitch bend
	- Move smoothing button to a more noticable location
	- Some coding style changes

	* plugins/stk/mallets/mallets.cpp:
	* plugins/stk/mallets/mallets.h:
	Add support for pitch bend

	* src/tracks/instrument_track.cpp:
	* include/instrument_track.h:
	- Correctly update instrumentTrackView when changing the instrument plugin
	- Add bendable property to hide pitchBend knob for Vibed

	* plugins/vibed/vibed.h:
	* include/instrument.h:
	* src/tracks/instrument_track.cpp:
	Hide pitch bend one vibed instrument
	
	* src/gui/setup_dialog.cpp:
	- Minor layout fix
	- Fix incorrect starting directory for STK

	* data/CMakeLists.txt:
	* data/backgrounds:
	* data/backgrounds/CMakeLists.txt:
	* data/backgrounds/lmms_tile.png:
	* data/backgrounds/vinnie.png:
	- Move llama theme background to backgrounds/
	- Resurrect the old background
	- more to come..

	* data/themes/llama:
	* data/themes/llama/background_artwork.png:
	- Remove llama theme

2008-09-20	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/sf2_player.cpp:
	Fix bug introduced in the last edit.  Reference sharing was not working
	at all because the check was performed with a different filename than
	the insert
	
	* plugins/vibed/logo.png:
	Add fabi's improved vibed logo

	* CMakeLists.txt:
	Fix copy-and-paste error in a message

	* plugins/papu/papu_instrument.cpp:
	- Unselect the noise-channel (ch4) by default
	- Coding style changes

	* src/core/song.cpp:
	Add hard-coded file-extension filters to the import file screen

2008-09-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/config_mgr.cpp:
	set default path if a path only contains of a dir-separator

	* data/presets/CMakeLists.txt:
	fixed extension of presets

	* plugins/ladspa_effect/cmt/doc/bugs.html:
	* plugins/ladspa_effect/cmt/doc/plugins.html:
	* plugins/ladspa_effect/cmt/doc/installation.html:
	* plugins/ladspa_effect/cmt/doc/license.html:
	* plugins/ladspa_effect/cmt/doc/tasks.html:
	* plugins/ladspa_effect/cmt/doc/COPYING:
	* plugins/ladspa_effect/cmt/doc/overview.html:
	* plugins/ladspa_effect/cmt/doc/index.html:
	* plugins/ladspa_effect/cmt/doc/adding_plugins.html:
	* plugins/ladspa_effect/cmt/doc/changes.html:
	* plugins/ladspa_effect/cmt/src/sine.cpp:
	* plugins/ladspa_effect/cmt/src/delay.cpp:
	* plugins/ladspa_effect/cmt/src/syndrum.cpp:
	* plugins/ladspa_effect/cmt/src/vcf303.cpp:
	* plugins/ladspa_effect/cmt/src/utils.h:
	* plugins/ladspa_effect/cmt/src/wshape_sine.cpp:
	* plugins/ladspa_effect/cmt/src/canyondelay.cpp:
	* plugins/ladspa_effect/cmt/src/noise.cpp:
	* plugins/ladspa_effect/cmt/src/amp.cpp:
	* plugins/ladspa_effect/cmt/src/disintegrator.cpp:
	* plugins/ladspa_effect/cmt/src/run_adding.h:
	* plugins/ladspa_effect/cmt/src/hardgate.cpp:
	* plugins/ladspa_effect/cmt/src/cmt.cpp:
	* plugins/ladspa_effect/cmt/src/mixer.cpp:
	* plugins/ladspa_effect/cmt/src/filter.cpp:
	* plugins/ladspa_effect/cmt/src/lofi.cpp:
	* plugins/ladspa_effect/cmt/src/am.cpp:
	* plugins/ladspa_effect/cmt/src/phasemod.cpp:
	* plugins/ladspa_effect/cmt/src/grain.cpp:
	* plugins/ladspa_effect/cmt/src/pink.cpp:
	* plugins/ladspa_effect/cmt/src/init.cpp:
	* plugins/ladspa_effect/cmt/src/ambisonic.cpp:
	* plugins/ladspa_effect/cmt/src/pinknoise.h:
	* plugins/ladspa_effect/cmt/src/organ.cpp:
	* plugins/ladspa_effect/cmt/src/null.cpp:
	* plugins/ladspa_effect/cmt/src/logistic.cpp:
	* plugins/ladspa_effect/cmt/src/descriptor.cpp:
	* plugins/ladspa_effect/cmt/src/freeverb/freeverb.cpp:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/allpass.cpp:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/comb.cpp:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/revmodel.h:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/allpass.h:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/comb.h:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/tuning.h:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/denormals.h:
	* plugins/ladspa_effect/cmt/src/freeverb/Components/revmodel.cpp:
	* plugins/ladspa_effect/cmt/src/freeverb/readme.txt:
	* plugins/ladspa_effect/cmt/src/peak.cpp:
	* plugins/ladspa_effect/cmt/src/pink_full.cpp:
	* plugins/ladspa_effect/cmt/src/dynamic.cpp:
	* plugins/ladspa_effect/cmt/src/cmt.h:
	* plugins/ladspa_effect/cmt/src/pink_sh.cpp:
	* plugins/ladspa_effect/cmt/src/analogue.cpp:
	* plugins/ladspa_effect/cmt/src/sledgehammer.cpp:
	* plugins/ladspa_effect/cmt/src/ladspa_types.h:
	* plugins/ladspa_effect/cmt/CMakeLists.txt:
	* plugins/ladspa_effect/CMakeLists.txt:
	* CMakeLists.txt:
	added CMT LADSPA plugins - should be enough then :)

	* plugins/ladspa_effect/swh/ladspa-util.h:
	* plugins/ladspa_effect/swh/phasers_1217.c:
	* plugins/ladspa_effect/swh/vynil_1905.c:
	* plugins/ladspa_effect/swh/mbeq_1197.c:
	* plugins/ladspa_effect/swh/fast_lookahead_limiter_1913.c:
	* plugins/ladspa_effect/swh/flanger_1191.c:
	* plugins/ladspa_effect/swh/comb_1190.c:
	* plugins/ladspa_effect/swh/dc_remove_1207.c:
	* plugins/ladspa_effect/swh/dj_eq_1901.c:
	* plugins/ladspa_effect/swh/util/biquad.h:
	* plugins/ladspa_effect/swh/CMakeLists.txt:
	* plugins/ladspa_effect/swh/AUTHORS:
	* plugins/ladspa_effect/swh/COPYING:
	* plugins/ladspa_effect/swh/README:
	* plugins/ladspa_effect/CMakeLists.txt:
	* CMakeLists.txt:
	added a selection of nice SWH LADSPA plugins

	* include/piano_roll.h:
	* src/gui/piano_roll.cpp:
	fixed quantization when moving selected notes (closes #2118371)

	* plugins/sid/envelope.h:
	* plugins/sid/extfilt.h:
	* plugins/sid/wave.h:
	* plugins/sid/voice.h:
	* plugins/sid/sid.cc:
	* plugins/sid/sid.h:
	* plugins/sid/filter.h:
	* plugins/sid/sid_instrument.cpp:
	renamed class SID to cSID for not conflicting with data structure SID
	in win32 headers

	* include/ladspa_base.h:
	* src/core/ladspa_control.cpp:
	* src/gui/widgets/ladspa_control_view.cpp:
	* plugins/ladspa_effect/ladspa_effect.cpp:
	renamed FLOAT constant to FLOATING for not conflicting with FLOAT type
	in win32 headers

	* include/midi_time.h:
	export MIDI class - DLL version of midiImport plugin needs it

2008-09-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* data/locale/pt_br.qm:
	* data/locale/fr.qm:
	* data/locale/es.qm:
	* data/locale/nl.qm:
	* data/locale/ir.qm:
	* data/locale/en.ts:
	* data/locale/it.qm:
	* data/locale/pt_br.ts:
	* data/locale/fr.ts:
	* data/locale/es.ts:
	* data/locale/nl.ts:
	* data/locale/ir.ts:
	* data/locale/ca.qm:
	* data/locale/it.ts:
	* data/locale/ru.qm:
	* data/locale/de.qm:
	* data/locale/sv.qm:
	* data/locale/ca.ts:
	* data/locale/ru.ts:
	* data/locale/de.ts:
	* data/locale/sv.ts:
	* data/locale/en.qm:
	refreshed localizations

	* CMakeLists.txt:
	added "finalize-locales" target

	* include/config_mgr.h:
	* src/core/config_mgr.cpp:
	* src/core/main.cpp:
	fixed paths when starting with no configuration file

	* src/core/timeline.cpp:
	* src/core/track.cpp:
	* data/themes/default/playpos_marker.png:
	* data/themes/default/loop_points_on.png:
	* data/themes/default/style.css:
	* data/themes/default/loop_point_disabled.png:
	* data/themes/default/autoscroll_off.png:
	* data/themes/default/loop_point.png:
	* data/themes/default/autoscroll_on.png:
	* data/themes/default/loop_points_off.png:
	improved visual appearence of timeline

	* CMakeLists.txt:
	improved detection of Qt4 translation directory

2008-09-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/fx_mixer_view.cpp:
	fixed tooltip of mute button

	* data/presets/AudioFileProcessor/Fat-Reversed-Kick.xpf:
	* data/presets/AudioFileProcessor/orion.xpf:
	* data/presets/AudioFileProcessor/Kick-4-your-Subwoofer.xpf:
	* data/presets/AudioFileProcessor/Erazor.cs.xml:
	* data/presets/AudioFileProcessor/Bass-Mania.xpf:
	* data/presets/AudioFileProcessor/Fat-Reversed-Kick.cs.xml:
	* data/presets/AudioFileProcessor/Kick-4-your-Subwoofer.cs.xml:
	* data/presets/AudioFileProcessor/Bass-Mania.cs.xml:
	* data/presets/AudioFileProcessor/Erazor.xpf:
	* data/presets/LB302/Oh:
	* data/presets/LB302/GoodOldTimes.xpf:
	* data/presets/LB302/Oh:
	* data/presets/Organic/organ_swish.xpf:
	* data/presets/Organic/pad_ethereal.cs.xml:
	* data/presets/Organic/organ_swish.cs.xml:
	* data/presets/Organic/puresine.xpf:
	* data/presets/Organic/default.cs.xml:
	* data/presets/Organic/organ_blues.xpf:
	* data/presets/Organic/puresine.cs.xml:
	* data/presets/Organic/sequencer_64.xpf:
	* data/presets/Organic/organ_blues.cs.xml:
	* data/presets/Organic/organ_risingsun.xpf:
	* data/presets/Organic/pad_sweep.xpf:
	* data/presets/Organic/pad_rich.xpf:
	* data/presets/Organic/sequencer_64.cs.xml:
	* data/presets/Organic/pad_ethereal.xpf:
	* data/presets/Organic/pad_sweep.cs.xml:
	* data/presets/Organic/organ_risingsun.cs.xml:
	* data/presets/Organic/pad_rich.cs.xml:
	* data/presets/BitInvader/drama.xpf:
	* data/presets/BitInvader/pluck.cs.xml:
	* data/presets/BitInvader/bell.cs.xml:
	* data/presets/BitInvader/spacefx.xpf:
	* data/presets/BitInvader/drama.cs.xml:
	* data/presets/BitInvader/default.cs.xml:
	* data/presets/BitInvader/cello.xpf:
	* data/presets/BitInvader/soft_pad.xpf:
	* data/presets/BitInvader/spacefx.cs.xml:
	* data/presets/BitInvader/alien_strings.xpf:
	* data/presets/BitInvader/toy_piano.xpf:
	* data/presets/BitInvader/subbass.xpf:
	* data/presets/BitInvader/wah_synth.xpf:
	* data/presets/BitInvader/cello.cs.xml:
	* data/presets/BitInvader/soft_pad.cs.xml:
	* data/presets/BitInvader/sweep_pad.xpf:
	* data/presets/BitInvader/beehive.xpf:
	* data/presets/BitInvader/toy_piano.cs.xml:
	* data/presets/BitInvader/alien_strings.cs.xml:
	* data/presets/BitInvader/subbass.cs.xml:
	* data/presets/BitInvader/wah_synth.cs.xml:
	* data/presets/BitInvader/epiano.xpf:
	* data/presets/BitInvader/sweep_pad.cs.xml:
	* data/presets/BitInvader/beehive.cs.xml:
	* data/presets/BitInvader/bell.xpf:
	* data/presets/BitInvader/pluck.xpf:
	* data/presets/BitInvader/epiano.cs.xml:
	* data/presets/Vibed/SadPad.cs.xml:
	* data/presets/Vibed/Harpsichord.xpf:
	* data/presets/Vibed/SadPad.xpf:
	* data/presets/Vibed/Harpsichord.cs.xml:
	* data/presets/TripleOscillator/Short4.xpf:
	* data/presets/TripleOscillator/Arpeggio_1.cs.xml:
	* data/presets/TripleOscillator/Fat-FMish-Bells.cs.xml:
	* data/presets/TripleOscillator/AmazingBubbles.xpf:
	* data/presets/TripleOscillator/HiPad.xpf:
	* data/presets/TripleOscillator/Whistle.cs.xml:
	* data/presets/TripleOscillator/Plucked.xpf:
	* data/presets/TripleOscillator/SawLead.cs.xml:
	* data/presets/TripleOscillator/Harp-of-a-Fairy.cs.xml:
	* data/presets/TripleOscillator/Short4.cs.xml:
	* data/presets/TripleOscillator/ArpKing.xpf:
	* data/presets/TripleOscillator/Dull-Bell-Arp.xpf:
	* data/presets/TripleOscillator/Rough!.cs.xml:
	* data/presets/TripleOscillator/Plucked.cs.xml:
	* data/presets/TripleOscillator/Harmonium.xpf:
	* data/presets/TripleOscillator/E-Organ.cs.xml:
	* data/presets/TripleOscillator/Gong.cs.xml:
	* data/presets/TripleOscillator/ArpKing.cs.xml:
	* data/presets/TripleOscillator/AnalogDreamz.xpf:
	* data/presets/TripleOscillator/Harmonium.cs.xml:
	* data/presets/TripleOscillator/PowerStrings.xpf:
	* data/presets/TripleOscillator/SpaceBass.cs.xml:
	* data/presets/TripleOscillator/RaveBass.cs.xml:
	* data/presets/TripleOscillator/ResonantPad.xpf:
	* data/presets/TripleOscillator/SawLead.xpf:
	* data/presets/TripleOscillator/Fat.cs.xml:
	* data/presets/TripleOscillator/ResoBass.xpf:
	* data/presets/TripleOscillator/LovelyDream.xpf:
	* data/presets/TripleOscillator/AnalogTimes2.xpf:
	* data/presets/TripleOscillator/RockOrgan.xpf:
	* data/presets/TripleOscillator/TB303-Arpeggio.xpf:
	* data/presets/TripleOscillator/Xylophon.cs.xml:
	* data/presets/TripleOscillator/E-Organ.xpf:
	* data/presets/TripleOscillator/Short3.cs.xml:
	* data/presets/TripleOscillator/LovelyDream.cs.xml:
	* data/presets/TripleOscillator/SoftStrings.cs.xml:
	* data/presets/TripleOscillator/DeathBass.xpf:
	* data/presets/TripleOscillator/Play-some-rock.xpf:
	* data/presets/TripleOscillator/TranceLead.xpf:
	* data/presets/TripleOscillator/MoveYourBody.xpf:
	* data/presets/TripleOscillator/SpaceBass.xpf:
	* data/presets/TripleOscillator/Harpsichord.xpf:
	* data/presets/TripleOscillator/Freaky-Bass.xpf:
	* data/presets/TripleOscillator/MoveYourBody.cs.xml:
	* data/presets/TripleOscillator/PowerStrings.cs.xml:
	* data/presets/TripleOscillator/Fat-FMish-Bells.xpf:
	* data/presets/TripleOscillator/Arpeggio_1.xpf:
	* data/presets/TripleOscillator/Freaky-Bass.cs.xml:
	* data/presets/TripleOscillator/Bell.xpf:
	* data/presets/TripleOscillator/Arpeggio_2.xpf:
	* data/presets/TripleOscillator/Xylophon.xpf:
	* data/presets/TripleOscillator/Jupiter.xpf:
	* data/presets/TripleOscillator/SawReso.xpf:
	* data/presets/TripleOscillator/LFO-party.cs.xml:
	* data/presets/TripleOscillator/ResonantPad.cs.xml:
	* data/presets/TripleOscillator/Rough!.xpf:
	* data/presets/TripleOscillator/Distorted-FM-Bass.xpf:
	* data/presets/TripleOscillator/Kick.cs.xml:
	* data/presets/TripleOscillator/Short2.cs.xml:
	* data/presets/TripleOscillator/SawReso.cs.xml:
	* data/presets/TripleOscillator/TheFirstOne.xpf:
	* data/presets/TripleOscillator/SoftBass.cs.xml:
	* data/presets/TripleOscillator/AmazingBubbles.cs.xml:
	* data/presets/TripleOscillator/HiPad.cs.xml:
	* data/presets/TripleOscillator/TB303-Arpeggio.cs.xml:
	* data/presets/TripleOscillator/Distorted-FM-Bass.cs.xml:
	* data/presets/TripleOscillator/Analogous.cs.xml:
	* data/presets/TripleOscillator/TheMaster.cs.xml:
	* data/presets/TripleOscillator/WarmStack.cs.xml:
	* data/presets/TripleOscillator/Ravemania.xpf:
	* data/presets/TripleOscillator/PluckArpeggio.cs.xml:
	* data/presets/TripleOscillator/Square.cs.xml:
	* data/presets/TripleOscillator/Play-some-rock.cs.xml:
	* data/presets/TripleOscillator/TranceLead.cs.xml:
	* data/presets/TripleOscillator/Ravemania.cs.xml:
	* data/presets/TripleOscillator/OldComputerGames.xpf:
	* data/presets/TripleOscillator/Harpsichord.cs.xml:
	* data/presets/TripleOscillator/MoogArpeggio.xpf:
	* data/presets/TripleOscillator/Snare.cs.xml:
	* data/presets/TripleOscillator/Harp-of-a-Fairy.xpf:
	* data/presets/TripleOscillator/FutureBass.xpf:
	* data/presets/TripleOscillator/Fat-TB303-Arp.xpf:
	* data/presets/TripleOscillator/SoftBass.xpf:
	* data/presets/TripleOscillator/Bell.cs.xml:
	* data/presets/TripleOscillator/Arpeggio_2.cs.xml:
	* data/presets/TripleOscillator/SoftStrings.xpf:
	* data/presets/TripleOscillator/MoogArpeggio.cs.xml:
	* data/presets/TripleOscillator/Short1.cs.xml:
	* data/presets/TripleOscillator/FatCheese.xpf:
	* data/presets/TripleOscillator/Analogous.xpf:
	* data/presets/TripleOscillator/ResoBass.cs.xml:
	* data/presets/TripleOscillator/Jupiter.cs.xml:
	* data/presets/TripleOscillator/Fat-TB303-Arp.cs.xml:
	* data/presets/TripleOscillator/FutureBass.cs.xml:
	* data/presets/TripleOscillator/Gong.xpf:
	* data/presets/TripleOscillator/TB303.xpf:
	* data/presets/TripleOscillator/RockOrgan.cs.xml:
	* data/presets/TripleOscillator/AnalogTimes2.cs.xml:
	* data/presets/TripleOscillator/PluckArpeggio.xpf:
	* data/presets/TripleOscillator/TheMaster.xpf:
	* data/presets/TripleOscillator/WarmStack.xpf:
	* data/presets/TripleOscillator/FatCheese.cs.xml:
	* data/presets/TripleOscillator/Bell_2.xpf:
	* data/presets/TripleOscillator/Square.xpf:
	* data/presets/TripleOscillator/TheFirstOne.cs.xml:
	* data/presets/TripleOscillator/TB303.cs.xml:
	* data/presets/TripleOscillator/AnalogTimes.xpf:
	* data/presets/TripleOscillator/Dull-Bell-Arp.cs.xml:
	* data/presets/TripleOscillator/ChurchOrgan.xpf:
	* data/presets/TripleOscillator/Kick2.xpf:
	* data/presets/TripleOscillator/Bell_2.cs.xml:
	* data/presets/TripleOscillator/RaveBass.xpf:
	* data/presets/TripleOscillator/Snare.xpf:
	* data/presets/TripleOscillator/ChurchOrgan.cs.xml:
	* data/presets/TripleOscillator/Kick2.cs.xml:
	* data/presets/TripleOscillator/AnalogTimes.cs.xml:
	* data/presets/TripleOscillator/E-Organ2.xpf:
	* data/presets/TripleOscillator/Fat.xpf:
	* data/presets/TripleOscillator/AnalogDreamz.cs.xml:
	* data/presets/TripleOscillator/LFO-party.xpf:
	* data/presets/TripleOscillator/Whistle.xpf:
	* data/presets/TripleOscillator/Short1.xpf:
	* data/presets/TripleOscillator/OldComputerGames.cs.xml:
	* data/presets/TripleOscillator/Kick.xpf:
	* data/presets/TripleOscillator/Short2.xpf:
	* data/presets/TripleOscillator/Short3.xpf:
	* src/gui/main_window.cpp:
	* src/gui/file_browser.cpp:
	* src/tracks/instrument_track.cpp:
	changed preset's extension from "*.cs.xml" to "*.xpf"

	* include/instrument_track.h:
	* include/track.h:
	* include/track_label_button.h:
	* src/core/bb_track_container.cpp:
	* src/core/track.cpp:
	* src/gui/widgets/track_label_button.cpp:
	* src/tracks/automation_track.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/sample_track.cpp:
	- when used on instrumentTrack, also show instrument name on
	  trackLabelButton
	- removed obsolete support for choosing custom track icons

	* src/core/mixer.cpp:
	when just rendering at console, use DEFAULT_BUFFER_SIZE

	* data/track_icons/harp02.png:
	* data/track_icons/harp03.png:
	* data/track_icons/cello01.png:
	* data/track_icons/guitar_electric01.png:
	* data/track_icons/piano01.png:
	* data/track_icons/guitar_electric02.png:
	* data/track_icons/maracas01.png:
	* data/track_icons/guitar_electric03.png:
	* data/track_icons/guitar_electric04.png:
	* data/track_icons/connectors01.png:
	* data/track_icons/drumset01_.png:
	* data/track_icons/trombone01.png:
	* data/track_icons/CMakeLists.txt:
	* data/track_icons/african_drum01.png:
	* data/track_icons/french_horn01.png:
	* data/track_icons/african_drum02.png:
	* data/track_icons/mouth01.png:
	* data/track_icons/african_drum03.png:
	* data/track_icons/african_drum04.png:
	* data/track_icons/african_drum05.png:
	* data/track_icons/gramophone01.png:
	* data/track_icons/trumpet01.png:
	* data/track_icons/violin01.png:
	* data/track_icons/trumpet02.png:
	* data/track_icons/violin02.png:
	* data/track_icons/trumpet03.png:
	* data/track_icons/microphone01.png:
	* data/track_icons/guitar_bass01.png:
	* data/track_icons/trumpet04.png:
	* data/track_icons/microphone02.png:
	* data/track_icons/microphone03.png:
	* data/track_icons/microphone04.png:
	* data/track_icons/flute01.png:
	* data/track_icons/oboe01.png:
	* data/track_icons/xylophone01.png:
	* data/track_icons/guitar_accoustic01.png:
	* data/track_icons/guitar_accoustic02.png:
	* data/track_icons/speaker01.png:
	* data/track_icons/harp01.png:
	* data/track_icons/guitar_accoustic03.png:
	* data/CMakeLists.txt:
	finally removed obsolete track icons

2008-09-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/sf2_player.cpp:
	try to use relative paths for s_fonts map too as otherwise
	s_fonts.remove( m_filename ) won't do anything if a full path was
	inserted and m_filename was made relative - fixes crash when
	re-opening a soundfont which was shared before

	* plugins/midi_import/portsmf/strparse.cpp:
	fixed compilation issue

2008-09-16	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	* plugins/midi_import/portsmf:
	* plugins/midi_import/portsmf/allegrowr.cpp:
	* plugins/midi_import/portsmf/trace.cpp:
	* plugins/midi_import/portsmf/algsmfrd_internal.h:
	* plugins/midi_import/portsmf/trace.h:
	* plugins/midi_import/portsmf/strparse.cpp:
	* plugins/midi_import/portsmf/allegrosmfwr.cpp:
	* plugins/midi_import/portsmf/mfmidi.cpp:
	* plugins/midi_import/portsmf/strparse.h:
	* plugins/midi_import/portsmf/mfmidi.h:
	* plugins/midi_import/portsmf/allegrord.cpp:
	* plugins/midi_import/portsmf/license.txt:
	* plugins/midi_import/portsmf/allegrosmfrd.cpp:
	* plugins/midi_import/portsmf/allegro.cpp:
	* plugins/midi_import/portsmf/allegroserial.cpp:
	* plugins/midi_import/portsmf/algrd_internal.h:
	* plugins/midi_import/portsmf/allegro.h:
	* plugins/midi_import/portsmf/README.txt:
	* plugins/midi_import/CMakeLists.txt:
	* plugins/midi_import/midi_import.cpp:
	* include/meter_model.h:
	* include/instrument_track.h:
	* include/config_mgr.h:
	* include/plugin.h:
	* include/setup_dialog.h:
	* src/gui/setup_dialog.cpp:
	* src/core/plugin.cpp:
	* src/core/config_mgr.cpp:
	- Add Portsmf-based MIDI import to trunk
	- Add default-sf2 to settings dialog, but currently only loads when
	  importing a MIDI

	* src/gui/piano_roll.cpp:
	- Add new shortcuts for change Q and note length
	- Add "Note lock" mode to keep Q equal to note length

2008-09-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/track_container_view.cpp:
	* src/core/track.cpp:
	disabled undo/redo of track/TCO addition/removal as not mature yet and
	causes unneccessary crashes (closes #2014439, #2100407)

	* data/projects/cool_songs/Skiessi-TurningPoint.mmpz:
	* data/projects/cool_songs/Skiessi-RandomProjectNumber14253.mmpz:
	added two cool projects from Skiessi - more to come

	* src/core/track.cpp:
	* src/core/automation_pattern.cpp:
	- fixed cloning of automation-patterns (closes #2102218)
	- allow dropping automation patterns onto existing automation patterns

	* src/core/project_journal.cpp:
	improved usage of random number generator (closes #2109211)

	* plugins/ladspa_effect/tap/tap_pinknoise.c:
	* plugins/ladspa_effect/caps/interface.cc:
	* src/core/drumsynth.cpp:
	* src/core/main.cpp:
	don't mis-initialize random number generator with default value

	* src/core/journalling_object.cpp:
	print name of object which uses ID if another object requests it

	* src/core/automation_pattern.cpp:
	make sure we don't return NULL in automationPattern::firstObject()

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* include/engine.h:
	* include/effect_rack_view.h:
	* include/effect_chain.h:
	* src/core/effect_chain.cpp:
	* src/core/preset_preview_play_handle.cpp:
	* src/core/engine.cpp:
	* src/gui/widgets/effect_rack_view.cpp:
	- do not show messages about missing plugins when previewing
	  presets (closes #2110203)
	- clear effect view before loading settings in effectChain

	* CMakeLists.txt:
	improved out-of-tree builds

2008-09-14	Csaba Hruska <csaba.hruska/at/gmail.com>
	
	* src/core/audio/audio_portaudio.cpp:
	Bugfix: Fixed segfault when other app uses and blocks the audio device

2008-09-08	Paul Giblock <drfaygo/at/gmail/dot/com>
	
	* src/core/timeline.cpp:
	Keep loop markers from being in same position

2008-09-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/audio_port.h:
	* include/midi.h:
	* include/mixer.h:
	* include/play_handle.h:
	* include/sample_play_handle.h:
	* include/track.h:
	* src/core/audio/audio_port.cpp:
	* src/core/effect_chain.cpp:
	* src/core/mixer.cpp:
	* src/core/sample_play_handle.cpp:
	* src/core/track.cpp:
	- ensure correct thread affinity when deleting play handles - fixes
	  crash when previewing samples and LMMS was linked against Qt 4.3.x
	- renamed destroyed()-signals for not conflicting with
	  QObject::destroyed() in Qt 4.3
	- made effectChain creation in audioPort optional
	- fixed various compiler warnings

2008-09-08	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/papu/gb_abu/Blip_Buffer.cpp:
	Fix PAPU for 64bit machines

2008-09-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	made 0.4.0-rc1 release

	* plugins/vst_base/CMakeLists.txt:
	* CMakeLists.txt:
	- fixed win32-specific build issues
	- on Linux install manpage

	* include/gui_templates.h:
	* src/core/instrument_sound_shaping.cpp:
	* src/gui/widgets/instrument_sound_shaping_view.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* data/locale/de.qm:
	* data/locale/de.ts:
	further UI finetuning

	* include/midi_winmm.h:
	* src/core/midi/midi_winmm.cpp:
	finally made WinMM MIDI driver work properly by fixing internal data
	structures

	* buildtools/bin2res.cpp:
	* plugins/bit_invader/logo.png:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/bit_invader/wavegraph.png:
	* plugins/bit_invader/wavegraph3.png:
	* plugins/bit_invader/artwork.png:
	* plugins/lb302/artwork.png:
	* plugins/papu/artwork.png:
	* plugins/sf2_player/chorus_off.png:
	* plugins/sf2_player/chorus_on.png:
	* plugins/sf2_player/logo.png:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/fileselect_off.png:
	* plugins/sf2_player/fileselect_on.png:
	* plugins/sf2_player/reverb_off.png:
	* plugins/sf2_player/patches_off.png:
	* plugins/sf2_player/patches_on.png:
	* plugins/sf2_player/artwork.png:
	* plugins/sid/3off.png:
	* plugins/sid/8580red.png:
	* plugins/sid/trianglered.png:
	* plugins/sid/logo.png:
	* plugins/sid/bp.png:
	* plugins/sid/6581.png:
	* plugins/sid/8580.png:
	* plugins/sid/syncred.png:
	* plugins/sid/hp.png:
	* plugins/sid/lp.png:
	* plugins/sid/sync.png:
	* plugins/sid/noise.png:
	* plugins/sid/test.png:
	* plugins/sid/pulsered.png:
	* plugins/sid/filter.png:
	* plugins/sid/sawred.png:
	* plugins/sid/3offred.png:
	* plugins/sid/pulse.png:
	* plugins/sid/artwork.png:
	* plugins/sid/saw.png:
	* plugins/sid/bpred.png:
	* plugins/sid/6581red.png:
	* plugins/sid/ring.png:
	* plugins/sid/hpred.png:
	* plugins/sid/triangle.png:
	* plugins/sid/lpred.png:
	* plugins/sid/noisered.png:
	* plugins/sid/testred.png:
	* plugins/sid/filterred.png:
	* plugins/sid/ringred.png:
	* plugins/spectrum_analyzer/log_x_axis.png:
	* plugins/spectrum_analyzer/log_y_axis.png:
	* plugins/spectrum_analyzer/background.png:
	* plugins/spectrum_analyzer/spectrum_background.png:
	* plugins/spectrum_analyzer/spectrum_background_plain.png:
	* plugins/vestige/vestige.cpp:
	* plugins/vst_base/remote_vst_plugin.cpp:
	* data/themes/default/groupbox_led_bg.png:
	* include/aeffectx.h:
	* include/effect_rack_view.h:
	* include/group_box.h:
	* include/gui_templates.h:
	* src/core/piano.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/plugin_browser.cpp:
	* src/gui/widgets/effect_rack_view.cpp:
	* src/gui/widgets/group_box.cpp:
	* src/gui/widgets/instrument_function_views.cpp:
	* src/gui/widgets/instrument_midi_io_view.cpp:
	* src/gui/widgets/instrument_sound_shaping_view.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/tab_widget.cpp:
	UI finetuning / recompression of some PNG-files

	* src/core/remote_plugin.cpp:
	improved destruction

	* src/core/mixer.cpp:
	re-enabled WinMM MIDI

	* include/midi_winmm.h:
	* src/core/midi/midi_winmm.cpp:
	create separate thread for WinMM MIDI

2008-09-08	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sid/logo.png:
	Un-box the sid logo

	* plugins/papu:
	* plugins/papu/Basic_Gb_Apu.cpp:
	* plugins/papu/btn_off.png:
	* plugins/papu/btn_on.png:
	* plugins/papu/papu_instrument.h:
	* plugins/papu/logo.png:
	* plugins/papu/Basic_Gb_Apu.h:
	* plugins/papu/btn_up.png:
	* plugins/papu/btn_15.png:
	* plugins/papu/btn_7.png:
	* plugins/papu/artwork.png:
	* plugins/papu/gb_apu:
	* plugins/papu/gb_apu/Blip_Buffer.cpp:
	* plugins/papu/gb_apu/Gb_Oscs.cpp:
	* plugins/papu/gb_apu/Blip_Synth.h:
	* plugins/papu/gb_apu/Gb_Apu.h:
	* plugins/papu/gb_apu/blargg_source.h:
	* plugins/papu/gb_apu/Multi_Buffer.cpp:
	* plugins/papu/gb_apu/Blip_Buffer.h:
	* plugins/papu/gb_apu/Gb_Oscs.h:
	* plugins/papu/gb_apu/boost:
	* plugins/papu/gb_apu/boost/config.hpp:
	* plugins/papu/gb_apu/boost/cstdint.hpp:
	* plugins/papu/gb_apu/boost/static_assert.hpp:
	* plugins/papu/gb_apu/Multi_Buffer.h:
	* plugins/papu/gb_apu/LGPL.txt:
	* plugins/papu/gb_apu/blargg_common.h:
	* plugins/papu/gb_apu/Gb_Apu.cpp:
	* plugins/papu/btn_down.png:
	* plugins/papu/CMakeLists.txt:
	* plugins/papu/papu_instrument.cpp:
	* plugins/CMakeLists.txt:
	- Add Csaba and Attila's GameBoy emulator so it can be tested in RC1
	- Update artwork to something not trademarked. "Freeboy" is just for now

2008-09-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/patman/patman.cpp:
	* plugins/patman/patman.h:
	- apply release of 128 frames
	- enable loop mode per default

	* plugins/patman/patman.cpp:
	* plugins/patman/patman.h:
	* plugins/triple_oscillator/triple_oscillator.h:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/audio_file_processor.h:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	* plugins/vestige/vestige.cpp:
	* plugins/vestige/vestige.h:
	* plugins/flp_import/flp_import.cpp:
	* plugins/midi_import/midi_import.cpp:
	* include/engine.h:
	* include/file_browser.h:
	* include/preset_preview_play_handle.h:
	* include/plugin.h:
	* include/remote_plugin.h:
	* include/sample_play_handle.h:
	* src/core/engine.cpp:
	* src/core/plugin.cpp:
	* src/core/preset_preview_play_handle.cpp:
	* src/gui/file_browser.cpp:
	* src/gui/main_window.cpp:
	* src/gui/track_container_view.cpp:
	- rewrote the way plugins can handle certain filetypes
	- rewrote various parts of file-browser to be less redundant and
	  more stable (closes #2071891)

	* data/themes/default/sample_file.png:
	renamed from sound_file.png

	* include/midi.h:
	* src/core/midi/midi_client.cpp:
	* src/core/midi/midi_port.cpp:
	* src/core/midi/midi_alsa_seq.cpp:
	fixed MIDI output channel issues (closes #2098722)

	* include/graph.h:
	* src/gui/widgets/graph.cpp:
	integrated patch by Attila Herman which adds support for colorized
	graph and quantized values

	* src/core/config_mgr.cpp:
	made default VST path to be inside LMMS working directory

	* src/gui/track_container_view.cpp:
	changed size constraint for scrollArea-widget layout - fixes messed up
	Song Editor after loading various projects

	* src/gui/main_window.cpp:
	set QMdiArea::DontMaximizeSubWindowOnActivation option for not
	crashing when loading project while a subwindow is maximized (this
	looks like a bug in Qt) (closes #2077774)

	* src/gui/controller_connection_dialog.cpp:
	fixed crash when closing controller select dialog and no controller
	has been selected (closes #2078357)

	* include/track_container.h:
	* src/core/song.cpp:
	* src/core/track_container.cpp:
	display message if project is empty and user tries to export
	it (closes #2091056)

	* src/core/song.cpp:
	- fixed freeze after adding BB-tracks (closes #2089337)
	- replaced bad cast for calling projectNotes::save/restoreState by
	  proper C++ construct

	* include/controller_rack_view.h:
	* include/fx_mixer_view.h:
	* include/main_window.h:
	* include/piano_roll.h:
	* include/project_notes.h:
	* include/track_container.h:
	* include/track_container_view.h:
	* src/core/song.cpp:
	* src/core/track_container.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/main_window.cpp:
	* src/gui/track_container_view.cpp:
	* src/gui/widgets/controller_rack_view.cpp:
	* src/tracks/instrument_track.cpp:
	properly save and restore position, size, visibility and state of
	MDI-subwindows (closes #2072383)

	* src/core/serializing_object.cpp:
	fixed hook-mechanism

	* include/song_editor.h:
	* src/gui/song_editor.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/widgets/visualization_widget.cpp:
	* plugins/spectrum_analyzer/spectrumanalyzer_control_dialog.cpp:
	moved peridic update-timer from songEditor to mainWindow

	* data/projects/cool_songs/Chris-HorizonRemix.mmp:
	added song

2008-09-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* data/themes/default/background_artwork.png:
	added more decent background artwork

	* plugins/ladspa_effect/ladspa_subplugin_features.cpp:
	* include/ladspa_base.h:
	save LADSPA effect filenames without extension and add correct
	one (depending on platform built for) when loading settings - fixes
	missing effects when loading songs in Windows which were made in Linux
	and vice versa

	* include/audio_pulseaudio.h:
	added information about bad latency when using PulseAudio output

	* plugins/vestige/vestige.cpp:
	* plugins/vestige/vestige.h:
	only use MIDI anymore for controlling VST instruments

	* plugins/lb302/lb302.cpp:
	* include/note.h:
	* include/instrument_track.h:
	* include/midi.h:
	* include/note_play_handle.h:
	* src/tracks/instrument_track.cpp:
	* src/core/preset_preview_play_handle.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/piano.cpp:
	- improved the way, MIDI-events are internally sent and handled
	- fixed names of various member methods of notePlayHandle class
	- full MIDI velocity when pressing key on test piano
	- send volume changes of a notePlayHandle as MidiKeyPressure events
	- send pitch changes of instrument track as MidiPitchBend events
	- added detection for running MIDI notes
	- correct calculation of MIDI key - makes remotePlugins respect
	  base note settings

	* src/core/midi/midi_port.cpp:
	* src/core/midi/midi_alsa_seq.cpp:
	fixed broken MIDI-output (when masking output events it didn't match
	against correct output MIDI channel)

2008-09-06	Csaba Hruska <csaba.hruska/at/gmail.com>

	* plugins/sid/sid_instrument.cpp:
	Fixed overlapping notes distorsion SID bug.
	Some warnings are also had removed.

2008-09-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/lmms_style.h:
	* src/gui/lmms_style.cpp:
	* src/core/main.cpp:
	- moved palette initialization into lmmsStyle class
	- added a hack for making titlebar text colors in QMdiSubWindows
	  common on all platforms

2008-09-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/vst_base/vst_plugin.cpp:
	hold lock while dumping parameters

	* include/remote_plugin.h:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	- set common numeric locale to make atof() work properly in Germany
	- increased SHM_FIFO_SIZE from 4000 to 64000 for not getting stuck
	  when exchanging bigger messages (e.g. parameter dumps)

	* plugins/vst_base/vst_plugin.h:
	* plugins/vst_base/remote_vst_plugin.cpp:
	* plugins/vst_base/communication.h:
	* plugins/vst_base/vst_plugin.cpp:
	* plugins/vst_base/CMakeLists.txt:
	* include/text_float.h:
	* include/remote_plugin.h:
	* CMakeLists.txt:
	made VST support layer work on native win32

2008-09-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/vst_base/communication.h:
	* plugins/vst_base/vst_plugin.h:
	* plugins/vst_base/vst_plugin.cpp:
	* plugins/vst_base/remote_vst_plugin.cpp:
	* plugins/vst_base/CMakeLists.txt:
	* plugins/vst_effect/vst_effect.h:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/vestige/vestige.h:
	* plugins/vestige/vestige.cpp:
	* include/aeffectx.h:
	rewrote VST support layer to use the new remotePlugin-framework

	* include/remote_plugin.h:
	* src/core/remote_plugin.cpp:
	- added channel splitting mode
	- made initial wait optional
	- messages now can be constructed and set inline

	* CMakeLists.txt:
	added hint about removing CMakeCache.txt when libsndfile is missing

2008-09-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* cmake/modules/Win32Toolchain.cmake:
	added include and library-directory of cross compiling environment

	* include/remote_plugin.h:
	use QSystemSemaphore in win32-version as libpthread-w32 does not
	support process shared mutexes and semaphores

	* src/core/mixer.cpp:
	disabled WinMM MIDI for the time being

2008-09-02	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/widgets/graph.cpp:
	Display crosshair cursor as a hint to the user

	* src/gui/piano_roll.cpp:
	Change Piano-Roll paste behavior. Instead of pasting at 0, paste at the
	quantized location of the time-line's position-indicator

	* src/gui/main_window.cpp:
	Display waiting cursor when loading project.  Really only helps when
	loading a large song while another is loaded.  Provides feedback before
	the loading dialog appears (I guess this is during project close)

	* src/core/automation_pattern.cpp:
	Don't connect to the same model more than once

2008-09-01	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/track_container.h:
	* src/core/song.cpp:
	* src/core/track_container.cpp:
	* src/core/track.cpp:
	Add locking to trackContainer::m_tracks and clean up some const-ness
	This should fix most crashes causes by moving/adding TCOs.  This also
	seems to fix the no-sound bug that I hate so much

	* plugins/bit_invader/logo.png:
	* plugins/bit_invader/artwork.png:
	Improve BitInvader logo

	* data/lmms.desktop:
	* lmms.1:
	A more consise description for English

2008-09-02	Csaba Hruska <csaba.hruska/at/gmail.com>

	* include/song.h:
	* src/core/song.cpp:
	* src/gui/song_editor.cpp:
	* src/tracks/sample_track.cpp:
	added implementation for recordAndPlay button
	record button is disabled because it is not handled yet

2008-08-31	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/remote_plugin.h:
	* src/core/remote_plugin.cpp:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	added shmFifo class which replaces communication via pipes and is
	portable as well

2008-08-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sid/sid_instrument.cpp:
	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/patman/patman.cpp:
	* plugins/lb302/lb302.cpp:
	* plugins/organic/organic.cpp:
	* plugins/stereo_matrix/stereo_matrix.cpp:
	* plugins/bass_booster/bass_booster.cpp:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/live_tool/live_tool.cpp:
	* plugins/peak_controller_effect/peak_controller_effect.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/audio_file_processor.h:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/stereo_enhancer/stereo_enhancer.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	* plugins/vestige/vestige.cpp:
	* plugins/ladspa_browser/ladspa_browser.cpp:
	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	* plugins/kicker/kicker.cpp:
	* plugins/flp_import/flp_import.cpp:
	* plugins/midi_import/midi_import.cpp:
	* include/plugin.h:
	* include/instrument_track.h:
	* include/instrument.h:
	* include/file_browser.h:
	* include/preset_preview_play_handle.h:
	* src/core/engine.cpp:
	* src/core/preset_preview_play_handle.cpp:
	* src/gui/file_browser.cpp:
	- improved concept for file types supported by certain plugins
	- various small improvements for an even better ZynAddSubFX integration

	* src/tracks/instrument_track.cpp:
	pass all MIDI events to instrument

	* include/remote_plugin.h:
	* src/core/remote_plugin.cpp:
	added remotePlugin-framework allowing to easily write plugins which
	actually run as external process

2008-08-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/vst_base/lvsl_client.cpp:
	* plugins/vst_base/lvsl_server.cpp:
	* plugins/vst_base/CMakeLists.txt:
	fixed broken VST-support

	* CMakeLists.txt:
	completed information about packages needed for building VST support
	on 64 bit machines (thanks to Stephane Thomas!)

2008-08-28	Csaba Hruska <csaba.hruska/at/gmail.com>

	* include/audio_portaudio.h:
	* src/core/audio/audio_portaudio.cpp:
	fixed segfault in PortAudio's setup widget
	fixed hangon on PortAudio exit

2008-08-27	Csaba Hruska <csaba.hruska/at/gmail.com>

	* include/audio_portaudio.h:
	* src/core/audio/audio_portaudio.cpp:
	PortAudio V18 and V19 are supported now
	
	* cmake/modules/FindPortaudio.cmake:
	* include/audio_portaudio.h:
	* src/core/audio/audio_portaudio.cpp:
	* src/gui/setup_dialog.cpp:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	added support for PortAudio

	* include/mixer.h:
	* include/sample_record_handle.h:
	* include/song_editor.h:
	* include/sample_track.h:
	* include/audio_device.h:
	* src/gui/song_editor.cpp:
	* src/tracks/sample_track.cpp:
	* src/core/audio/audio_device.cpp:
	* src/core/mixer.cpp:
	* src/core/engine.cpp:
	* src/core/sample_record_handle.cpp:
	added basic support for recording sound into sample tracks

2008-08-27	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/controller_view.h:
	* src/gui/widgets/controller_view.cpp:
	Add stub for controller help

	* src/gui/piano_roll.cpp:
	* data/themes/default/note_triplethalf.png:
	* data/themes/default/note_tripleteighth.png:
	* data/themes/default/note_tripletthirtysecond.png:
	* data/themes/default/note_tripletquarter.png:
	* data/themes/default/note_tripletsixteenth.png:
	- Add support for directly entering triplet notes
	- Add support for triplet Quantization
	- Switch grid layout for triplets
	- Add additional 32nd note grid resolution when zooming

2008-08-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* cmake/modules/DetectMachine.cmake:
	* plugins/vst_base/CMakeLists.txt:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	improved detection of machine type

2008-08-26	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/controller_connection.h:
	* include/controller.h:
	* include/controller_rack_view.h:
	* include/automatable_model.h:
	* include/controller_view.h:
	* src/gui/widgets/controller_rack_view.cpp:
	* src/gui/widgets/controller_view.cpp:
	* src/core/automatable_model.cpp:
	* src/core/controller_connection.cpp:
	* src/core/controller.cpp:
	Add basic support for delete.  The controller dialogs probably leak, and
	peakController isn't handled yet

2008-08-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	made 0.4.0-beta2 release

2008-08-24	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sid/sid_instrument.cpp:
	Fix what's this text with extra arg value.

2008-08-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* cmake/modules/BuildPlugin.cmake:
	added missing dependency to bin2res-target in order to build properly
	when using "make -jX"

	* CMakeLists.txt:
	improved summary page (specific information on what to do if a certain
	feature isn't enabled because something was missing)

2008-08-23	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/bit_invader/bit_invader.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* src/gui/piano_roll.cpp:
	* src/gui/lfo_controller_dialog.cpp:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/widgets/instrument_sound_shaping_view.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/instrument_function_views.cpp:
	* src/gui/widgets/effect_view.cpp:
	* src/gui/automation_editor.cpp:
	* src/gui/bb_editor.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/mmp.cpp:
	Fix English grammer, punctuation, and hard to read strings

2008-08-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/automatable_model_view.cpp:
	coding style fixes

	* src/gui/string_pair_drag.cpp:
	if no pixmap was given and parent-widget is valid, use a snapshot of
	the widget as drag-icon

	* src/tracks/instrument_track.cpp:
	added display-name for baseNoteModel

	* src/core/piano.cpp:
	made base-note automatable via drag'n'drop

2008-08-22	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/automatable_model.h:
	* src/gui/automation_editor.cpp:
	* src/gui/lmms_style.cpp:
	* src/core/lfo_controller.cpp:
	Fix various casting warnings

	* src/core/audio/audio_alsa.cpp:
	Fix warning about obsolete snd_pcm_sw_params_set_xfer_align().  
	ALSA >= 1.0.16 defaults to 1 now.

2008-08-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/main.cpp:
	fixed splash-screen for win32

	* src/core/sample_buffer.cpp:
	fixed sampleBuffer::tryToMakeRelative() for win32 - paths to samples
	are now saved relative in win32-version too (if possible)

	* src/core/piano.cpp:
	fixed keycodes for win32 version

	* include/midi_winmm.h:
	fixed missing virtual method

	* include/bb_track_container.h:
	* include/track.h:
	* src/core/track.cpp:
	* src/tracks/bb_track.cpp:
	implemented correct behaviour when cloning BB-tracks (closes #2042409)

	* src/core/midi/midi_alsa_seq.cpp:
	fixed strange ALSA-sequencer behaviour when using MIDI-controllers and
	controlling intrument-tracks via MIDI (closes #2062907)

	* src/gui/piano_roll.cpp:
	fixed notes appearing multiple times in pattern when recording from
	MIDI-device (closes #2058971)

	* src/gui/automation_editor.cpp:
	fixed selection of all bars via Ctrl+A (closes #2048163)

	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/audio_file_processor.h:
	* include/sample_buffer.h:
	* src/core/sample_buffer.cpp:
	fixed crashes when automating start- and end-point in
	AudioFileProcessor (closes #2048125)

	* include/oscillator.h:
	made oscillator::userWaveSample() const

	* include/instrument_track.h:
	* src/gui/file_browser.cpp:
	* src/tracks/instrument_track.cpp:
	fixed loading presets when dragging them onto existing
	instrument-track-window (finally closes #2025902)

	* src/gui/piano_roll.cpp:
	fixed moving selected notes (closes #2039248, #2039254, #2043463)

2008-08-20	dieEasy <dieeasy/at/cheapnet/dot/it>

	* data/locale/it.qm:
	* data/locale/it.ts:
	updated Italian localization-file

2008-08-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/automatable_model.h:
	restored old controller-behaviour for all models whose step-size is
	not 1, i.e. only round for integer models

	* plugins/sid/sid_instrument.h:
	* plugins/sid/test.png:
	* plugins/sid/sid_instrument.cpp:
	* plugins/sid/testred.png:
	integrated patch by Csaba Hruska

	* src/core/plugin.cpp:
	fixed messages

	* src/core/config_mgr.cpp:
	add trailing slashes to paths where neccessary (closes #2056353)

	* data/locale/de.qm:
	* data/locale/de.ts:
	updated German localization file and fixed various messages

	* include/track.h:
	* include/track_label_button.h:
	* src/tracks/bb_track.cpp:
	update combobox in BB-editor when renaming BB-track (closes #2056354)

	* include/controller.h:
	* src/gui/widgets/knob.cpp:
	only skip GUI-updates when connected to frequently changing controllers

	* include/automatable_model.h:
	when connected to controller and returning current value, respect
	step-property of automatableModel

	* src/gui/widgets/instrument_midi_io_view.cpp:
	minor UI improvements

	* include/midi_winmm.h:
	* include/mixer.h:
	* src/core/midi/midi_controller.cpp:
	* src/core/midi/midi_port.cpp:
	* src/core/midi/midi_winmm.cpp:
	* src/core/mixer.cpp:
	* src/gui/controller_connection_dialog.cpp:
	* src/tracks/instrument_track.cpp:
	cleanups and coding-style fixes

	* src/core/midi/midi_alsa_seq.cpp:
	* src/core/midi/midi_port.cpp:
	- fixed crash when changing mode of midiPort
	- various small improvements

	* include/instrument_track.h:
	* src/core/note_play_handle.cpp:
	made midiPort of instrumentTrack accessible via getMidiPort()

2008-08-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/sf2_player.cpp:
	fixed reverb/chorus after change of samplerate

	* src/core/main.cpp:
	* lmms.1:
	improved documentation of commandline options

	* src/core/main.cpp:
	* src/core/project_renderer.cpp:
	improved progress information when rendering at console

2008-08-18	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/controller.h:
	* src/core/controller.cpp:
	* src/gui/automatable_model_view.cpp:
	* src/gui/controller_connection_dialog.cpp:
	Detect loops before allowing controller-connection

	* src/core/peak_controller.cpp:
	Changes displayName from LFO to Peak

2008-08-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	made 0.4.0-beta1 release

	* plugins/sid/sid_instrument.h:
	removed unused slot-definitions

	* CMakeLists.txt:
	added missing lmmsconfig.h.in for dist target

2008-08-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sid/wave8580__ST.cc:
	* plugins/sid/spline.h:
	* plugins/sid/3off.png:
	* plugins/sid/8580red.png:
	* plugins/sid/trianglered.png:
	* plugins/sid/logo.png:
	* plugins/sid/bp.png:
	* plugins/sid/6581.png:
	* plugins/sid/wave.cc:
	* plugins/sid/8580.png:
	* plugins/sid/pot.h:
	* plugins/sid/syncred.png:
	* plugins/sid/hp.png:
	* plugins/sid/sid_instrument.h:
	* plugins/sid/lp.png:
	* plugins/sid/sync.png:
	* plugins/sid/noise.png:
	* plugins/sid/wave8580_PST.cc:
	* plugins/sid/envelope.cc:
	* plugins/sid/extfilt.cc:
	* plugins/sid/envelope.h:
	* plugins/sid/extfilt.h:
	* plugins/sid/pulsered.png:
	* plugins/sid/siddefs.h:
	* plugins/sid/filter.png:
	* plugins/sid/sawred.png:
	* plugins/sid/wave6581_PS_.cc:
	* plugins/sid/3offred.png:
	* plugins/sid/pulse.png:
	* plugins/sid/artwork.png:
	* plugins/sid/saw.png:
	* plugins/sid/CMakeLists.txt:
	* plugins/sid/wave8580_P_T.cc:
	* plugins/sid/wave6581__ST.cc:
	* plugins/sid/bpred.png:
	* plugins/sid/6581red.png:
	* plugins/sid/ring.png:
	* plugins/sid/hpred.png:
	* plugins/sid/pot.cc:
	* plugins/sid/sid_instrument.cpp:
	* plugins/sid/triangle.png:
	* plugins/sid/wave.h:
	* plugins/sid/voice.cc:
	* plugins/sid/lpred.png:
	* plugins/sid/noisered.png:
	* plugins/sid/voice.h:
	* plugins/sid/wave6581_PST.cc:
	* plugins/sid/sid.cc:
	* plugins/sid/filterred.png:
	* plugins/sid/sid.h:
	* plugins/sid/version.cc:
	* plugins/sid/filter.cc:
	* plugins/sid/filter.h:
	* plugins/sid/wave6581_P_T.cc:
	* plugins/sid/wave8580_PS_.cc:
	* plugins/sid/ringred.png:
	* plugins/CMakeLists.txt:
	added SID instrument plugin by Attila Herman and Csaba Hruska

	* src/gui/widgets/automatable_button.cpp:
	show context-menu of button-group if a button is part of it

	* plugins/sf2_player/sf2_player.cpp:
	- query data from correct model when activating reverb (closes #2035134)
	- convert from note-play-handle's volume to MIDI-velocity when calling
	  fluid_synth_noteon()
	- set fluidsynth's internal interpolation-method to high-quality when
	  running LMMS in HQ-mode

2008-08-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/ladspa_effect/ladspa_subplugin_features.cpp:
	* plugins/vst_effect/vst_subplugin_features.cpp:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/vst_effect/vst_effect_controls.cpp:
	* include/plugin.h:
	* include/base64.h:
	* include/ladspa_base.h:
	* src/core/plugin.cpp:
	* src/core/effect_chain.cpp:
	* src/core/mmp.cpp:
	* src/core/ladspa_manager.cpp:
	* CMakeLists.txt:
	use XML rather than binary blobs for saving plugin-/effect-key

	* src/core/project_journal.cpp:
	use random-number-generator correctly - fixes predictable random
	numbers and avoids used Journalling-Object-IDs upon loading
	project (closes #2036745) - anyways this still might happen under rare
	circumstances and needs a further fix

2008-08-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/lmms_math.h:
	* src/core/oscillator.cpp:
	made oscillator-phase always being positive which allows further
	optimizations of fraction()-method

2008-08-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/visualization_widget.h:
	* src/gui/widgets/visualization_widget.cpp:
	improved anti-aliased visualization

	* src/core/sample_buffer.cpp:
	heavily improved performance by using QPainter::drawPolylines and
	disabling anti-aliasing if more than 60000 samples have to be
	drawn (closes #1938413)

	* src/core/midi/midi_winmm.cpp:
	added debug-code

	* src/core/song.cpp:
	do not reset window title twice when creating new project

	* src/core/main.cpp:
	when creating a new project, show main-window afterwards - fixes
	behaviour when debugging win32-version via WINE

	* cmake/modules/BuildPlugin.cmake:
	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/ladspa_effect/caps/CMakeLists.txt:
	* data/CMakeLists.txt:
	* data/nsis_branding.bmp:
	* CMakeLists.txt:
	* lmms.rc.in:
	- made cmake-files ready for NSIS-packaging
	- added win-resource-object to LMMS-binary

	* plugins/sf2_player/patches_dialog.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/patches_dialog.h:
	* plugins/sf2_player/sf2_player.h:
	* data/themes/default/style.css:
	- integrated patch by Csaba Hruska
	- fixed spinbox-ranges

	* plugins/vst_base/CMakeLists.txt:
	fixed include-directories for lvsl_server-target for allowing
	out-of-tree builds

2008-07-31	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* CMakeLists.txt:
	added win32-pkg target

	* include/fft_helpers.h:
	added missing EXPORT-declarations

	* src/core/midi/midi_winmm.cpp:
	removed some debugging code

2008-07-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/track.h:
	* src/core/track.cpp:
	* src/gui/file_browser.cpp:
	* src/tracks/instrument_track.cpp:
	added simple-serializing mode which makes tracks not save their TCOs -
	used for improved save and restore of presets (closes #2025902)

	* src/gui/widgets/effect_view.cpp:
	do not cast model to effect for only calling displayName()

	* src/gui/widgets/effect_rack_view.cpp:
	- initialize bool-map with correct size - fixes crashes under various
	  circumstances
	- do not cast model of effectView as the effect might not exist
	  anymore

	* data/presets/TripleOscillator/Steel.cs.xml:
	* data/presets/TripleOscillator/SawLead.cs.xml:
	* data/presets/TripleOscillator/Bass.cs.xml:
	* data/presets/TripleOscillator/E-Organ.cs.xml:
	* data/presets/TripleOscillator/FM-Wood-Arp.cs.xml:
	* data/presets/TripleOscillator/Harmonium.cs.xml:
	* data/presets/TripleOscillator/NostalgicFeelings.cs.xml:
	* data/presets/TripleOscillator/Moog.cs.xml:
	* data/presets/TripleOscillator/SawLead2.cs.xml:
	* data/presets/TripleOscillator/HardClipping.cs.xml:
	* data/presets/TripleOscillator/RaveBass.cs.xml:
	* data/presets/TripleOscillator/EvilHardcore.cs.xml:
	* data/presets/TripleOscillator/Distorted-FM-Bass_2.cs.xml:
	* data/presets/TripleOscillator/ShortBass.cs.xml:
	* data/presets/TripleOscillator/Crystallo.cs.xml:
	* data/presets/TripleOscillator/Fear.cs.xml:
	* data/presets/TripleOscillator/HorrorBass.cs.xml:
	* data/presets/TripleOscillator/Default.cs.xml:
	* data/presets/TripleOscillator/SoftStrings.cs.xml:
	* data/presets/TripleOscillator/RaveBass_2.cs.xml:
	* data/presets/TripleOscillator/Warmth.cs.xml:
	* data/presets/TripleOscillator/Beam.cs.xml:
	* data/presets/TripleOscillator/SquareLead2.cs.xml:
	* data/presets/TripleOscillator/Weird.cs.xml:
	* data/presets/TripleOscillator/LFO-party.cs.xml:
	* data/presets/TripleOscillator/Nice.cs.xml:
	* data/presets/TripleOscillator/ChurchOrgan_2.cs.xml:
	* data/presets/TripleOscillator/SoftBass.cs.xml:
	* data/presets/TripleOscillator/Stranger.cs.xml:
	* data/presets/TripleOscillator/TB303-Arpeggio.cs.xml:
	* data/presets/TripleOscillator/E-Piano.cs.xml:
	* data/presets/TripleOscillator/PluckArpeggio.cs.xml:
	* data/presets/TripleOscillator/WarmStack.cs.xml:
	* data/presets/TripleOscillator/Square.cs.xml:
	* data/presets/TripleOscillator/MyComputer.cs.xml:
	* data/presets/TripleOscillator/Simple-Acid-Bass.cs.xml:
	* data/presets/TripleOscillator/MoogArpeggio.cs.xml:
	* data/presets/TripleOscillator/Jupiter.cs.xml:
	* data/presets/TripleOscillator/AnalogTimes2.cs.xml:
	* data/presets/TripleOscillator/SquareLead.cs.xml:
	* data/presets/TripleOscillator/TB303.cs.xml:
	* data/presets/TripleOscillator/Detuned-Synced-FM-Bass.cs.xml:
	* data/presets/TripleOscillator/ChurchOrgan.cs.xml:
	* data/presets/TripleOscillator/SquareArp.cs.xml:
	* data/presets/TripleOscillator/OldComputerGames.cs.xml:
	removed old raw presets, tuned others and added a few new ones

	* plugins/stk/mallets/mallets.cpp:
	detect incomplete Stk-installation in model rather than view for not
	crashing when playing without opening the GUI before

	* src/core/main.cpp:
	 - added --dump parameter for easily uncompressing mmpz-files
	 - try to set realtime priority after command-line parsing as the
	   resulting warning might be annoying at this place
	- moved initialization of RNG to top of main()

	* src/core/mmp.cpp:
	quirks for loading drumsynth-samples whose directory-names have
	changed from space to underscore

2008-07-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/ladspa_effect/caps/CMakeLists.txt:
	fixed linker-flags

	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	* plugins/spectrum_analyzer/spectrum_analyzer.h:
	* include/fft_helpers.h:
	* src/core/fft_helpers.cpp:
	* lmmsconfig.h.in:
	moved FFT-helper functions from Spectrum Analyzer plugin to core to
	make it also usable by other plugins

2008-07-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/ladspa_controls.cpp:
	* plugins/lb302/lb302.cpp:
	* plugins/lb303/lb303.cpp:
	* plugins/stereo_matrix/stereomatrix_controls.cpp:
	* plugins/bass_booster/bassbooster_controls.cpp:
	* plugins/vst_effect/vst_effect_controls.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/peak_controller_effect/peak_controller_effect_controls.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/stereo_enhancer/stereoenhancer_controls.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/vst_base/lvsl_client.cpp:
	* plugins/vst_base/lvsl_client.h:
	* plugins/kicker/kicker.cpp:
	* plugins/flp_import/flp_import.cpp:
	* plugins/midi_import/midi_import.cpp:
	* include/mmp.h:
	* include/effect.h:
	* include/meter_model.h:
	* include/automatable_slider.h:
	* include/song.h:
	* include/pch.h:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/widgets/tempo_sync_knob.cpp:
	* src/gui/widgets/meter_dialog.cpp:
	* src/tracks/sample_track.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/pattern.cpp:
	* src/core/effect_chain.cpp:
	* src/core/midi/midi_controller.cpp:
	* src/core/midi/midi_port.cpp:
	* src/core/track_container.cpp:
	* src/core/serializing_object.cpp:
	* src/core/journalling_object.cpp:
	* src/core/config_mgr.cpp:
	* src/core/automatable_model.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/mmp.cpp:
	* src/core/effect.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/controller_connection.cpp:
	* src/core/note.cpp:
	* src/core/timeline.cpp:
	* src/core/surround_area.cpp:
	* src/core/automation_pattern.cpp:
	* src/core/inline_automation.cpp:
	* src/core/fx_mixer.cpp:
	* src/core/controller.cpp:
	* src/core/lfo_controller.cpp:
	* src/core/peak_controller.cpp:
	reduced header-dependencies

	* src/core/plugin.cpp:
	- don't show messagebox if no GUI is running
	- if plugin failed to load also tell about the reason

	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/ladspa_effect/caps/CMakeLists.txt:
	* src/core/main.cpp:
	* cmake/modules/BuildPlugin.cmake:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	added support for building LMMS on OS X and generating a DMG-package

	* src/core/main.cpp:
	win32-compatibility

	* data/projects/cool_songs/StrictProduction-DearJonDoe.mmp:
	* data/projects/cool_songs/OrtalDj-FirstProyect.mmp:
	* data/projects/cool_songs/TobyDox-Psycho.mmp:
	* data/projects/cool_songs/TobyDox-Confused.mmp:
	* data/projects/cool_songs/Djeezus-BeatRolls.mmp:
	* data/projects/cool_songs/Lokori-Systematic_Chaos.mmp:
	* data/projects/cool_songs/StrictProduction-Underline.mmp:
	* data/projects/cool_songs/Djeezus-Oscilisous.mmp:
	* data/projects/cool_songs/Chris-RaveRiff.mmpz:
	* data/projects/cool_songs/TobyDox-TheFourthDimension.mmp:
	* data/projects/cool_songs/Mart-Concave_flow.mmp:
	* data/projects/cool_songs/MysthR-Living.mmpz:
	* data/projects/cool_songs/Marfil-MarfilDrum01.mmp:
	* data/projects/cool_songs/j1m-DingDong.mmp:
	* data/projects/cool_songs/Malex-Horizon4.mmp:
	* data/projects/cool_songs/Siegel-DreamWave.mmp:
	* data/projects/cool_songs/BlueWolf-DreamTravel.mmp:
	* data/projects/cool_songs/StrictProduction-Lamentelnes.mmp:
	* data/projects/cool_songs/OrtalDj-FirstProyect.mmpz:
	* data/projects/cool_songs/Silva-ElvesCall.mmp:
	upgraded projects to match current file format
	diffstat:  17 files changed, 12811 insertions(+), 37791 deletions(-)

	* include/song_editor.h:
	* src/core/song.cpp:
	make sure all TCOs are shown after loading project (closes #2016741)

	* src/core/automatable_model.cpp:
	when loading legacy automation with only one value in, eliminate
	global automation pattern right after loading data

	* src/core/main.cpp:
	- initialize random-number generation - fixes problems with duplicate
	  JO-IDs
	- show main-window before loading project given on command-line or
	  creating a new project (closes #2016741)

	* src/core/automation_pattern.cpp:
	fixed some segfaults in case of invalid objects in object-vector

	* src/core/mmp.cpp:
	- use QTextStream to save uncompressed XML-files
	- when encountering problems while parsing XML-file, print line and
	  column of problem

2008-07-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/automation_editor.cpp:
	also allow drawing new dots when clicking inside already existing
	value (closes #2026120)

	* include/instrument_track.h:
	* src/tracks/instrument_track.cpp:
	reverted previous change of some models from floatModel to intModel as
	it caused crashes in knob-class

	* include/automation_pattern.h:
	* src/core/automation_pattern.cpp:
	when connecting object to automation-pattern which has no object
	connected yet, set default-value (closes #2026102)

	* plugins/vst_base/CMakeLists.txt:
	added missing support for out-of-tree builds

	* README:
	* INSTALL:
	updated documentation on how to build LMMS with cmake

2008-07-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* data/locale/en.ts:
	* data/locale/pt_br.ts:
	* data/locale/es.ts:
	* data/locale/fr.ts:
	* data/locale/nl.ts:
	* data/locale/ir.ts:
	* data/locale/it.ts:
	* data/locale/ca.ts:
	* data/locale/de.ts:
	* data/locale/sv.ts:
	refreshed localizations
	diffstat:  10 files changed, 34785 insertions(+), 6862 deletions(-)

	* data/locale/ru.ts:
	added updated Russian localization by Alexey Kouznetsov

	* CMakeLists.txt:
	- added locale targets
	- added "update-locales" target
	- added "distclean" target
	- added "tarball" target

	* plugins/organic/organic.cpp:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* include/mixer.h:
	* include/sample_buffer.h:
	* include/oscillator.h:
	* include/types.h:
	* src/core/sample_play_handle.cpp:
	* src/core/sample_buffer.cpp:
	* src/core/oscillator.cpp:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	less header-dependencies and moved some type-definitions

2008-07-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* data/locale/fr.qm:
	* data/locale/fr.ts:
	updated French localization-files by Stephane Thomas

	* cmake/modules/FindPkgConfig.cmake:
	* include/midi_winmm.h:
	* include/midi_alsa_seq.h:
	* CMakeLists.txt:
	* cmake/modules/BuildPlugin.cmake:
	support for cmake < 2.4.8

	* plugins/ladspa_effect/caps/CMakeLists.txt:
	do not compile with -O3 when using GCC 4.1.x as this version segfaults
	while optimizing

	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	* include/effect_lib.h:
	fixed compiler-warnings

	* src/core/midi/midi_winmm.cpp:
	* src/core/midi/midi_alsa_seq.cpp:
	fixed subscribe/unsubscribe-warnings

	* CMakeLists.txt:
	fixes for cmake 2.4

2008-07-22	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* cmake/modules/BuildPlugin.cmake:
	* plugins/patman/CMakeLists.txt:
	* plugins/ladspa_effect/CMakeLists.txt:
	* plugins/organic/CMakeLists.txt:
	* plugins/lb302/CMakeLists.txt:
	* plugins/lb303/CMakeLists.txt:
	* plugins/bass_booster/CMakeLists.txt:
	* plugins/stereo_matrix/CMakeLists.txt:
	* plugins/bit_invader/CMakeLists.txt:
	* plugins/vst_effect/CMakeLists.txt:
	* plugins/vibed/CMakeLists.txt:
	* plugins/triple_oscillator/CMakeLists.txt:
	* plugins/live_tool/CMakeLists.txt:
	* plugins/peak_controller_effect/CMakeLists.txt:
	* plugins/audio_file_processor/CMakeLists.txt:
	* plugins/stk/mallets/CMakeLists.txt:
	* plugins/stereo_enhancer/CMakeLists.txt:
	* plugins/sf2_player/CMakeLists.txt:
	* plugins/vestige/CMakeLists.txt:
	* plugins/ladspa_browser/CMakeLists.txt:
	* plugins/spectrum_analyzer/CMakeLists.txt:
	* plugins/kicker/CMakeLists.txt:
	* plugins/flp_import/CMakeLists.txt:
	* CMakeLists.txt:
	various fixes for allowing out-of-tree builds

	* CMakeLists.txt:
	- initial support for CPack
	- remove old include/lmmsconfig.h from the autotools-era

	* cmake/modules/InstallHelpers.cmake:
	fixed INSTALL_DATA_SUBDIRS-macro (use normal string-replace
	instead of regex-replace)

	* include/project_renderer.h:
	* src/core/project_renderer.cpp:
	also compile without OGG/Vorbis-support

	* cmake/modules/Win32Toolchain.cmake:
	* cmake/modules/BuildPlugin.cmake:
	* src/3rdparty/samplerate/config.h:
	* CMakeLists.txt:
	fixes for successfully cross-compiling

	* cmake/modules/Win32Toolchain.cmake:
	* cmake/modules/BuildPlugin.cmake:
	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/ladspa_effect/caps/CMakeLists.txt:
	* plugins/vst_effect/CMakeLists.txt:
	* include/audio_sdl.h:
	* src/core/midi/midi_winmm.cpp:
	* build_mingw32:
	* CMakeLists.txt:
	initial support for mingw-cross-compiling

	* include/midi_alsa_seq.h:
	* include/midi_client.h:
	* include/midi_port.h:
	* include/midi_winmm.h:
	* src/core/mixer.cpp:
	* src/core/midi/midi_alsa_raw.cpp:
	* src/core/midi/midi_alsa_seq.cpp:
	* src/core/midi/midi_client.cpp:
	* src/core/midi/midi_oss.cpp:
	* src/core/midi/midi_winmm.cpp:
	* src/gui/setup_dialog.cpp:
	added rudimentary WinMM MIDI support

	* src/core/mmp.cpp:
	* plugins/lb302/lb302.h:
	* plugins/CMakeLists.txt:
	switched back to LB302 as Paul wants LB303 for 0.4.1

	* cmake/modules/FindAlsa.cmake:
	* cmake/modules/FindOggVorbis.cmake:
	* cmake/modules/FindSTK.cmake:
	* cmake/modules/FindPCHSupport.cmake:
	* cmake/modules/config-alsa.h.cmake:
	* cmake/modules/InstallHelpers.cmake:
	* cmake/modules/FindPulseAudio.cmake:
	* cmake/modules/ChecksForLibSamplerate.cmake:
	* cmake/modules/BuildPlugin.cmake:
	* plugins/patman/patman.cpp:
	* plugins/patman/CMakeLists.txt:
	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/ladspa_effect/tap/tap_deesser.c:
	* plugins/ladspa_effect/tap/tap_sigmoid.c:
	* plugins/ladspa_effect/tap/tap_doubler.c:
	* plugins/ladspa_effect/tap/ladspa-local.h:
	* plugins/ladspa_effect/tap/tap_eqbw.c:
	* plugins/ladspa_effect/tap/tap_pinknoise.c:
	* plugins/ladspa_effect/tap/tap_chorusflanger.c:
	* plugins/ladspa_effect/tap/tap_limiter.c:
	* plugins/ladspa_effect/tap/tap_eq.c:
	* plugins/ladspa_effect/tap/tap_vibrato.c:
	* plugins/ladspa_effect/tap/tap_autopan.c:
	* plugins/ladspa_effect/tap/tap_pitch.c:
	* plugins/ladspa_effect/tap/tap_dynamics_st.c:
	* plugins/ladspa_effect/tap/tap_echo.c:
	* plugins/ladspa_effect/tap/tap_tremolo.c:
	* plugins/ladspa_effect/tap/tap_tubewarmth.c:
	* plugins/ladspa_effect/tap/tap_dynamics_m.c:
	* plugins/ladspa_effect/tap/tap_reflector.c:
	* plugins/ladspa_effect/tap/tap_reverb.c:
	* plugins/ladspa_effect/tap/tap_rotspeak.c:
	* plugins/ladspa_effect/tap/CMakeLists.txt:
	* plugins/ladspa_effect/ladspa_control_dialog.cpp:
	* plugins/ladspa_effect/caps/basics.h:
	* plugins/ladspa_effect/caps/CMakeLists.txt:
	* plugins/ladspa_effect/ladspa_controls.cpp:
	* plugins/ladspa_effect/CMakeLists.txt:
	* plugins/organic/organic.cpp:
	* plugins/organic/CMakeLists.txt:
	* plugins/lb302/lb302.cpp:
	* plugins/lb302/CMakeLists.txt:
	* plugins/lb303/lb303.cpp:
	* plugins/lb303/CMakeLists.txt:
	* plugins/bass_booster/bassbooster_controls.cpp:
	* plugins/bass_booster/CMakeLists.txt:
	* plugins/stereo_matrix/stereomatrix_controls.cpp:
	* plugins/stereo_matrix/CMakeLists.txt:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/bit_invader/CMakeLists.txt:
	* plugins/vst_effect/vst_effect_controls.cpp:
	* plugins/vst_effect/CMakeLists.txt:
	* plugins/vibed/CMakeLists.txt:
	* plugins/vibed/nine_button_selector.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/CMakeLists.txt:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/live_tool/live_tool.cpp:
	* plugins/live_tool/CMakeLists.txt:
	* plugins/peak_controller_effect/peak_controller_effect.cpp:
	* plugins/peak_controller_effect/peak_controller_effect_controls.cpp:
	* plugins/peak_controller_effect/CMakeLists.txt:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/CMakeLists.txt:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/stk/mallets/CMakeLists.txt:
	* plugins/stk/CMakeLists.txt:
	* plugins/stereo_enhancer/stereoenhancer_controls.cpp:
	* plugins/stereo_enhancer/CMakeLists.txt:
	* plugins/sf2_player/patches_dialog.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/CMakeLists.txt:
	* plugins/vestige/vestige.cpp:
	* plugins/vestige/CMakeLists.txt:
	* plugins/vst_base/lvsl_client.cpp:
	* plugins/vst_base/CMakeLists.txt:
	* plugins/ladspa_browser/ladspa_browser.cpp:
	* plugins/ladspa_browser/ladspa_description.cpp:
	* plugins/ladspa_browser/ladspa_port_dialog.cpp:
	* plugins/ladspa_browser/CMakeLists.txt:
	* plugins/spectrum_analyzer/spectrumanalyzer_controls.cpp:
	* plugins/spectrum_analyzer/CMakeLists.txt:
	* plugins/kicker/kicker.cpp:
	* plugins/kicker/CMakeLists.txt:
	* plugins/flp_import/CMakeLists.txt:
	* plugins/flp_import/unrtf/output.c:
	* plugins/flp_import/unrtf/html.c:
	* plugins/flp_import/unrtf/malloc.c:
	* plugins/flp_import/unrtf/parse.c:
	* plugins/flp_import/unrtf/attr.c:
	* plugins/flp_import/unrtf/word.c:
	* plugins/flp_import/unrtf/util.c:
	* plugins/flp_import/unrtf/convert.c:
	* plugins/flp_import/unrtf/hash.c:
	* plugins/flp_import/unrtf/error.c:
	* plugins/midi_import/CMakeLists.txt:
	* plugins/CMakeLists.txt:
	* Makefile.svn:
	* include/midi_dummy.h:
	* include/midi_alsa_raw.h:
	* include/config_mgr.h:
	* include/audio_file_wave.h:
	* include/audio_file_ogg.h:
	* include/ladspa_manager.h:
	* include/ladspa_control.h:
	* include/ladspa.h:
	* include/midi_oss.h:
	* include/pch.h:
	* include/sample_buffer.h:
	* include/audio_dummy.h:
	* include/midi_mapper.h:
	* include/audio_pulseaudio.h:
	* include/audio_sdl.h:
	* include/micro_timer.h:
	* include/audio_jack.h:
	* include/project_renderer.h:
	* include/midi_alsa_seq.h:
	* include/ladspa-1.1.h:
	* include/setup_dialog.h:
	* include/export_project_dialog.h:
	* include/midi_client.h:
	* include/audio_device.h:
	* include/audio_oss.h:
	* include/audio_alsa.h:
	* src/gui/piano_roll.cpp:
	* src/gui/track_container_view.cpp:
	* src/gui/plugin_browser.cpp:
	* src/gui/controller_dialog.cpp:
	* src/gui/automatable_model_view.cpp:
	* src/gui/effect_select_dialog.cpp:
	* src/gui/effect_control_dialog.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/setup_dialog.cpp:
	* src/gui/controller_connection_dialog.cpp:
	* src/gui/file_browser.cpp:
	* src/gui/widgets/ladspa_control_view.cpp:
	* src/gui/widgets/track_label_button.cpp:
	* src/gui/widgets/graph.cpp:
	* src/gui/widgets/visualization_widget.cpp:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/tab_widget.cpp:
	* src/gui/widgets/midi_port_menu.cpp:
	* src/gui/widgets/led_checkbox.cpp:
	* src/gui/widgets/side_bar_widget.cpp:
	* src/gui/widgets/controller_rack_view.cpp:
	* src/gui/widgets/kmultitabbar.cpp:
	* src/gui/widgets/caption_menu.cpp:
	* src/gui/widgets/instrument_sound_shaping_view.cpp:
	* src/gui/widgets/rename_dialog.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/pixmap_button.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/instrument_function_views.cpp:
	* src/gui/widgets/fade_button.cpp:
	* src/gui/widgets/cpuload_widget.cpp:
	* src/gui/widgets/tab_bar.cpp:
	* src/gui/widgets/automatable_slider.cpp:
	* src/gui/widgets/group_box.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/rubberband.cpp:
	* src/gui/widgets/tool_button.cpp:
	* src/gui/widgets/controller_view.cpp:
	* src/gui/widgets/project_notes.cpp:
	* src/gui/widgets/fader.cpp:
	* src/gui/widgets/effect_rack_view.cpp:
	* src/gui/widgets/effect_view.cpp:
	* src/gui/widgets/nstate_button.cpp:
	* src/gui/widgets/automatable_button.cpp:
	* src/gui/widgets/tempo_sync_knob.cpp:
	* src/gui/export_project_dialog.cpp:
	* src/gui/automation_editor.cpp:
	* src/gui/bb_editor.cpp:
	* src/gui/about_dialog.cpp:
	* src/tracks/sample_track.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/pattern.cpp:
	* src/3rdparty/samplerate/src_sinc.c:
	* src/3rdparty/samplerate/config.h:
	* src/core/midi/midi_controller.cpp:
	* src/core/midi/midi_mapper.cpp:
	* src/core/midi/midi_oss.cpp:
	* src/core/midi/midi_port.cpp:
	* src/core/midi/midi_alsa_seq.cpp:
	* src/core/midi/midi_alsa_raw.cpp:
	* src/core/song.cpp:
	* src/core/track_container.cpp:
	* src/core/bb_track_container.cpp:
	* src/core/config_mgr.cpp:
	* src/core/automatable_model.cpp:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_file_wave.cpp:
	* src/core/audio/audio_sdl.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/audio/audio_jack.cpp:
	* src/core/audio/audio_pulseaudio.cpp:
	* src/core/audio/audio_file_ogg.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/main.cpp:
	* src/core/mixer.cpp:
	* src/core/combobox_model.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/project_renderer.cpp:
	* src/core/meter_model.cpp:
	* src/core/ladspa_manager.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/controller_connection.cpp:
	* src/core/ladspa_control.cpp:
	* src/core/track.cpp:
	* src/core/piano.cpp:
	* src/core/timeline.cpp:
	* src/core/surround_area.cpp:
	* src/core/sample_buffer.cpp:
	* src/core/mv_base.cpp:
	* src/core/automation_pattern.cpp:
	* src/core/lfo_controller.cpp:
	* src/core/controller.cpp:
	* src/core/peak_controller.cpp:
	* data/locale/CMakeLists.txt:
	* data/track_icons/CMakeLists.txt:
	* data/samples/CMakeLists.txt:
	* data/presets/PluckedStringSynth/Default.cs.xml:
	* data/presets/VeSTige/Default.cs.xml:
	* data/presets/CMakeLists.txt:
	* data/themes/CMakeLists.txt:
	* data/projects/CMakeLists.txt:
	* data/CMakeLists.txt:
	* lmmsconfig.h.in:
	* CMakeLists.txt:
	migrated build-system to CMAKE

	* plugins/patman/Makefile.am:
	* plugins/ladspa_effect/tap/Makefile.am:
	* plugins/ladspa_effect/caps/Makefile.am:
	* plugins/ladspa_effect/Makefile.am:
	* plugins/organic/Makefile.am:
	* plugins/lb302/Makefile.am:
	* plugins/lb303/Makefile.am:
	* plugins/bass_booster/Makefile.am:
	* plugins/stereo_matrix/Makefile.am:
	* plugins/bit_invader/Makefile.am:
	* plugins/vst_effect/Makefile.am:
	* plugins/vibed/Makefile.am:
	* plugins/triple_oscillator/Makefile.am:
	* plugins/live_tool/Makefile.am:
	* plugins/peak_controller_effect/Makefile.am:
	* plugins/audio_file_processor/Makefile.am:
	* plugins/stk/mallets/Makefile.am:
	* plugins/stk/Makefile.am:
	* plugins/stereo_enhancer/Makefile.am:
	* plugins/sf2_player/Makefile.am:
	* plugins/vestige/Makefile.am:
	* plugins/vst_base/Makefile.am:
	* plugins/ladspa_browser/Makefile.am:
	* plugins/spectrum_analyzer/Makefile.am:
	* plugins/kicker/Makefile.am:
	* plugins/Makefile.am:
	* plugins/flp_import/Makefile.am:
	* plugins/midi_import/Makefile.am:
	* data/locale/Makefile.am:
	* data/track_icons/Makefile.am:
	* data/midi-maps/Makefile.am:
	* data/samples/effects/Makefile.am:
	* data/samples/stringsnpads/Makefile.am:
	* data/samples/basses/Makefile.am:
	* data/samples/shapes/Makefile.am:
	* data/samples/latin/Makefile.am:
	* data/samples/Makefile.am:
	* data/samples/bassloopes/Makefile.am:
	* data/samples/drums/Makefile.am:
	* data/samples/instruments/Makefile.am:
	* data/samples/misc/Makefile.am:
	* data/samples/drumsynth/effects/Makefile.am:
	* data/samples/drumsynth/misc_synth/Makefile.am:
	* data/samples/drumsynth/tr606/Makefile.am:
	* data/samples/drumsynth/cr78/Makefile.am:
	* data/samples/drumsynth/tr808/Makefile.am:
	* data/samples/drumsynth/magnetboy/Makefile.am:
	* data/samples/drumsynth/tr909/Makefile.am:
	* data/samples/drumsynth/misc_fx/Makefile.am:
	* data/samples/drumsynth/misc/Makefile.am:
	* data/samples/drumsynth/electro/Makefile.am:
	* data/samples/drumsynth/ferraro/Makefile.am:
	* data/samples/drumsynth/linn/Makefile.am:
	* data/samples/drumsynth/r_b/Makefile.am:
	* data/samples/drumsynth/tr77/Makefile.am:
	* data/samples/drumsynth/misc_bass/Makefile.am:
	* data/samples/drumsynth/misc_perc/Makefile.am:
	* data/samples/drumsynth/latin/Makefile.am:
	* data/samples/drumsynth/instrument/Makefile.am:
	* data/samples/drumsynth/misc_electro/Makefile.am:
	* data/samples/drumsynth/Makefile.am:
	* data/samples/drumsynth/acoustic/Makefile.am:
	* data/samples/drumsynth/misc_hats/Makefile.am:
	* data/samples/drumsynth/farfisa/Makefile.am:
	* data/samples/drumsynth/jorgensohn/Makefile.am:
	* data/samples/drumsynth/cr8000/Makefile.am:
	* data/samples/drumsynth/misc_claps/Makefile.am:
	* data/samples/beats/Makefile.am:
	* data/presets/AudioFileProcessor/Makefile.am:
	* data/presets/Organic/Makefile.am:
	* data/presets/PluckedStringSynth/Makefile.am:
	* data/presets/VeSTige/Makefile.am:
	* data/presets/BitInvader/Makefile.am:
	* data/presets/Makefile.am:
	* data/presets/TripleOscillator/Makefile.am:
	* data/themes/Makefile.am:
	* data/projects/covers/Makefile.am:
	* data/projects/recorded_loops/Makefile.am:
	* data/projects/cool_songs/Makefile.am:
	* data/projects/tutorials/Makefile.am:
	* data/projects/demos/Makefile.am:
	* data/projects/Makefile.am:
	* data/projects/misc/Makefile.am:
	* data/projects/templates/Makefile.am:
	* data/Makefile.am:
	* Makefile.am:
	* acinclude.m4:
	* configure.in:
	removed old autotools-files

2008-07-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/tap/tap_deesser.c:
	* plugins/ladspa_effect/tap/tap_sigmoid.c:
	* plugins/ladspa_effect/tap/tap_doubler.c:
	* plugins/ladspa_effect/tap/tap_eqbw.c:
	* plugins/ladspa_effect/tap/tap_pinknoise.c:
	* plugins/ladspa_effect/tap/tap_chorusflanger.c:
	* plugins/ladspa_effect/tap/tap_eq.c:
	* plugins/ladspa_effect/tap/tap_limiter.c:
	* plugins/ladspa_effect/tap/tap_vibrato.c:
	* plugins/ladspa_effect/tap/tap_pitch.c:
	* plugins/ladspa_effect/tap/tap_autopan.c:
	* plugins/ladspa_effect/tap/tap_dynamics_st.c:
	* plugins/ladspa_effect/tap/tap_echo.c:
	* plugins/ladspa_effect/tap/tap_tremolo.c:
	* plugins/ladspa_effect/tap/tap_tubewarmth.c:
	* plugins/ladspa_effect/tap/tap_dynamics_m.c:
	* plugins/ladspa_effect/tap/tap_reflector.c:
	* plugins/ladspa_effect/tap/tap_reverb.c:
	* plugins/ladspa_effect/tap/tap_rotspeak.c:
	* plugins/ladspa_effect/tap/Makefile.am:
	added constructor/destructor-attribute to _init() and _finit()-methods
	in order to make those LADSPA-plugins work properly in win32-version

	* src/core/config_mgr.cpp:
	* src/core/ladspa_manager.cpp:
	* src/gui/setup_dialog.cpp:
	separate LADSPA-paths with ',' instead of ':' as win32-paths usually
	contain ':'-characters...

	* src/core/ladspa_2_lmms.cpp:
	also allow LADSPA-plugins which are not realtime capable - not all of
	them work properly but most do and it's better to provide more of them

	* src/gui/widgets/effect_view.cpp:
	handled rename of up/down arrow graphics

	* include/ladspa_2_lmms.h:
	cleanups

	* src/core/ladspa_manager.cpp:
	fixed paths to LADSPA-plugins for win32

	* src/gui/string_pair_drag.cpp:
	at destruction check whether mainWindow is still alive

	* src/core/midi/midi_port.cpp:
	range-checking for keys of input-events

	* src/core/song.cpp:
	lock mixer while adding BB-track (finally closes #2014486)

	* src/core/bb_track_container.cpp:
	* src/core/mv_base.cpp:
	* src/gui/automation_editor.cpp:
	* src/gui/bb_editor.cpp:
	* src/gui/widgets/knob.cpp:
	* src/tracks/instrument_track.cpp:
	do not create queued signal-slot-connections

	* src/core/audio/audio_sdl.cpp:
	changed number of frames per callback which seems to fix distorted sound

	* plugins/lb303/lb303.h:
	removed declaration of unimplemented slot - fixes win32-build

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/vibed/vibed.cpp:
	* include/controller.h:
	* include/lfo_controller.h:
	* include/midi_controller.h:
	* include/peak_controller.h:
	* include/plugin.h:
	* src/core/controller.cpp:
	* src/core/lfo_controller.cpp:
	* src/core/peak_controller.cpp:
	* src/core/tool.cpp:
	* src/core/midi/midi_controller.cpp:
	* src/gui/effect_control_dialog.cpp:
	* src/gui/effect_select_dialog.cpp:
	* src/gui/main_window.cpp:
	* src/gui/plugin_browser.cpp:
	* src/gui/widgets/controller_view.cpp:
	* src/gui/widgets/effect_view.cpp:
	* src/tracks/instrument_track.cpp:
	removed publicName-properties in various classes and plugin-descriptor
	and use model::displayName instead

	* src/gui/controller_connection_dialog.cpp:
	improved GUI-layout

	* include/automation_pattern.h:
	* src/core/automation_pattern.cpp:
	- removed obsolete variable
	- fixed wrong behaviour of automationPattern::valueAt()
	- in case there's only one initial value in time-map, set it for all
	  objects when loading settings

	* src/tracks/instrument_track.cpp:
	save actual instrument-settings in separate sub-node for not mixing up
	unknown nodes with instruments

	* src/gui/widgets/group_box.cpp:
	only toggle LED on left click

	* include/detuning_helper.h:
	* include/inline_automation.h:
	fixed behaviour for inline-automations with only one value in time-map

	* src/core/mmp.cpp:
	- fixed and improved various tag-renaming-loops
	- added upgrade path from LB302 to LB303

	* plugins/bit_invader/bit_invader.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	fixed compiler warnings

	* plugins/Makefile.am:
	removed lb302 from list of plugins to build

	* plugins/midi_import/midi_import.cpp:
	improved tempo-automation import

	* include/automatable_model.h:
	* include/mv_base.h:
	* src/core/automatable_model.cpp:
	moved displayName-property from automatableModel to model base-class

	* src/tracks/pattern.cpp:
	fixed types

	* src/core/automation_pattern.cpp:
	improved behaviour in automationPattern::clear() and
	automationPattern::putValue()

	* include/instrument_sound_shaping.h:
	* src/core/effect_chain.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/meter_model.cpp:
	* src/core/song.cpp:
	* src/core/track.cpp:
	* src/core/surround_area.cpp:
	* src/gui/widgets/graph.cpp:
	* src/tracks/instrument_track.cpp:
	added more values for displayName-property

	* include/track_label_button.h:
	* src/gui/widgets/track_label_button.cpp:
	* src/tracks/automation_track.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/sample_track.cpp:
	* Makefile.am:
	- moved name_label.* to track_label_button.*
	- bigger icons for trackLabelButtons

2008-07-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/tracks/automation_track.cpp:
	make sure, hidden automation-tracks are not muted when loading

	* src/core/automatable_model.cpp:
	cleanups

	* data/projects/covers/J.S.Bach-Preludium_and_Fugue_A-Minor.mmpz:
	fixed tempo-automation

2008-07-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/main_window.cpp:
	added minimal width and height when restoring subwindow-states

	* include/bb_track_container.h:
	* src/core/bb_track_container.cpp:
	* src/core/song.cpp:
	added quirk for fixing projects with broken positions of TCOs inside
	BB-tracks

	* src/core/automation_pattern.cpp:
	update views after resolving IDs for drawing bars with proper range

	* src/tracks/automation_track.cpp:
	fixed behaviour of automation-tracks in BB-editor (closes #2014486)

	* include/track.h:
	* src/core/track.cpp:
	fixed "Cut"-action on TCOs (closes #2016731)

2008-07-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/config_mgr.cpp:
	* src/core/main.cpp:
	do not terminate silently if parsing of configuration file failed

	* src/gui/automation_editor.cpp:
	fixed drawing of bars which do not fit within current viewport

	* data/themes/default/factory_files.png:
	better icon

	* data/projects/covers/J.S.Bach-Preludium_and_Fugue_A-Minor.mmpz:
	upgraded + reverb in master-FX channel

	* Makefile.am:
	* include/effect_label.h:
	* src/gui/widgets/effect_label.cpp:
	removed obsolete files

	* include/automation_track.h:
	* include/bb_track.h:
	* include/effect_rack_view.h:
	* include/instrument_track.h:
	* include/name_label.h:
	* include/sample_track.h:
	* include/track.h:
	* src/core/track.cpp:
	* src/gui/widgets/group_box.cpp:
	* src/gui/widgets/name_label.cpp:
	* src/tracks/automation_track.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/sample_track.cpp:
	* data/themes/default/style.css:
	* data/themes/default/add_automation.png:
	* data/themes/default/add_sample_track.png:
	* data/themes/default/automation.png:
	* data/themes/default/automation_track.png:
	* data/themes/default/colorize.png:
	* data/themes/default/instrument_track.png:
	* data/themes/default/sample_track.png:
	* data/themes/default/surround_area.png:
	unified track-view appearence and behaviour

2008-07-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/Makefile.am:
	added missing SOURCES-entry for UI-file

	* src/gui/widgets/combobox.cpp:
	better position for text-drawing

	* include/instrument_functions.h:
	* include/instrument_function_views.h:
	* src/core/instrument_functions.cpp:
	* src/gui/widgets/instrument_function_views.cpp:
	* data/themes/default/arp_down.png:
	* data/themes/default/arp_down_off.png:
	* data/themes/default/arp_down_on.png:
	* data/themes/default/arp_random.png:
	* data/themes/default/arp_random_off.png:
	* data/themes/default/arp_random_on.png:
	* data/themes/default/arp_up.png:
	* data/themes/default/arp_up_off.png:
	* data/themes/default/arp_up_on.png:
	* data/themes/default/arp_up_and_down.png:
	* data/themes/default/arp_up_and_down_off.png:
	* data/themes/default/arp_up_and_down_on.png:
	use combobox instead of button-group for selecting arpeggio-direction

2008-07-08	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/lb303:
	* plugins/lb303/lb303.cpp:
	* plugins/lb303/lb303.h:
	* plugins/lb303/artwork.png:
	* plugins/lb303/logo.png:
	* plugins/lb303/Makefile.am:
	* plugins/Makefile.am:
	* configure.in:
	First version of lb303, NO backward compatability YET

	* src/gui/controller_connection_dialog.cpp:
	Fix MIDI AutoDetect  

	* src/gui/widgets/knob.cpp:
	Fix occationally missing line after instantiation

2008-07-07	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/controller_connection_dialog.cpp:
	Show name instead of type in connection dialog

	* src/gui/widgets/controller_view.cpp:
	Remove bypass

	* plugins/lb302/lb302.cpp:
	* plugins/lb302/lb302.h:
	- Initial support for pitch-bend, doesn't work during slide.
	- Next version will probably be the first lb303
	- Cleanup, fixed dropped-notes
	- Fix pitch-bend while sliding

2008-07-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 0.4.0-alpha2 release

	* src/core/mmp.cpp:
	added compat-code for loading old presets where content-node is named
	"channelsettings"

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	added support for pitch-bending

	* include/instrument_track.h:
	* include/note_play_handle.h:
	* src/core/note_play_handle.cpp:
	* src/tracks/instrument_track.cpp:
	- additionally provide frequency without pitch-wheel
	- added instrumentTrack::midiPitch()

	* include/instrument.h:
	* include/instrument_track.h:
	* include/midi_controller.h:
	* include/midi_event_processor.h:
	* include/midi_port.h:
	* src/core/note_play_handle.cpp:
	* src/core/midi/midi_controller.cpp:
	* src/tracks/instrument_track.cpp:
	removed buggy and obsolete support for monophonic instruments

2008-07-06	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/lb302/lb302.cpp:
	* plugins/lb302/lb302.h:
	New version (and probably last) of new IPH-based lb302

2008-07-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/widgets/combobox.cpp:
	draw text at correct position in win32-version

	* src/core/drumsynth.cpp:
	when building for win32 define powf() as pow() due to symbol-conflicts
	in win32-libm

	* data/themes/default/style.css:
	fixed font-color for what's-this-popups so that they're readable

2008-07-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/stk/mallets/mallets.cpp:
	protect critical section when creating STK-synths as STK is not
	thread-safe (closes #2005888)

	* include/instrument_track.h:
	* src/tracks/instrument_track.cpp:
	- set hand-cursor for instrument-track-window button
	- in instrumentTrack::processInEvent() lock mixer in outer branch

	* include/instrument.h:
	added note for scheduled removal of monophonic-property

	* include/note_play_handle.h:
	made m_released volatile

	* src/core/note_play_handle.cpp:
	- instantly exit noteOff() if already released
	- manually unlink references to itself in instrumentTrack (fixes
	  segfaults in various situations)

	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/ladspa_control.cpp:
	fixed tempo-sync-models (closes #2010776)

	* src/core/mixer.cpp:
	cleanups

	* src/tracks/automation_track.cpp:
	made muting automation-tracks work (closes #2010770)

	* src/tracks/bb_track.cpp:
	made muting BB-tracks work (closes #2010764)

	* src/gui/widgets/effect_rack_view.cpp:
	made removing effect-plugins thread-safe (closes #2010984)

	* src/core/automation_pattern.cpp:
	save and restore automationPattern's name (closes #2011011)

	* include/inline_automation.h:
	delete automation-pattern is in correct thread (closes #2008232)

2008-07-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/track.h:
	made trackContentObject and track implement displayName() in order to
	return their name

	* include/effect_label.h:
	* src/gui/widgets/effect_label.cpp:
	* src/tracks/sample_track.cpp:
	do not take _initial_name as it can be retrieved from track

	* src/tracks/sample_track.cpp:
	added name to volumeModel

	* data/themes/default/hand.png:
	* src/gui/automatable_model_view.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/widgets/fade_button.cpp:
	* src/gui/widgets/effect_label.cpp:
	* src/gui/widgets/name_label.cpp:
	* src/core/track.cpp:
	added hand-cursor for all controls

	* data/themes/default/style.css:
	common font-size for track-labels

2008-07-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/main.cpp:
	* src/core/song.cpp:
	added new commandline option "--upgrade" for upgrading project-files
	easily

	* src/core/config_mgr.cpp:
	fixed wrong macro-name - fixes unusable Mallets-plugin

2008-07-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/Makefile.am:
	removed ui_patches_dialog.h from SOURCES-list

	* src/core/mmp.cpp:
	don't mess up projects when loading files being created using
	0.4.0-alpha in a later version because "0.4.0-alpha" < "0.4.0-svn..."

	* include/mv_base.h:
	Qt 4.3 compatibility

2008-06-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	made 0.4.0-alpha release

	* src/core/song.cpp:
	* src/core/mmp.cpp:
	* src/core/track.cpp:
	* src/core/automation_pattern.cpp:
	fixed broken load/save of song-global automation

	* Makefile.am:
	win32-pkg-fixes

	* data/locale/de.qm:
	* data/locale/de.ts:
	updated German localization file

	* include/song_editor.h:
	* src/gui/song_editor.cpp:
	made icon on play-button change according to current mode

	* include/main_window.h:
	* src/gui/bb_editor.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/widgets/controller_rack_view.cpp:
	added toggle-button for controller-rack-view and improved default
	positions of sub-windows in workspace

	* src/core/song.cpp:
	- send posted events after creating a new project - makes project not
	  being marked as modified right after it's been created
	- create empty sample-track and automation-track in new projects

	* src/core/engine.cpp:
	clear whole project before deleting everything - fixes segfault when
	quitting with controllers added

	* src/core/effect_chain.cpp:
	fixed crash when an effect failed to load because its sub-plugin is
	missing (closes #2005910)

	* src/core/automation_pattern.cpp:
	- initialize first value in time-map
	- better default-model
	- change automation-pattern to NULL if opened in automation editor
	  during destruction
	- improved default-label
	- when used in track-container with fixed TCOs, update length

	* src/core/track.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/sample_track.cpp:
	save/restore name-property inside track-class

	* src/tracks/automation_track.cpp:
	set a proper name per default

	* src/gui/automation_editor.cpp:
	queued connections for models for not getting signaled at
	destruction-time

	* include/bb_editor.h:
	* src/gui/bb_editor.cpp:
	made it possible to add automation-tracks to BB-editor

	* include/automation_pattern.h:
	* include/inline_automation.h:
	* include/note.h:
	* src/core/inline_automation.cpp:
	* src/core/note.cpp:
	fixed inlineAutomation::hasAutomation()

	* data/themes/default/style.css:
	common font-size for various push-buttons

	* src/core/config_mgr.cpp:
	ask whether to create working-directory if it does not exist

	* src/core/fx_mixer.cpp:
	reset mute-model in fxMixer::clear()

	* include/track.h:
	* src/core/track.cpp:
	- removed obsolete static members
	- more simple QPen-initialization for not making Qt leak

	* include/combobox_model.h:
	pass _default_constructed-parameter to base-class

	* src/gui/lfo_controller_dialog.cpp:
	renamed constants so one-unit-compiling is possible

	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	do not duplicate constants

	* src/gui/widgets/group_box.cpp:
	make sure LED's default-model is being deleted when changing model

	* src/core/plugin.cpp:
	made initialization of dummy-plugin pixmap-loder static

	* src/core/mixer.cpp:
	properly terminate worker-threads at mixer-destruction

	* src/core/main.cpp:
	fixed various leaks

	* src/core/mmp.cpp:
	replaced compat-code by proper code in multimediaProject::upgrade()

	* src/core/effect.cpp:
	added missing initialization of m_processors member variable

	* src/core/instrument_functions.cpp:
	removed obsolete constants

	* src/core/sample_buffer.cpp:
	fixed broken logic when updating sample-data

	* src/core/automation_pattern.cpp:
	in automationPattern::valueAt() check whether the time-map is empty

	* src/core/fx_mixer.cpp:
	save/load mute-settings for FX-lines

	* src/core/peak_controller.cpp:
	return default-value if there's no peak-effect

	* configure.in:
	* Makefile.am:
	* include/sample_buffer.h:
	* src/core/sample_buffer.cpp:
	removed support for SDL_sound-library as libsndfile and libvorbis do
	everything we need

	* include/automatable_model.h:
	* include/combobox_model.h:
	* include/mv_base.h:
	* include/piano_roll.h:
	* src/core/base64.cpp:
	* src/core/effect.cpp:
	* src/core/engine.cpp:
	* src/core/fx_mixer.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/ladspa_manager.cpp:
	* src/core/mv_base.cpp:
	* src/gui/automation_editor.cpp:
	* src/gui/main_window.cpp:
	* src/gui/piano_roll.cpp:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/group_box.cpp:
	* plugins/ladspa_effect/ladspa_effect.cpp:
	fixed various leaks I found using Valgrind

2008-06-30	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/ladspa_browser/ladspa_browser.cpp:
	* include/automation_editor.h:
	* src/gui/piano_roll.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/widgets/controller_rack_view.cpp:
	* src/gui/widgets/controller_view.cpp:
	* src/gui/automation_editor.cpp:
	* src/tracks/instrument_track.cpp:
	Remove maximize and resize capability from many windows and set proper
	minimum and intial sizes

2008-06-29	Javier Serrano Polo <jasp00/at/terra/dot/es>

	* data/locale/ca.ts:
	updated translation

2008-06-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/track.h:
	* include/sample_track.h:
	* src/gui/widgets/effect_label.cpp:
	* src/tracks/sample_track.cpp:
	* src/core/sample_play_handle.cpp:
	* src/core/track.cpp:
	* Makefile.am:
	finally resurrected sample-tracks

	* src/gui/automation_editor.cpp:
	- improved drawing/erasing values
	- fixed moving selected values

	* src/core/automation_pattern.cpp:
	when drawing automation, do not overpaint border

	* data/themes/default/fx_mixer.png:
	new icon at 32x32 px to make it scale better to 16x16

2008-06-29	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/sf2_player.cpp:
	Initialize gain at 1.0

	* src/core/automation_pattern.cpp:
	- Correctly draw automation TCO for negative minValues.
	- Add some shading

	* src/gui/controller_connection_dialog.cpp:
	- Connect cancel button
	- Make mapping function read-only for alpha release
	- Initialize MIDI Controller name when adding a MIDI Controller

	* src/gui/widgets/tempo_sync_knob.cpp:
	Make tempoSyncKnob really sync to tempo again

	* plugins/peak_controller_effect/peak_controller_effect.cpp:
	* plugins/peak_controller_effect/peak_controller_effect_controls.cpp:
	* plugins/peak_controller_effect/peak_controller_effect.h:
	* include/peak_controller.h:
	* src/core/peak_controller.cpp:
	Fix loading/saving for peak controller

	* src/core/effect.cpp:
	Correct comments

	* data/themes/default/style.css:
	Make toolbar colors a little more clear

	* src/core/automation_pattern.cpp:
	Save and load pattern position from project

	* include/automation_track.h:
	* src/tracks/automation_track.cpp:
	Allow dragging automatable views directly onto an automation-track

	* configure.in:
	Fix LIBDIR for when people do not use --prefix

	* include/automation_editor.h:
	* src/gui/automation_editor.cpp:
	- Don't miss points when scribbling quickly
	- Shift-Click to draw a line

	* include/lfo_controller.h:
	* src/gui/lfo_controller_dialog.cpp:
	* data/themes/default/lfo_controller_artwork.png:
	Add LFO artwork (except it doesn't work for some odd reason)

	* plugins/stereo_matrix/stereomatrix_control_dialog.cpp:
	* plugins/stereo_matrix/artwork.png:
	Add StereoMatrix artwork

	* plugins/bit_invader/artwork.png:
	Remove author name from artwork.  No other artwork has author names.  The
	name on the main GUI makes LMMS looks less professional.  AUTHORS.

	* plugins/patman/logo.png:
	* plugins/stereo_matrix/artwork.png:
	* plugins/audio_file_processor/logo.png:
	* plugins/vestige/logo.png:
	* plugins/spectrum_analyzer/log_x_axis.png:
	* plugins/spectrum_analyzer/log_y_axis.png:
	Update plugin artwork

	* plugins/live_tool/live_tool.cpp:
	* src/gui/plugin_browser.cpp:
	* src/gui/main_window.cpp:
	* src/gui/automation_editor.cpp:
	* src/gui/bb_editor.cpp:
	* src/tracks/bb_track.cpp:
	* src/core/mmp.cpp:
	* data/locale/nl.ts:
	* data/locale/it.ts:
	* data/locale/ca.ts:
	* data/locale/ru.ts:
	* data/locale/de.ts:
	* data/locale/sv.ts:
	Rename Baseline to Bassline

2008-06-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/Makefile.am:
	* configure.in:
	removed SingerBot-references

	* plugins/live_tool/live_tool.cpp:
	* src/core/tool.cpp:
	cleanups

	* src/gui/main_window.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/pattern.cpp:
	* src/core/automation_pattern.cpp:
	* data/themes/default/project_new_from_template.png:
	* data/themes/default/project_new.png:
	* data/themes/default/project_import.png:
	* data/themes/default/project_open_recent.png:
	* data/themes/default/edit_rename.png:
	* data/themes/default/rename.png:
	splitted "new project"-button and added "recently opened
	project"-button

	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/tracks/instrument_track.cpp:
	* data/themes/default/edit_draw.png:
	* data/themes/default/add_bb_track.png:
	* data/themes/default/edit_arrow.png:
	* data/themes/default/stop.png:
	* data/themes/default/mute_off_disabled.png:
	* data/themes/default/mute_on_disabled.png:
	* data/themes/default/style.css:
	* data/themes/default/play.png:
	* data/themes/default/mute_on.png:
	* data/themes/default/record.png:
	* data/themes/default/automation.png:
	* data/themes/default/help.png:
	* data/themes/default/sample_track.png:
	* data/themes/default/track_op_menu_disabled.png:
	* data/themes/default/edit_select.png:
	* data/themes/default/effect_board.png:
	* data/themes/default/mute_off.png:
	* data/themes/default/pause.png:
	* data/themes/default/bb_track.png:
	* data/themes/default/add_automation.png:
	* data/themes/default/edit_erase.png:
	* data/themes/default/record_accompany.png:
	* data/themes/default/edit_move.png:
	* data/themes/default/add_sample_track.png:
	* data/themes/default/songeditor.png:
	* data/themes/default/fx_mixer.png:
	improved artwork and maintoolbar

2008-06-28	Paul Giblock <drfaygo/at/gmail/dot/com>

	* configure.in:
	* src/core/config_mgr.cpp:
	* src/core/ladspa_manager.cpp:
	Search LIBDIR before any other directories

	* acinclude.m4:
	Search $QTDIR before any other directories

	* data/themes/default/style.css:
	Update CSS for new QToolBar support

2008-06-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/song.cpp:
	* src/core/project_renderer.cpp:
	- confirm overwrite when exporting file
	- set filter when selecting output-file for export

	* include/audio_file_device.h:
	* include/audio_file_ogg.h:
	* include/audio_file_wave.h:
	* include/project_renderer.h:
	* src/core/audio/audio_file_device.cpp:
	* src/core/audio/audio_file_ogg.cpp:
	* src/core/audio/audio_file_wave.cpp:
	* src/core/main.cpp:
	* src/core/project_renderer.cpp:
	* src/gui/export_project_dialog.cpp:
	added support for exporting WAVE-files with 32-bit-float format

	* include/automation_editor.h:
	fixed node-name

	* Makefile.am:
	* include/automation_pattern.h:
	* include/detuning_helper.h:
	* include/inline_automation.h:
	* include/note_play_handle.h:
	* src/core/automation_pattern.cpp:
	* src/core/inline_automation.cpp:
	* src/core/note.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/track.cpp:
	* src/gui/piano_roll.cpp:
	made note-detuning-automation work by making automationPatterns also
	work without a parent-track and writing a generic inlineAutomation-class

	* src/gui/file_browser.cpp:
	fixed crash when encountering invalid samplePlayHandle while
	previewing (closes #2004875)

2008-06-27	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/instrument_track.h:
	* src/tracks/instrument_track.cpp:
	added panning-knob to track-settings-widget

	* include/fx_mixer.h:
	* include/fx_mixer_view.h:
	* src/core/fx_mixer.cpp:
	* src/gui/fx_mixer_view.cpp:
	added mute-button for each FX-line

	* include/led_checkbox.h:
	* src/gui/peak_controller_dialog.cpp:
	* src/gui/widgets/instrument_function_views.cpp:
	* src/gui/widgets/ladspa_control_view.cpp:
	* src/gui/widgets/led_checkbox.cpp:
	made enumeration match current coding style

	* src/core/track.cpp:
	* src/core/plugin.cpp:
	* Makefile.am:
	cleanups

2008-06-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/tracks/instrument_track.cpp:
	overwrite-confirm when saving instrument-settings

	* src/core/effect_chain.cpp:
	when clear()ing, also disable FX-chain (closes #1994482)

	* src/core/song.cpp:
	always load FX-mixer-settings even if there's no GUI

	* src/core/track_container.cpp:
	fixed broken clearAllTracks()

	* include/track.h:
	* include/pattern.h:
	* include/bb_track.h:
	* src/tracks/bb_track.cpp:
	* src/tracks/pattern.cpp:
	* src/core/track.cpp:
	name-property in trackContentObject-class

	* include/automation_pattern.h:
	* src/core/automation_pattern.cpp:
	- added submenu for removing connections
	- made automation-pattern rename working

	* src/core/automation_pattern.cpp:
	fixed loading song-global automation

2008-06-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/vibed/vibrating_string.h:
	* plugins/vibed/nine_button_selector.h:
	* plugins/vibed/vibed.h:
	* plugins/vibed/vibrating_string.cpp:
	* plugins/vibed/string_container.h:
	* plugins/vibed/nine_button_selector.cpp:
	* plugins/vibed/Makefile.am:
	* plugins/vibed/vibed.cpp:
	* plugins/singerbot/singerbot.h:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/flp_import/flp_import.cpp:
	* include/note_play_handle.h:
	* src/tracks/instrument_track.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/audio/audio_device.cpp:
	* src/core/audio/audio_oss.cpp:
	- fixed wrong config.h-inclusion and deprecated macro-names from
	  config.h - makes Vibed plugin work again (closes #2000590)
	- various coding-style fixes

	* plugins/bit_invader/bit_invader.cpp:
	* plugins/vibed/vibed.cpp:
	fixed plugin-instantiation

	* include/graph.h:
	* src/gui/widgets/graph.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/vibed/vibed.h:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/bit_invader/bit_invader.h:
	use int instead of Uint32

	* plugins/plucked_string_synth/logo.png:
	* plugins/plucked_string_synth/plucked_string_synth.cpp:
	* plugins/plucked_string_synth/plucked_string_synth.h:
	* plugins/plucked_string_synth/Makefile.am:
	* plugins/plucked_string_synth/artwork.png:
	* plugins/polyb302/polyb302.h:
	* plugins/polyb302/logo.png:
	* plugins/polyb302/Makefile.am:
	* plugins/polyb302/polyb302.cpp:
	* plugins/polyb302/artwork.png:
	removed obsolete plugins

	* plugins/spectrum_analyzer/spectrumanalyzer_control_dialog.cpp:
	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	* plugins/spectrum_analyzer/Makefile.am:
	* plugins/spectrum_analyzer/spectrum_analyzer.h:
	* configure.in:
	use float-based FFTW-library

	* Makefile.am:
	* include/peak_controller.h:
	* include/tempo_sync_knob.h:
	fixes for win32-build

2008-06-23	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/ladspa_effect/ladspa_controls.cpp:
	* plugins/ladspa_effect/ladspa_controls.h:
	* plugins/organic/organic.cpp:
	* plugins/organic/organic.h:
	* plugins/lb302/lb302.cpp:
	* plugins/vibed/nine_button_selector.cpp:
	* plugins/triple_oscillator/triple_oscillator.h:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/kicker/kicker.cpp:
	* plugins/midi_import/midi_import.cpp:
	* include/effect.h:
	* include/meter_model.h:
	* include/track.h:
	* include/automatable_model.h:
	* include/instrument_functions.h:
	* include/ladspa_control.h:
	* include/audio_port.h:
	* include/automation_pattern.h:
	* include/effect_view.h:
	* include/graph.h:
	* include/song.h:
	* include/pattern.h:
	* include/envelope_and_lfo_parameters.h:
	* include/song_editor.h:
	* include/journalling_object.h:
	* include/automatable_model_view.h:
	* include/surround_area.h:
	* include/mv_base.h:
	* include/controller_view.h:
	* include/effect_controls.h:
	* include/midi_port.h:
	* include/automation_editor.h:
	* include/effect_chain.h:
	* include/automation_track.h:
	* include/track_container.h:
	* include/plugin_view.h:
	* src/gui/piano_roll.cpp:
	* src/gui/track_container_view.cpp:
	* src/gui/controller_dialog.cpp:
	* src/gui/automatable_model_view.cpp:
	* src/gui/effect_control_dialog.cpp:
	* src/gui/fx_mixer_view.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/widgets/ladspa_control_view.cpp:
	* src/gui/widgets/graph.cpp:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/midi_port_menu.cpp:
	* src/gui/widgets/controller_rack_view.cpp:
	* src/gui/widgets/instrument_sound_shaping_view.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/instrument_function_views.cpp:
	* src/gui/widgets/instrument_midi_io_view.cpp:
	* src/gui/widgets/automatable_slider.cpp:
	* src/gui/widgets/group_box.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/controller_view.cpp:
	* src/gui/widgets/fader.cpp:
	* src/gui/widgets/effect_rack_view.cpp:
	* src/gui/widgets/tempo_sync_knob.cpp:
	* src/gui/widgets/automatable_button.cpp:
	* src/gui/widgets/meter_dialog.cpp:
	* src/gui/automation_editor.cpp:
	* src/tracks/automation_track.cpp:
	* src/tracks/sample_track.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/pattern.cpp:
	* src/core/effect_chain.cpp:
	* src/core/project_journal.cpp:
	* src/core/midi/midi_controller.cpp:
	* src/core/midi/midi_port.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/song.cpp:
	* src/core/track_container.cpp:
	* src/core/bb_track_container.cpp:
	* src/core/journalling_object.cpp:
	* src/core/automatable_model.cpp:
	* src/core/audio/audio_port.cpp:
	* src/core/sample_play_handle.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/mmp.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/meter_model.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/track.cpp:
	* src/core/ladspa_control.cpp:
	* src/core/note.cpp:
	* src/core/piano.cpp:
	* src/core/surround_area.cpp:
	* src/core/mv_base.cpp:
	* src/core/automation_pattern.cpp:
	* src/core/fx_mixer.cpp:
	* data/themes/default/add_automation.png:
	- completely new automation-system with automation-tracks and
	  automation-patterns as well as song-global automation
	- made modelView take a QWidget-pointer argument
	- trackContentObject-ctor now calls track::addTCO() directly
	- optimize various loops to use iterators/const_iterators instead of
	  a running index variable
	- drag'n'drop doesn't fool around with pointers anymore - instead use
	  unique journalling-IDs
	- moved drag'n'drop handling code from knob to automatableModelView so
	  that all controls can benefit from that

2008-06-23	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/lfo_controller.h:
	* src/gui/lfo_controller_dialog.cpp:
	* src/core/lfo_controller.cpp:
	* data/themes/default/lfo_d100_active.png:
	* data/themes/default/lfo_d100_inactive.png:
	* data/themes/default/lfo_x100_active.png:
	* data/themes/default/lfo_x100_inactive.png:
	* data/themes/default/lfo_x1_active.png:
	* data/themes/default/lfo_x1_inactive.png:
	Add multiplier to lfo-controller and fix tempo-sync knob.  Breaks old
	projects that use LFO, but shouldn't matter since 0.4 hasn't been
	released

	* src/gui/widgets/tempo_sync_knob.cpp:
	Allow tempo-sync knob to work with ranges other than [0..1]

	* src/core/envelope_and_lfo_parameters.cpp:
	Remove hardcoded literal, use already defined const int instead

	* data/projects/templates/CR8000.mpt:
	* data/projects/templates/TR808.mpt:
	Added two drumsynth templates

2008-06-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/automatable_model_view.h:
	* src/core/piano.cpp:
	full context-menu for piano-basenote so it can be automated as well as
	controlled via controller

	* src/gui/widgets/knob.cpp:
	- when linking knobs via Shift+Drag do not use pointer to model as
	  drag-data rather than model-ID which can be resolved via
	  project-journal
	- fixed displayValue()

	* Makefile.am:
	* include/knob.h:
	* include/volume_knob.h:
	* plugins/organic/organic.cpp:
	* plugins/organic/organic.h:
	* plugins/vibed/vibed.h:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.h:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/audio_file_processor.h:
	* src/tracks/instrument_track.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/volume_knob.cpp:
	removed volumeKnob-class and added volumeKnob-property to knob-class
	instead

	* plugins/flp_import/flp_import.cpp:
	* include/controller_connection.h:
	* include/lcd_spinbox.h:
	* include/controller.h:
	* include/automatable_model.h:
	* include/instrument_track.h:
	* include/instrument_functions.h:
	* include/note_play_handle.h:
	* include/instrument_sound_shaping.h:
	* include/basic_filters.h:
	* include/sample_track.h:
	* include/surround_area.h:
	* src/core/note_play_handle.cpp:
	* src/core/automatable_model.cpp:
	* src/core/main.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/piano.cpp:
	* src/core/surround_area.cpp:
	reduced header-dependencies and various cleanups

	* include/tempo_sync_knob.h:
	* src/gui/widgets/tempo_sync_knob.cpp:
	- do not re-implement private event-handlers and use knob's signals
	  instead
	- fixed crash when closing meterDialog and choosing custom-sync
	  afterwards

	* src/gui/fx_mixer_view.cpp:
	better initial position of FX-mixer view

	* src/gui/song_editor.cpp:
	removed obsolete headers

	* include/setup_dialog.h:
	* src/gui/bb_editor.cpp:
	* src/gui/main_window.cpp:
	* src/gui/setup_dialog.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/widgets/controller_rack_view.cpp:
	* src/gui/widgets/knob.cpp:
	- removed obsolete non-MDI-mode
	- removed classical knob-usability
	- removed show-wizard-after-upgrade setting
	- other cleanups

2008-06-20	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/core/piano.cpp:
	make SVN compile again

2008-06-20	Paul Wayper <paulway/at/mabula/dot/net>

	* src/core/piano.cpp:
	added Doxygen documentation.

2008-06-19	Paul Wayper <paulway/at/mabula/dot/net>

	* src/core/track.cpp:
	added Doxygen documentation.

2008-06-16	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/Makefile.am:
	* configure.in:
	added libfftw3-detection

	* plugins/bass_booster/bassbooster_control_dialog.cpp:
	* plugins/bass_booster/artwork.png:
	* plugins/peak_controller_effect/peak_controller_effect_control_dialog.cpp:
	* plugins/peak_controller_effect/artwork.png:
	added metal-brushed background-artwork

	* src/tracks/instrument_track.cpp:
	added unit to pitch-knob

2008-06-15	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/stereo_matrix/stereo_matrix.cpp:
	update author email address
	
	* src/gui/widgets/graph.cpp:
	* src/gui/lfo_controller_dialog.cpp:
	code cleanup

	* src/gui/widgets/fade_button.cpp:
	* src/tracks/instrument_track.cpp:
	improve appearance of fade buttons

	* include/tool_button.h:
	* src/gui/widgets/tool_button.cpp:
	* src/gui/lmms_style.cpp:
	* data/themes/default/style.css:
	remove styling, rely on QStyle and stylesheets now

	* include/song_editor.h:
	* include/main_window.h:
	* include/timeline.h:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/widgets/nstate_button.cpp:
	* src/core/timeline.cpp:

	* data/themes/default/main_toolbar_bg.png:
	* data/themes/default/toolbar_bg.png:
	Enlarge images for resizable toolbars - quick fix. Could just clamp the
	texture at the bottom
	
2008-06-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/knob.h:
	* src/gui/widgets/knob.cpp:
	- cache pixmap
	- only redraw if angle has changed by more than 3 degrees
	- cleanups

	* src/core/midi/midi_alsa_seq.cpp:
	cleanups and small optimizations

	* include/instrument_midi_io_view.h:
	* include/instrument_track.h:
	* include/midi_port.h:
	* src/core/midi/midi_port.cpp:
	* src/tracks/instrument_track.cpp:
	* src/gui/widgets/instrument_midi_io_view.cpp:
	refactored midiPortMenu-creation and -management - fixes crash when
	removing track which had MIDI-in enabled and enabled MIDI-in for
	another track afterwards

	* src/gui/file_browser.cpp:
	do not load MIDI-settings when loading preset as this might break
	existing instrument tracks

	* include/automatable_model.h:
	* src/tracks/instrument_track.cpp:
	directly handle MIDI-pitch-bend events

	* include/instrument_track.h:
	* src/core/note_play_handle.cpp:
	* src/tracks/instrument_track.cpp:
	- added pitch-knob to instrument-track
	- fixed activity indicator

	* plugins/stk/voices/flute/flute_model.cpp:
	* plugins/stk/voices/flute/flute_model.h:
	* plugins/stk/voices/flute/flute_instrument.cpp:
	* plugins/stk/voices/resonate/resonate_model.cpp:
	* plugins/stk/voices/resonate/resonate_model.h:
	* plugins/stk/voices/resonate/resonate_instrument.cpp:
	* plugins/stk/voices/include/stk_instrument.h:
	* plugins/stk/voices/include/stk_processor.h:
	* plugins/stk/voices/include/stk_model.h:
	* plugins/stk/voices/include/stk_voice.h:
	* plugins/stk/voices/wurley/wurley_instrument.cpp:
	* plugins/stk/voices/wurley/wurley_model.cpp:
	* plugins/stk/voices/wurley/wurley_model.h:
	* plugins/stk/voices/src/stk_model.cpp:
	* plugins/stk/voices/percflute/percflute_model.h:
	* plugins/stk/voices/percflute/percflute_instrument.cpp:
	* plugins/stk/voices/percflute/percflute_model.cpp:
	* plugins/stk/voices/rhodey/rhodey_model.h:
	* plugins/stk/voices/rhodey/rhodey_instrument.cpp:
	* plugins/stk/voices/rhodey/rhodey_model.cpp:
	* plugins/stk/voices/tubebell/tubebell_model.cpp:
	* plugins/stk/voices/tubebell/tubebell_model.h:
	* plugins/stk/voices/tubebell/tubebell_instrument.cpp:
	* plugins/stk/voices/bowed/bowed_model.cpp:
	* plugins/stk/voices/bowed/bowed_model.h:
	* plugins/stk/voices/bowed/bowed_instrument.cpp:
	* plugins/stk/voices/clarinet/clarinet_model.cpp:
	* plugins/stk/voices/clarinet/clarinet_model.h:
	* plugins/stk/voices/clarinet/clarinet_instrument.cpp:
	* plugins/stk/voices/moog/moog_model.cpp:
	* plugins/stk/voices/moog/moog_model.h:
	* plugins/stk/voices/moog/moog_instrument.cpp:
	* plugins/stk/voices/metal/metal_model.cpp:
	* plugins/stk/voices/metal/metal_model.h:
	* plugins/stk/voices/metal/metal_instrument.cpp:
	* plugins/stk/voices/b3/b3_model.cpp:
	* plugins/stk/voices/b3/b3_model.h:
	* plugins/stk/voices/b3/b3_instrument.cpp:
	* plugins/stk/voices/blow_hole/blow_hole_model.h:
	* plugins/stk/voices/blow_hole/blow_hole_instrument.cpp:
	* plugins/stk/voices/blow_hole/blow_hole_model.cpp:
	* plugins/stk/voices/brass/brass_model.h:
	* plugins/stk/voices/brass/brass_instrument.cpp:
	* plugins/stk/voices/brass/brass_model.cpp:
	* plugins/stk/voices/fmvoices/fmvoices_model.h:
	* plugins/stk/voices/fmvoices/fmvoices_instrument.cpp:
	* plugins/stk/voices/fmvoices/fmvoices_model.cpp:
	* plugins/stk/voices/bandedwg/bandedwg_model.h:
	* plugins/stk/voices/bandedwg/bandedwg_instrument.cpp:
	* plugins/stk/voices/bandedwg/bandedwg_model.cpp:
	* plugins/stk/voices/blow_bottle/blow_bottle_model.h:
	* plugins/stk/voices/blow_bottle/blow_bottle_instrument.cpp:
	* plugins/stk/voices/blow_bottle/blow_bottle_model.cpp:
	made STK-voices-plugins compile after they've not been maintained for
	a while

	* include/pixmap_button.h:
	* src/gui/widgets/pixmap_button.cpp:
	removed removed obsolete ctrlClick() signal

	* include/track_container.h:
	* src/core/track_container.cpp:
	removed obsolete setMutedOfAllTracks() method

	* src/core/song.cpp:
	- lock mixer while loading project - fixes crashes when loading projects
	  with FX-mixer settings
	- update BB-track-container after creating a new project - fixes
	  non-existing TCOs (i.e. patterns) in BB-Editor in new projects

	* include/config_mgr.h:
	added missing include

	* src/tracks/bb_track.cpp:
	unregister BB-track-view from BB-editor at destruction - fixes crash
	when removing BB-tracks

	* src/core/bb_track_container.cpp:
	cleanups and more optimized loops

	* include/track.h:
	* src/core/track.cpp:
	- fixed issue when moving BB-tracks up/down where actual BB-TCOs were
	  not moved (closes #1994468)
	- in trackContentObjectView and trackView, handle deletion of models
	  more gracefully

2008-06-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	don't apply window-function to data as this seems to make things only
	even worse

	* plugins/spectrum_analyzer/log_x_axis.png:
	* plugins/spectrum_analyzer/log_y_axis.png:
	* plugins/spectrum_analyzer/background.png:
	* plugins/spectrum_analyzer/spectrum_background.png:
	* plugins/spectrum_analyzer/spectrum_background_plain.png:
	* plugins/spectrum_analyzer/spectrumanalyzer_control_dialog.cpp:
	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	* plugins/spectrum_analyzer/spectrumanalyzer_controls.cpp:
	* plugins/spectrum_analyzer/spectrumanalyzer_control_dialog.h:
	labeled axes and correct logarithmic view

	* plugins/spectrum_analyzer/background.png:
	* plugins/spectrum_analyzer/spectrum_background.png:
	* plugins/spectrum_analyzer/spectrum_background_plain.png:
	* plugins/spectrum_analyzer/spectrumanalyzer_control_dialog.cpp:
	* plugins/spectrum_analyzer/spectrum_analyzer.h:
	improved appearence of Spectrum Analzyer

	* configure.in:
	* plugins/Makefile.am:
	* plugins/spectrum_analyzer/Makefile.am:
	* plugins/spectrum_analyzer/logo.png:
	* plugins/spectrum_analyzer/spectrum_analyzer.h:
	* plugins/spectrum_analyzer/spectrum_analyzer.cpp:
	* plugins/spectrum_analyzer/spectrumanalyzer_controls.h:
	* plugins/spectrum_analyzer/spectrumanalyzer_controls.cpp:
	* plugins/spectrum_analyzer/spectrumanalyzer_control_dialog.h:
	* plugins/spectrum_analyzer/spectrumanalyzer_control_dialog.cpp:
	added initial version of spectrum analyzer - very basic at the moment!

	* plugins/bass_booster/bass_booster.cpp:
	* plugins/bass_booster/bass_booster.h:
	* plugins/bass_booster/bassbooster_controls.h:
	* plugins/ladspa_effect/ladspa_controls.h:
	* plugins/peak_controller_effect/peak_controller_effect_controls.h:
	* plugins/stereo_enhancer/stereoenhancer_controls.h:
	* plugins/stereo_matrix/stereomatrix_controls.h:
	* plugins/vst_effect/vst_effect_controls.h:
	* include/dummy_effect.h:
	* include/effect_controls.h:
	changed return-type of effectControls::getControlCount()

2008-06-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/project_renderer.h:
	* src/gui/dialogs/export_project.ui:
	* src/gui/export_project_dialog.cpp:
	* src/core/audio/audio_file_ogg.cpp:
	* src/core/main.cpp:
	* src/core/project_renderer.cpp:
	improved support for different file-formats when exporting and fixed
	bug which made LMMS crash when exporting to OGG-file

2008-06-10	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/song.cpp:
	fixed loading files in no-GUI mode

	* include/mixer.h:
	* src/core/audio/audio_device.cpp:
	* src/core/mixer.cpp:
	* src/core/project_renderer.cpp:
	don't use fifoWriter when rendering as we do not have realtime issues
	here - fixes lockups on various systems when exporting project

	* plugins/sf2_player/sf2_player.cpp:
	enabled LCD-Spinboxes for easily switching banks/patches - I know that
	this way you can select banks/patches that do not exist but opening
	patch-dialog each time is much more inconvenient - maybe we can
	subclass lcdSpinBox one day so that it automatically "skips" wholes
	when scrolling

	* include/instrument_track.h:
	* src/tracks/instrument_track.cpp:
	removed obsolete instrumentTrackView::updateName() and made
	track-button update on name-changes

2008-06-10	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/artwork.png:
	* plugins/sf2_player/chorus_off.png:
	* plugins/sf2_player/chorus_on.png:
	* plugins/sf2_player/fileselect_off.png:
	* plugins/sf2_player/fileselect_on.png:
	* plugins/sf2_player/patches_on.png:
	* plugins/sf2_player/patches_off.png:
	* plugins/sf2_player/reverb_off.png:
	* plugins/sf2_player/reverb_on.png:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	* data/themes/default/style.css:
	* data/themes/default/lcd_21pink.png:
	integrate new sf2 artwork, for the most part at least

2008-06-09	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/main_window.cpp:
	also show *.xiz files in preset-browser

	* src/gui/file_browser.cpp:
	classify .xml-files always as presets and do not examine them more
	detailed - also improves LMMS-startup-times

	* Makefile.am:
	added a few files to LMMS-headers

2008-06-08	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/widgets/graph.h:
	* src/gui/widgets/graph.cpp:
	- Fix graph widget "scrolling"
	- Add styles so it can be drawn un-interpolated

	* include/mv_base.h:
	* src/core/mv_base.cpp:
	Add recursive fullDisplayName function

	* include/combobox_model.h:
	* src/gui/widgets/automatable_button.cpp:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/tempo_sync_knob.cpp:
	* src/gui/widgets/effect_view.cpp:
	* src/gui/lfo_controller_dialog.cpp:
	* src/core/midi/midi_port.cpp:
	* src/core/fx_mixer.cpp:
	* src/core/lfo_controller.cpp:
	* src/core/effect.cpp:
	extend more models and views for displayName

	* include/instrument.h:
	* src/gui/widgets/instrument_sound_shaping_view.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/instrument_function_views.cpp:
	* src/gui/widgets/instrument_midi_io_view.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/instrument.cpp:
	extend instrument stuff for displayName

	* include/controller_connection_dialog.h:
	* src/gui/controller_connection_dialog.cpp:
	improve interface slightly

	* plugins/bit_invader/bit_invader.cpp:
	change graph style mode when toggling interpolation

	* plugins/peak_controller_effect:
	* plugins/peak_controller_effect/peak_controller_effect_control_dialog.cpp:
	* plugins/peak_controller_effect/peak_controller_effect.cpp:
	* plugins/peak_controller_effect/logo.png:
	* plugins/peak_controller_effect/peak_controller_effect_controls.cpp:
	* plugins/peak_controller_effect/peak_controller_effect_control_dialog.h:
	* plugins/peak_controller_effect/peak_controller_effect.h:
	* plugins/peak_controller_effect/peak_controller_effect_controls.h:
	* plugins/peak_controller_effect/Makefile.am:
	* plugins/Makefile.am:
	* include/peak_controller.h:
	* include/controller.h:
	* include/automatable_model.h:
	* src/gui/peak_controller_dialog.cpp:
	* src/core/peak_controller.cpp:
	* src/core/controller.cpp:
	* configure.in:
	* Makefile.am:
	- Very first implementation of peak-controller
	- Create one by adding it in the effect-chain, then connecting a widget to
	the controller
	- There is no sample-exactness, smoothing, or anything like that yet

2008-06-08	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/tap/tap_deesser.c:
	* plugins/ladspa_effect/tap/tap_sigmoid.c:
	* plugins/ladspa_effect/tap/tap_doubler.c:
	* plugins/ladspa_effect/tap/ladspa-local.h:
	* plugins/ladspa_effect/tap/tap_eqbw.c:
	* plugins/ladspa_effect/tap/tap_pinknoise.c:
	* plugins/ladspa_effect/tap/tap_chorusflanger.c:
	* plugins/ladspa_effect/tap/tap_eq.c:
	* plugins/ladspa_effect/tap/tap_limiter.c:
	* plugins/ladspa_effect/tap/ladspa.h:
	* plugins/ladspa_effect/tap/tap_vibrato.c:
	* plugins/ladspa_effect/tap/tap_autopan.c:
	* plugins/ladspa_effect/tap/tap_pitch.c:
	* plugins/ladspa_effect/tap/tap_dynamics_st.c:
	* plugins/ladspa_effect/tap/tap_echo.c:
	* plugins/ladspa_effect/tap/tap_tremolo.c:
	* plugins/ladspa_effect/tap/tap_tubewarmth.c:
	* plugins/ladspa_effect/tap/tap_dynamics_m.c:
	* plugins/ladspa_effect/tap/Makefile.am:
	* plugins/ladspa_effect/tap/tap_reflector.c:
	* plugins/ladspa_effect/tap/tap_reverb.c:
	* plugins/ladspa_effect/tap/tap_rotspeak.c:
	* plugins/ladspa_effect/caps/basics.h:
	* plugins/ladspa_effect/caps/Makefile.am:
	* plugins/vst_base/lvsl_client.cpp:
	* plugins/vst_base/lvsl_server.cpp:
	* plugins/vst_base/communication.h:
	* plugins/midi_import/midi_import.h:
	* include/effect.h:
	* include/midi_dummy.h:
	* include/endian_handling.h:
	* include/track.h:
	* include/note.h:
	* include/engine.h:
	* include/sweep_oscillator.h:
	* include/debug.h:
	* include/midi_alsa_raw.h:
	* include/config_mgr.h:
	* include/import_filter.h:
	* include/audio_file_wave.h:
	* include/mixer.h:
	* include/audio_file_ogg.h:
	* include/ladspa_manager.h:
	* include/ladspa_control.h:
	* include/sample_buffer.h:
	* include/fx_mixer.h:
	* include/nstate_button.h:
	* include/audio_pulseaudio.h:
	* include/clipboard.h:
	* include/audio_sdl.h:
	* include/micro_timer.h:
	* include/midi_event_processor.h:
	* include/audio_jack.h:
	* include/piano_roll.h:
	* include/volume.h:
	* include/oscillator.h:
	* include/export.h:
	* include/midi_alsa_seq.h:
	* include/tool.h:
	* include/setup_dialog.h:
	* include/tab_bar.h:
	* include/audio_device.h:
	* include/audio_oss.h:
	* include/audio_alsa.h:
	* src/gui/piano_roll.cpp:
	* src/gui/main_window.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/setup_dialog.cpp:
	* src/gui/about_dialog.cpp:
	* src/tracks/instrument_track.cpp:
	* src/core/plugin.cpp:
	* src/core/song.cpp:
	* src/core/config_mgr.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/main.cpp:
	* src/core/mmp.cpp:
	* src/core/ladspa_manager.cpp:
	* src/core/ladspa_control.cpp:
	* src/core/sample_buffer.cpp:
	* Makefile.am:
	use lmmsconfig.h rather than config.h and use prefixed macro-names

	* acinclude.m4:
	* configure.in:
	create include/lmmsconfig.h which contains prefixed config.h defines

2008-06-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/song.cpp:
	reset m_modified after loading a project, creating a new one or saving

	* src/core/song.cpp:
	in song::setModified() only call mainWindow::resetWindowTitle() when
	being called with GUI-thread affinity

	* include/automatable_model.h:
	* src/core/automatable_model.cpp:
	* src/core/automation_pattern.cpp:
	added fast and more leight-weight setAutomatedValue() which omits
	things like journalling - makes things faster and doesn't introduce
	threading-problems

	* src/core/mmp.cpp:
	handle renamed midi-node ("midi" -> "midiport")

	* src/tracks/instrument_track.cpp:
	fixed MIDI-IO when using raw MIDI client

	* plugins/midi_import/midi_import.cpp:
	* include/song.h:
	added support for importing time-signature settings

	* Makefile.am:
	* plugins/midi_import/midi_import.cpp:
	* plugins/vestige/vestige.cpp:
	* plugins/vst_base/lvsl_client.cpp:
	* plugins/vst_base/lvsl_server.cpp:
	* include/meter_model.h:
	* include/midi.h:
	* src/core/note_play_handle.cpp:
	* src/core/piano.cpp:
	* src/core/midi/midi_alsa_seq.cpp:
	* src/core/midi/midi_client.cpp:
	* src/core/midi/midi_controller.cpp:
	* src/core/midi/midi_port.cpp:
	* src/tracks/instrument_track.cpp:
	* src/gui/controller_connection_dialog.cpp:
	* src/gui/piano_roll.cpp:
	made MidiEventTypes-enum conform coding-style, i.e. MidiNoteOn instead
	of NOTE_ON etc.

	* include/controller_connection_dialog.h:
	* include/instrument_midi_io_view.h:
	* include/instrument_track.h:
	* include/midi_alsa_raw.h:
	* include/midi_alsa_seq.h:
	* include/midi_client.h:
	* include/midi_controller.h:
	* include/midi_io_model.h:
	* include/midi_oss.h:
	* include/midi_port.h:
	* include/midi_port_menu.h:
	* src/core/note_play_handle.cpp:
	* src/core/preset_preview_play_handle.cpp:
	* src/core/song.cpp:
	* src/core/midi/midi_client.cpp:
	* src/core/midi/midi_controller.cpp:
	* src/core/midi/midi_port.cpp:
	* src/core/midi/midi_io_model.cpp:
	* src/core/midi/midi_alsa_seq.cpp:
	* src/gui/piano_roll.cpp:
	* src/gui/controller_connection_dialog.cpp:
	* src/gui/widgets/instrument_midi_io_view.cpp:
	* src/tracks/instrument_track.cpp:
	* Makefile.am:
	rewrote management of MIDI-ports and MIDI-port subscriptions - now
	it's central and easy to use

2008-06-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/note.h:
	* include/serializing_object.h:
	* include/instrument_track.h:
	* include/sample_buffer.h:
	* include/journalling_object.h:
	* src/gui/automation_editor.cpp:
	* src/core/serializing_object.cpp:
	* src/core/journalling_object.cpp:
	* src/core/note.cpp:
	* Makefile.am:
	splitted basic functionality of journallingObject into
	serializingObject so that creating note objects, notePlayHandles etc.
	does not have all the journalling-overhead (assigning/freeing ID etc.)

2008-06-06	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/knob.h:
	* include/automatable_slider.h:
	* include/controller_connection.h:
	* include/midi_controller.h:
	* include/automatable_model.h:
	* include/automatable_button.h:
	* include/tempo_sync_knob.h:
	* include/controller_connection_dialog.h:
	* include/pixmap_button.h:
	* include/automatable_model_view.h:
	* include/mv_base.h:
	* include/volume_knob.h:
	* src/gui/automatable_model_view.cpp:
	* src/gui/controller_connection_dialog.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/automatable_slider.cpp:
	* src/gui/widgets/group_box.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/tempo_sync_knob.cpp:
	* src/gui/widgets/automatable_button.cpp:
	* src/core/midi/midi_controller.cpp:
	* src/core/automatable_model.cpp:
	* src/core/controller_connection.cpp:
	- add support for sequenced midi in midi-controllers
	- add displayName field to model / autoModel for descriptive model trees
	- use displayName for midiController and contextMenus

	* src/core/ladspa_control.cpp:
	* plugins/lb302/lb302.cpp:
	* plugins/organic/organic.cpp:
	* plugins/organic/organic.h:
	* plugins/bass_booster/bassbooster_control_dialog.cpp:
	* plugins/bass_booster/bassbooster_controls.cpp:
	* plugins/stereo_matrix/stereomatrix_control_dialog.cpp:
	* plugins/stereo_matrix/stereomatrix_controls.cpp:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/vibed/nine_button_selector.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/stereo_enhancer/stereoenhancer_control_dialog.cpp:
	* plugins/stereo_enhancer/stereoenhancer_controls.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/kicker/kicker.cpp:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/triple_oscillator/triple_oscillator.h:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	- Update plugins to use displayName for child widgets
	- Still need to do this to all of LMMS core

	* include/effect_lib.h:
	* src/core/lfo_controller.cpp:
	Fix compile time warnings

	* include/automatable_model.h:
	* include/instrument_track.h:
	* include/controller_connection_dialog.h:
	* src/gui/controller_connection_dialog.cpp:
	* src/tracks/instrument_track.cpp:
	Test to see if we can now generate reasonable midi-port names. We can,
	the feature is very beta right now (no screenupdating, loading, etc..)
	
2008-06-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/track.h:
	* include/track_container_view.h:
	* src/core/track.cpp:
	* src/gui/track_container_view.cpp:
	remove track from within slot in trackContainerView for not deleting
	object inside its own method - fixes Qt-warning and closes #1981812

	* src/tracks/instrument_track.cpp:
	when freeing instrument-window, also free view immediately - fixes
	crash when removing instrument-track while instrument-track window was
	open

	* include/automatable_model.h:
	* include/automation_editor.h:
	* src/gui/piano_roll.cpp:
	* src/gui/widgets/graph.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/fader.cpp:
	* src/gui/automation_editor.cpp:
	fixed various GCC-warnings

2008-06-05	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/automatable_model.h:
	* include/mv_base.h:
	* src/gui/automatable_model_view.cpp:
	* src/gui/widgets/knob.cpp:
	add setDisplayName to model, but doesn't work right for some reason

2008-06-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/note.h:
	* include/note_play_handle.h:
	removed obsolete FASTCALL-attributes

	* include/project_journal.h:
	* src/core/project_journal.cpp:
	* src/core/song.cpp:
	heavily optimized journal-cleanup - project unloading is now
	unbelievable fast!

2008-06-05	Paul Giblock <drfaygo/at/gmail/dot/com>

	* data/themes/default/style.css:
	fix check-marks on menus.  They used to all appear checked no matter what

2008-06-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/track.h:
	* src/core/track.cpp:
	re-arranged mute- and solo-buttons

	* plugins/ladspa_effect/tap/tap_deesser.c:
	* plugins/ladspa_effect/tap/tap_reverb.h:
	* plugins/ladspa_effect/tap/tap_sigmoid.c:
	* plugins/ladspa_effect/tap/tap_doubler.c:
	* plugins/ladspa_effect/tap/tap_eqbw.c:
	* plugins/ladspa_effect/tap/tap_pinknoise.c:
	* plugins/ladspa_effect/tap/tap_reverb_presets.h:
	* plugins/ladspa_effect/tap/tap_chorusflanger.c:
	* plugins/ladspa_effect/tap/ladspa.h:
	* plugins/ladspa_effect/tap/tap_limiter.c:
	* plugins/ladspa_effect/tap/tap_utils.h:
	* plugins/ladspa_effect/tap/tap_eq.c:
	* plugins/ladspa_effect/tap/tap_vibrato.c:
	* plugins/ladspa_effect/tap/tap_autopan.c:
	* plugins/ladspa_effect/tap/tap_pitch.c:
	* plugins/ladspa_effect/tap/CREDITS:
	* plugins/ladspa_effect/tap/README:
	* plugins/ladspa_effect/tap/tap_dynamics_st.c:
	* plugins/ladspa_effect/tap/tap_echo.c:
	* plugins/ladspa_effect/tap/tap_tremolo.c:
	* plugins/ladspa_effect/tap/tap_dynamics_presets.h:
	* plugins/ladspa_effect/tap/tap_tubewarmth.c:
	* plugins/ladspa_effect/tap/COPYING:
	* plugins/ladspa_effect/tap/tap_dynamics_m.c:
	* plugins/ladspa_effect/tap/Makefile.am:
	* plugins/ladspa_effect/tap/tap_reflector.c:
	* plugins/ladspa_effect/tap/tap_reverb.c:
	* plugins/ladspa_effect/tap/tap_rotspeak.c:
	* plugins/ladspa_effect/Makefile.am:
	* configure.in:
	* Makefile.am:
	integrated TAP-plugins to be shipped with LMMS

2008-06-04	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/lmms_style.cpp:
	Shrink the titlebars

2008-06-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/vibed/nine_button_selector.cpp:
	* plugins/live_tool/live_tool.cpp:
	* include/note_play_handle.h:
	* include/track_container.h:
	* include/track.h:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/pattern.cpp:
	* src/core/sample_play_handle.cpp:
	* src/core/track.cpp:
	renamed muted() to isMuted() and other coding-style fixes

	* src/gui/widgets/automatable_slider.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/automatable_button.cpp:
	use automatableModelView::addDefaultActions()

	* src/gui/widgets/tooltip.cpp:
	re-enabled tooltips

	* include/track.h:
	* include/track_container.h:
	* src/core/track.cpp:
	* data/themes/default/led_red.png:
	added fully-functional solo-button

	* include/automation_editor.h:
	* src/gui/automation_editor.cpp:
	fixed broken automation-drawing for floatModels

	* configure.in:
	* Makefile.am:
	support for building win32-version with OGG/vorbis-support

	* src/gui/main_window.cpp:
	added separator in edit-menu

	* src/core/config_mgr.cpp:
	fixed paths for win32-build

	* src/core/sample_buffer.cpp:
	fixed platform-dependent sampleBuffer::tryToMakeAbsolute(...)

	* lmms.rc.in:
	* Makefile.am:
	* data/lmms.ico:
	added icon and resource-file

	* Makefile.am:
	added win32-pkg target

2008-06-02	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	* src/gui/main_window.cpp:
	Support loading of sf2 files from the sidebar sample browser

	* include/knob.h:
	* include/automatable_model_view.h:
	* src/gui/automatable_model_view.cpp:
	* src/gui/widgets/knob.cpp:
	* Makefile.am:
	- move context menu stuff to automatableModelView
	- add automatableModelViewSlots for slots we may wish to call from AMV

	* include/midi_controller.h:
	code style

	* src/core/midi/midi_controller.cpp:
	name midiControllers after their channel/controller

	* src/gui/widgets/fader.cpp:
	Use default context menu

	* src/gui/controller_connection_dialog.cpp:
	don't choose the controller if the user didn't actually choose anything

2008-06-02	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/mixer.cpp:
	try all audio-drivers at startup even if dummy-driver is selected

	* configure.in:
	* Makefile.am:
	properly link against win32-libsndfile

	* plugins/patman/patman.cpp:
	* plugins/patman/Makefile.am:
	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/ladspa_effect/caps/Makefile.am:
	* plugins/ladspa_effect/Makefile.am:
	* plugins/organic/organic.cpp:
	* plugins/organic/Makefile.am:
	* plugins/lb302/lb302.cpp:
	* plugins/lb302/Makefile.am:
	* plugins/bass_booster/bass_booster.cpp:
	* plugins/bass_booster/Makefile.am:
	* plugins/stereo_matrix/stereo_matrix.cpp:
	* plugins/stereo_matrix/Makefile.am:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/bit_invader/Makefile.am:
	* plugins/vibed/Makefile.am:
	* plugins/vibed/vibed.cpp:
	* plugins/live_tool/Makefile.am:
	* plugins/live_tool/live_tool.cpp:
	* plugins/stereo_enhancer/stereo_enhancer.cpp:
	* plugins/stereo_enhancer/Makefile.am:
	* plugins/sf2_player/patches_dialog.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/Makefile.am:
	* plugins/sf2_player/patches_dialog.h:
	* plugins/ladspa_browser/ladspa_browser.cpp:
	* plugins/ladspa_browser/Makefile.am:
	* plugins/ladspa_browser/ladspa_browser.h:
	* plugins/kicker/Makefile.am:
	* plugins/kicker/kicker.cpp:
	* plugins/flp_import/Makefile.am:
	* plugins/flp_import/flp_import.cpp:
	* plugins/midi_import/Makefile.am:
	* plugins/midi_import/midi_import.cpp:
	build win32-DLLs properly

	* include/mmp.h:
	* include/effect.h:
	* include/lcd_spinbox.h:
	* include/engine.h:
	* include/embed.h:
	* include/bb_track_container.h:
	* include/config_mgr.h:
	* include/import_filter.h:
	* include/ladspa_manager.h:
	* include/ladspa_control.h:
	* include/automation_pattern.h:
	* include/graph.h:
	* include/effect_control_dialog.h:
	* include/pattern.h:
	* include/string_pair_drag.h:
	* include/caption_menu.h:
	* include/envelope_and_lfo_parameters.h:
	* include/bb_track.h:
	* include/project_notes.h:
	* include/export.h:
	* include/tooltip.h:
	* include/ladspa_control_view.h:
	* include/journalling_object.h:
	* include/tool.h:
	* include/tab_bar.h:
	* include/types.h:
	* include/mv_base.h:
	* include/track_container.h:
	* include/led_checkbox.h:
	* include/ladspa_2_lmms.h:
	* src/3rdparty/samplerate/samplerate.h:
	export more symbols in order to build all plugins

	* configure.in:
	added code for detecting fluidsynth-DLL

	* src/core/config_mgr.cpp:
	customized path to LADSPA-plugins under win32

	* src/core/midi/midi_alsa_seq.cpp:
	do not free port_info-structure before actually (un)subscribing -
	fixes non-working automatic port-subscription

	* src/core/ladspa_manager.cpp:
	win32-compat

	* src/core/instrument_midi_io.cpp:
	coding style

2008-06-02	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/automatable_model.h:
	* include/controller_connection.h:
	* src/core/automatable_model.cpp:
	* src/core/controller_connection.cpp:
	Support for automatic deletion of controller if owned by connection

	* include/controller.h:
	* include/midi_controller.h:
	* include/controller_connection_dialog.h:
	* src/gui/widgets/knob.cpp:
	* src/gui/controller_connection_dialog.cpp:
	* src/core/midi/midi_controller.cpp:
	* src/core/controller.cpp:
	* Makefile.am:
	- Add midi-controller support
	- Allow editing of connection through context menu
	- Code clean-up

	* include/midi.h:
	add const for max controller ID and add bytes array to the midiEvent
	m_data union

	* src/core/midi/midi_client.cpp:
	Don't subtract octave from control change events

	* src/tracks/instrument_track.cpp:
	Ignore unhandled control change events

	* src/tracks/pattern.cpp:
	Minor pixel adjustment to TCO drawing

	* src/core/track.cpp:
	Correct misleading textFloat

	* src/core/song.cpp:
	Code style

2008-06-01	Paul Giblock <drfaygo/at/gmail/dot/com>
	
	* src/tracks/pattern.cpp:
	Improve drawing of tact lines, so it is more obvious where a pattern
	ends

	* src/core/track.cpp:
	Display floating text underneith the current track so you can actually
	see what you are doing

	* src/core/config_mgr.cpp:
	Gracefully handle default lmmsrc.xml creation instead of aborting
	
2008-06-01	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/caps/basics.h:
	* plugins/ladspa_effect/caps/interface.cc:
	win32-build fixes

	* plugins/triple_oscillator/Makefile.am:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/Makefile.am:
	made ready for building plugins as DLLs

	* plugins/kicker/kicker.h:
	include QtCore/QObject rather than QObject

	* include/mmp.h:
	* include/knob.h:
	* include/track.h:
	* include/engine.h:
	* include/note.h:
	* include/embed.h:
	* include/instrument_view.h:
	* include/config_mgr.h:
	* include/automatable_model.h:
	* include/mixer.h:
	* include/instrument_track.h:
	* include/instrument.h:
	* include/sample_buffer.h:
	* include/plugin.h:
	* include/note_play_handle.h:
	* include/song.h:
	* include/string_pair_drag.h:
	* include/oscillator.h:
	* include/automatable_button.h:
	* include/tooltip.h:
	* include/journalling_object.h:
	* include/pixmap_button.h:
	* include/automatable_model_view.h:
	* include/mv_base.h:
	* include/volume_knob.h:
	* include/plugin_view.h:
	export according classes for making them accessibly by plugins

	* src/core/main.cpp:
	dont set opacity for splashscreen

	* src/core/config_mgr.cpp:
	customized paths for win32 (plugins in same directory as executable)

	* src/core/song.cpp:
	initialize m_length member to 0

	* src/core/plugin.cpp:
	under win32 filter for DLL-files

	* include/types.h:
	added macros for export-declaration

	* src/gui/plugin_browser.cpp:
	* src/gui/effect_select_dialog.cpp:
	* src/gui/main_window.cpp:
	* src/core/track.cpp:
	minor coding style issues

	* build_mingw32:
	* acinclude.m4:
	* Makefile.am:
	better support for win32-builds

	* buildtools/bin2res.cpp:
	open files in binary mode - fixes win32-build

	* configure.in:
	* Makefile.am:
	* include/audio_pulseaudio.h:
	* src/core/audio/audio_pulseaudio.cpp:
	* src/core/mixer.cpp:
	* src/gui/setup_dialog.cpp:
	added PulseAudio-support

2008-05-30	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/piano_roll.cpp:
	- Improve selection of volume-bars on a chord.  Select closest note
	instead of whichever one was created first. 
	- Display volume-change handles on top of the bars instead of possibly
	underneith other bars when dealing with chords
	
	* AUTHORS:
	Add Juan (Fabi) to authors, organize names more alphabetically

2008-05-30	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/ladspa_effect.cpp:
	fixed wrong item in effect blacklist

	* include/mixer.h:
	* src/core/mixer.cpp:
	use less complex worker-thread-synchronization

2008-05-29	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/mixer.cpp:
	use QAtomicInt instead of volatile bool + queue-global mutex for
	worker-thread jobqueues

2008-05-28	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/organic/organic.cpp:
	* plugins/lb302/lb302.cpp:
	* plugins/bass_booster/bass_booster.cpp:
	* plugins/bass_booster/bassbooster_controls.cpp:
	* plugins/stereo_matrix/stereomatrix_controls.cpp:
	* plugins/vibed/nine_button_selector.h:
	* plugins/vibed/nine_button_selector.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/stereo_enhancer/stereoenhancer_controls.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/kicker/kicker.cpp:
	* plugins/midi_import/midi_import.cpp:
	* include/knob.h:
	* include/automatable_slider.h:
	* include/lcd_spinbox.h:
	* include/automatable_model.h:
	* include/combobox_model.h:
	* include/automation_pattern.h:
	* include/note_play_handle.h:
	* include/detuning_helper.h:
	* include/group_box.h:
	* include/automatable_button.h:
	* include/automatable_model_templates.h:
	* include/level_object.h:
	* include/automatable_model_view.h:
	* include/fader.h:
	* include/combobox.h:
	* src/gui/piano_roll.cpp:
	* src/gui/automatable_model_view.cpp:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/knob.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/widgets/automatable_slider.cpp:
	* src/gui/widgets/group_box.cpp:
	* src/gui/widgets/lcd_spinbox.cpp:
	* src/gui/widgets/volume_knob.cpp:
	* src/gui/widgets/fader.cpp:
	* src/gui/widgets/tempo_sync_knob.cpp:
	* src/gui/widgets/automatable_button.cpp:
	* src/gui/automation_editor.cpp:
	* src/tracks/instrument_track.cpp:
	* src/core/effect_chain.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/song.cpp:
	* src/core/automatable_model.cpp:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/audio/audio_jack.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/combobox_model.cpp:
	* src/core/meter_model.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/instrument_midi_io.cpp:
	* src/core/track.cpp:
	* src/core/ladspa_control.cpp:
	* src/core/note.cpp:
	* src/core/piano.cpp:
	* src/core/surround_area.cpp:
	* src/core/automation_pattern.cpp:
	* src/core/lfo_controller.cpp:
	* Makefile.am:
	reworked automatableModel (not template-based anymore), removed
	levelObject, splitted comboBox/comboBoxModel-source-files, began to
	unify context-menu-creation for controls

	diffstat:  63 files changed, 1145 insertions(+), 1170 deletions(-)

2008-05-27	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/sf2_player.cpp:
	restore gain setting when loading a project and keep gain setting when
	changing sample rate

	* include/controller_view.h:
	* src/gui/widgets/controller_view.cpp:
	reverted toby's controllerView changes.

	* src/core/mmp.cpp:
	add compat-code for time-signature support

2008-05-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/controller_view.h:
	* src/gui/widgets/controller_view.cpp:
	made LMMS compile + cleanups

2008-05-26	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/automatable_model.h:
	* include/automatable_model_templates.h:
	* include/controller.h:
	* include/controller_connection.h:
	* src/gui/widgets/knob.cpp:
	* src/core/song.cpp:
	* src/core/controller.cpp:
	* src/core/controller_connection.cpp:
	* Makefile.am:
	- add controller connection class for storing controller links.  Used to
	specify linkage for loading/saving as well as a model for all the options
	in the dialog (mapping function, smoothing, etc..)
	- add dummyController for unfinalized or missing controllers.  Faster than
	adding a branch to value() or currentValue()
	- save controller links to project
	- incomplete, experimental!

	* include/controller_view.h:
	* src/gui/lfo_controller_dialog.cpp:
	* src/gui/widgets/controller_rack_view.cpp:
	* data/themes/default/controller_bg.png:
	Show name in controller view and make it renamable

	* data/themes/default/style.css:
	A hint of blue in menu highlight

	* src/core/song.cpp:
	Add data-changed event so lfo-rack can update

2008-05-25	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/singerbot/singerbot.cpp:
	* include/meter_model.h:
	* include/song.h:
	* include/pattern.h:
	* include/piano_roll.h:
	* include/song_editor.h:
	* include/midi_time.h:
	* include/types.h:
	* include/timeline.h:
	* src/core/bb_track_container.cpp:
	* src/core/meter_model.cpp:
	* src/core/song.cpp:
	* src/core/timeline.cpp:
	* src/core/track.cpp:
	* src/gui/automation_editor.cpp:
	* src/gui/piano_roll.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/track_container_view.cpp:
	* src/gui/widgets/tempo_sync_knob.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/pattern.cpp:
	implemented support for time-signatures other than 4/4 - still
	incomplete and experimental!

	* include/controller_dialog.h:
	* src/core/lfo_controller.cpp:
	* src/gui/controller_dialog.cpp:
	* src/gui/widgets/controller_view.cpp:
	fixed order of member-initialization and miscellanous coding-style
	corrections

	* plugins/patman/select_file.png:
	* plugins/patman/logo.png:
	* plugins/patman/artwork.png:
	* plugins/ladspa_effect/logo.png:
	* plugins/organic/logo.png:
	* plugins/organic/randomise.png:
	* plugins/organic/randomise_pressed.png:
	* plugins/organic/artwork.png:
	* plugins/lb302/artwork.png:
	* plugins/bass_booster/logo.png:
	* plugins/stereo_matrix/logo.png:
	* plugins/bit_invader/logo.png:
	* plugins/bit_invader/wavegraph.png:
	* plugins/bit_invader/wavegraph3.png:
	* plugins/bit_invader/artwork.png:
	* plugins/bit_invader/smooth.png:
	* plugins/vst_effect/logo.png:
	* plugins/vibed/button_7_on.png:
	* plugins/vibed/button_9_on.png:
	* plugins/vibed/logo.png:
	* plugins/vibed/button_-1_off.png:
	* plugins/vibed/button_-2_off.png:
	* plugins/vibed/button_-1_on.png:
	* plugins/vibed/smooth_active.png:
	* plugins/vibed/wavegraph4.png:
	* plugins/vibed/button_f_off.png:
	* plugins/vibed/button_f_on.png:
	* plugins/vibed/button_up.png:
	* plugins/vibed/normalize_inactive.png:
	* plugins/vibed/button_1_off.png:
	* plugins/vibed/button_2_off.png:
	* plugins/vibed/button_3_off.png:
	* plugins/vibed/button_2_on.png:
	* plugins/vibed/button_4_off.png:
	* plugins/vibed/artwork.png:
	* plugins/vibed/button_5_off.png:
	* plugins/vibed/button_6_off.png:
	* plugins/vibed/button_4_on.png:
	* plugins/vibed/normalize_active.png:
	* plugins/vibed/button_7_off.png:
	* plugins/vibed/button_8_off.png:
	* plugins/vibed/button_6_on.png:
	* plugins/vibed/button_9_off.png:
	* plugins/vibed/button_8_on.png:
	* plugins/vibed/button_down.png:
	* plugins/vibed/button_-2_on.png:
	* plugins/vibed/button_1_on.png:
	* plugins/vibed/button_3_on.png:
	* plugins/vibed/button_5_on.png:
	* plugins/vibed/smooth_inactive.png:
	* plugins/triple_oscillator/logo.png:
	* plugins/triple_oscillator/am_active.png:
	* plugins/triple_oscillator/artwork.png:
	* plugins/triple_oscillator/sync_inactive.png:
	* plugins/triple_oscillator/sync_active.png:
	* plugins/live_tool/logo.png:
	* plugins/live_tool/artwork.png:
	* plugins/singerbot/logo.png:
	* plugins/singerbot/artwork.png:
	* plugins/audio_file_processor/select_file.png:
	* plugins/audio_file_processor/logo.png:
	* plugins/audio_file_processor/artwork.png:
	* plugins/stk/mallets/logo.png:
	* plugins/stk/mallets/artwork.png:
	* plugins/stk/voices/flute/logo.png:
	* plugins/stk/voices/flute/artwork.png:
	* plugins/stk/voices/resonate/logo.png:
	* plugins/stk/voices/resonate/artwork.png:
	* plugins/stk/voices/wurley/logo.png:
	* plugins/stk/voices/wurley/artwork.png:
	* plugins/stk/voices/percflute/logo.png:
	* plugins/stk/voices/percflute/artwork.png:
	* plugins/stk/voices/rhodey/logo.png:
	* plugins/stk/voices/rhodey/artwork.png:
	* plugins/stk/voices/tubebell/logo.png:
	* plugins/stk/voices/tubebell/artwork.png:
	* plugins/stk/voices/bowed/logo.png:
	* plugins/stk/voices/bowed/artwork.png:
	* plugins/stk/voices/clarinet/logo.png:
	* plugins/stk/voices/clarinet/artwork.png:
	* plugins/stk/voices/moog/logo.png:
	* plugins/stk/voices/moog/artwork.png:
	* plugins/stk/voices/metal/logo.png:
	* plugins/stk/voices/metal/artwork.png:
	* plugins/stk/voices/b3/logo.png:
	* plugins/stk/voices/b3/artwork.png:
	* plugins/stk/voices/blow_hole/logo.png:
	* plugins/stk/voices/blow_hole/artwork.png:
	* plugins/stk/voices/brass/logo.png:
	* plugins/stk/voices/brass/artwork.png:
	* plugins/stk/voices/fmvoices/logo.png:
	* plugins/stk/voices/fmvoices/artwork.png:
	* plugins/stk/voices/bandedwg/logo.png:
	* plugins/stk/voices/bandedwg/artwork.png:
	* plugins/stk/voices/blow_bottle/logo.png:
	* plugins/stk/voices/blow_bottle/artwork.png:
	* plugins/plucked_string_synth/logo.png:
	* plugins/plucked_string_synth/artwork.png:
	* plugins/stereo_enhancer/logo.png:
	* plugins/sf2_player/logo.png:
	* plugins/sf2_player/artwork.png:
	* plugins/vestige/select_file.png:
	* plugins/vestige/logo.png:
	* plugins/vestige/artwork.png:
	* plugins/ladspa_browser/logo.png:
	* plugins/kicker/logo.png:
	* plugins/kicker/artwork.png:
	* plugins/polyb302/artwork.png:
	* data/themes/blue_scene/led_off.png:
	* data/themes/blue_scene/back_to_zero.png:
	* data/themes/blue_scene/project_export.png:
	* data/themes/blue_scene/hourglass.png:
	* data/themes/blue_scene/triangle_wave_inactive.png:
	* data/themes/blue_scene/hq_mode.png:
	* data/themes/blue_scene/usr_wave_inactive.png:
	* data/themes/blue_scene/main_toolbar_bg.png:
	* data/themes/blue_scene/add_bb_track.png:
	* data/themes/blue_scene/tempo_sync.png:
	* data/themes/blue_scene/edit_paste.png:
	* data/themes/blue_scene/midi_file.png:
	* data/themes/blue_scene/analysis.png:
	* data/themes/blue_scene/zoom.png:
	* data/themes/blue_scene/playpos_marker.png:
	* data/themes/blue_scene/wizard_workingdir.png:
	* data/themes/blue_scene/step_btn_off_light.png:
	* data/themes/blue_scene/square_wave_inactive.png:
	* data/themes/blue_scene/auto_limit.png:
	* data/themes/blue_scene/exp_wave_active.png:
	* data/themes/blue_scene/exit.png:
	* data/themes/blue_scene/step_btn_on.png:
	* data/themes/blue_scene/toolbar_bg.png:
	* data/themes/blue_scene/keep_stop_position.png:
	* data/themes/blue_scene/whatsthis.png:
	* data/themes/blue_scene/output_graph.png:
	* data/themes/blue_scene/wizard_files.png:
	* data/themes/blue_scene/note_none.png:
	* data/themes/blue_scene/black_key.png:
	* data/themes/blue_scene/text_center.png:
	* data/themes/blue_scene/stop.png:
	* data/themes/blue_scene/error.png:
	* data/themes/blue_scene/sin_wave_inactive.png:
	* data/themes/blue_scene/loop_points_on.png:
	* data/themes/blue_scene/play.png:
	* data/themes/blue_scene/folder_opened.png:
	* data/themes/blue_scene/mute_on.png:
	* data/themes/blue_scene/ports.png:
	* data/themes/blue_scene/project_saveas.png:
	* data/themes/blue_scene/loop_point_disabled.png:
	* data/themes/blue_scene/folder.png:
	* data/themes/blue_scene/arp_random_on.png:
	* data/themes/blue_scene/arp_sync.png:
	* data/themes/blue_scene/edit_copy.png:
	* data/themes/blue_scene/white_noise_wave_inactive.png:
	* data/themes/blue_scene/track_op_grip.png:
	* data/themes/blue_scene/background_artwork.png:
	* data/themes/blue_scene/help.png:
	* data/themes/blue_scene/unknown_file.png:
	* data/themes/blue_scene/edit_redo.png:
	* data/themes/blue_scene/exp_wave_inactive.png:
	* data/themes/blue_scene/arp_down_on.png:
	* data/themes/blue_scene/project_file.png:
	* data/themes/blue_scene/sample_track.png:
	* data/themes/blue_scene/note_quarter.png:
	* data/themes/blue_scene/surround_area.png:
	* data/themes/blue_scene/black_key_pressed.png:
	* data/themes/blue_scene/project_notes.png:
	* data/themes/blue_scene/project_new.png:
	* data/themes/blue_scene/master_pitch.png:
	* data/themes/blue_scene/edit_select.png:
	* data/themes/blue_scene/track_op_menu.png:
	* data/themes/blue_scene/colorize.png:
	* data/themes/blue_scene/white_key.png:
	* data/themes/blue_scene/splash.png:
	* data/themes/blue_scene/note_double_whole.png:
	* data/themes/blue_scene/envelope_graph.png:
	* data/themes/blue_scene/saw_wave_inactive.png:
	* data/themes/blue_scene/note_sixteenth.png:
	* data/themes/blue_scene/lfo_graph.png:
	* data/themes/blue_scene/frozen.png:
	* data/themes/blue_scene/effect_board.png:
	* data/themes/blue_scene/arp_down_off.png:
	* data/themes/blue_scene/mute_off.png:
	* data/themes/blue_scene/reload.png:
	* data/themes/blue_scene/text_italic.png:
	* data/themes/blue_scene/arp_random_off.png:
	* data/themes/blue_scene/pause.png:
	* data/themes/blue_scene/freeze.png:
	* data/themes/blue_scene/triangle_wave_active.png:
	* data/themes/blue_scene/combobox_arrow.png:
	* data/themes/blue_scene/root.png:
	* data/themes/blue_scene/apply.png:
	* data/themes/blue_scene/usr_wave_active.png:
	* data/themes/blue_scene/icon.png:
	* data/themes/blue_scene/clock.png:
	* data/themes/blue_scene/setup_directories.png:
	* data/themes/blue_scene/text_left.png:
	* data/themes/blue_scene/text_block.png:
	* data/themes/blue_scene/plugins/tripleoscillator_fm_inactive.png:
	* data/themes/blue_scene/plugins/bitinvader_artwork.png:
	* data/themes/blue_scene/plugins/tripleoscillator_mix_active.png:
	* data/themes/blue_scene/plugins/tripleoscillator_am_active.png:
	* data/themes/blue_scene/plugins/tripleoscillator_artwork.png:
	* data/themes/blue_scene/plugins/bitinvader_logo.png:
	* data/themes/blue_scene/plugins/tripleoscillator_fm_active.png:
	* data/themes/blue_scene/plugins/tripleoscillator_sync_inactive.png:
	* data/themes/blue_scene/plugins/audiofileprocessor_artwork.png:
	* data/themes/blue_scene/plugins/bitinvader_wavegraph3.png:
	* data/themes/blue_scene/plugins/vestige_artwork.png:
	* data/themes/blue_scene/plugins/bitinvader_smooth.png:
	* data/themes/blue_scene/plugins/audiofileprocessor_logo.png:
	* data/themes/blue_scene/plugins/tripleoscillator_sync_active.png:
	* data/themes/blue_scene/plugins/pluckedstringsynth_logo.png:
	* data/themes/blue_scene/plugins/audiofileprocessor_loop_off.png:
	* data/themes/blue_scene/plugins/audiofileprocessor_reverse_off.png:
	* data/themes/blue_scene/plugins/audiofileprocessor_loop_on.png:
	* data/themes/blue_scene/plugins/vestige_logo.png:
	* data/themes/blue_scene/plugins/tripleoscillator_am_inactive.png:
	* data/themes/blue_scene/plugins/tripleoscillator_mix_inactive.png:
	* data/themes/blue_scene/plugins/bitinvader_wavegraph.png:
	* data/themes/blue_scene/cpuload_bg.png:
	* data/themes/blue_scene/note_half.png:
	* data/themes/blue_scene/wizard.png:
	* data/themes/blue_scene/preset_file.png:
	* data/themes/blue_scene/hint.png:
	* data/themes/blue_scene/note.png:
	* data/themes/blue_scene/timeline.png:
	* data/themes/blue_scene/bb_track.png:
	* data/themes/blue_scene/white_key_pressed.png:
	* data/themes/blue_scene/arp_up_off.png:
	* data/themes/blue_scene/autoscroll_off.png:
	* data/themes/blue_scene/setup_audio.png:
	* data/themes/blue_scene/text_right.png:
	* data/themes/blue_scene/project_open.png:
	* data/themes/blue_scene/arp_up_and_down_off.png:
	* data/themes/blue_scene/note_eighth.png:
	* data/themes/blue_scene/note_whole.png:
	* data/themes/blue_scene/note_thirtysecond.png:
	* data/themes/blue_scene/edit_erase.png:
	* data/themes/blue_scene/sin_wave_active.png:
	* data/themes/blue_scene/saw_wave_active.png:
	* data/themes/blue_scene/rename.png:
	* data/themes/blue_scene/drum.png:
	* data/themes/blue_scene/edit_undo.png:
	* data/themes/blue_scene/edit_move.png:
	* data/themes/blue_scene/wizard_intro.png:
	* data/themes/blue_scene/add_sample_track.png:
	* data/themes/blue_scene/combobox_bg.png:
	* data/themes/blue_scene/setup_performance.png:
	* data/themes/blue_scene/loop_point.png:
	* data/themes/blue_scene/autoscroll_on.png:
	* data/themes/blue_scene/unfreeze.png:
	* data/themes/blue_scene/cancel.png:
	* data/themes/blue_scene/sound_file.png:
	* data/themes/blue_scene/arp_sort.png:
	* data/themes/blue_scene/white_noise_wave_active.png:
	* data/themes/blue_scene/arp_up_and_down_on.png:
	* data/themes/blue_scene/folder_locked.png:
	* data/themes/blue_scene/setup_general.png:
	* data/themes/blue_scene/loop_points_off.png:
	* data/themes/blue_scene/setup_midi.png:
	* data/themes/blue_scene/uhoh.png:
	* data/themes/blue_scene/step_btn_off.png:
	* data/themes/blue_scene/songeditor.png:
	* data/themes/blue_scene/square_wave_active.png:
	* data/themes/blue_scene/project_open_down.png:
	* data/themes/blue_scene/moog_saw_wave_inactive.png:
	* data/themes/blue_scene/back_to_start.png:
	* data/themes/blue_scene/text_under.png:
	* data/themes/blue_scene/arp_up_on.png:
	* data/themes/blue_scene/arp_free.png:
	* data/themes/blue_scene/moog_saw_wave_active.png:
	* data/themes/blue_scene/home.png:
	* data/themes/blue_scene/knob01.png:
	* data/themes/default/lcd_19green.png:
	* data/themes/default/knob03.png:
	* data/themes/default/back_to_zero.png:
	* data/themes/default/edit_draw.png:
	* data/themes/default/triangle_wave_inactive.png:
	* data/themes/default/filter_hp.png:
	* data/themes/default/zoom_y.png:
	* data/themes/default/usr_wave_inactive.png:
	* data/themes/default/muted.png:
	* data/themes/default/add_bb_track.png:
	* data/themes/default/fader_background.png:
	* data/themes/default/tempo_sync.png:
	* data/themes/default/plugins.png:
	* data/themes/default/midi_file.png:
	* data/themes/default/analysis.png:
	* data/themes/default/zoom.png:
	* data/themes/default/edit_arrow.png:
	* data/themes/default/wizard_workingdir.png:
	* data/themes/default/lcd_19red.png:
	* data/themes/default/toolbar_bg.png:
	* data/themes/default/whatsthis.png:
	* data/themes/default/filter_notch.png:
	* data/themes/default/output_graph.png:
	* data/themes/default/wizard_files.png:
	* data/themes/default/controller.png:
	* data/themes/default/note_none.png:
	* data/themes/default/black_key.png:
	* data/themes/default/stop.png:
	* data/themes/default/fader_knob.png:
	* data/themes/default/mute_off_disabled.png:
	* data/themes/default/mute_on_disabled.png:
	* data/themes/default/sin_wave_inactive.png:
	* data/themes/default/play.png:
	* data/themes/default/folder_opened.png:
	* data/themes/default/filter_bp.png:
	* data/themes/default/ports.png:
	* data/themes/default/loop_point_disabled.png:
	* data/themes/default/folder.png:
	* data/themes/default/arp_random_on.png:
	* data/themes/default/arp_sync.png:
	* data/themes/default/automation.png:
	* data/themes/default/white_noise_wave_inactive.png:
	* data/themes/default/track_op_grip.png:
	* data/themes/default/pr_black_key.png:
	* data/themes/default/help.png:
	* data/themes/default/background_artwork.png:
	* data/themes/default/factory_files.png:
	* data/themes/default/unknown_file.png:
	* data/themes/default/exp_wave_inactive.png:
	* data/themes/default/project_file.png:
	* data/themes/default/arp_down_on.png:
	* data/themes/default/piano.png:
	* data/themes/default/midi_in.png:
	* data/themes/default/black_key_pressed.png:
	* data/themes/default/surround_area.png:
	* data/themes/default/track_op_menu_disabled.png:
	* data/themes/default/project_new.png:
	* data/themes/default/master_pitch.png:
	* data/themes/default/led_green.png:
	* data/themes/default/edit_select.png:
	* data/themes/default/colorize.png:
	* data/themes/default/white_key.png:
	* data/themes/default/knob02.png:
	* data/themes/default/note_double_whole.png:
	* data/themes/default/envelope_graph.png:
	* data/themes/default/saw_wave_inactive.png:
	* data/themes/default/lfo_graph.png:
	* data/themes/default/groupbox_led_bg.png:
	* data/themes/default/frozen.png:
	* data/themes/default/arp_down_off.png:
	* data/themes/default/effect_board.png:
	* data/themes/default/reload.png:
	* data/themes/default/zoom_x.png:
	* data/themes/default/pause.png:
	* data/themes/default/freeze.png:
	* data/themes/default/filter_lp.png:
	* data/themes/default/combobox_arrow.png:
	* data/themes/default/triangle_wave_active.png:
	* data/themes/default/root.png:
	* data/themes/default/apply.png:
	* data/themes/default/usr_wave_active.png:
	* data/themes/default/icon.png:
	* data/themes/default/clock.png:
	* data/themes/default/add_controller.png:
	* data/themes/default/setup_directories.png:
	* data/themes/default/cpuload_bg.png:
	* data/themes/default/quantize.png:
	* data/themes/default/wizard.png:
	* data/themes/default/preset_file.png:
	* data/themes/default/hint.png:
	* data/themes/default/filter_ap.png:
	* data/themes/default/timeline.png:
	* data/themes/default/bb_track.png:
	* data/themes/default/effect_plugin.png:
	* data/themes/default/white_key_pressed.png:
	* data/themes/default/arp_up_off.png:
	* data/themes/default/autoscroll_off.png:
	* data/themes/default/setup_audio.png:
	* data/themes/default/arp_up_and_down_off.png:
	* data/themes/default/combobox_arrow_selected.png:
	* data/themes/default/cpuload_leds.png:
	* data/themes/default/note_whole.png:
	* data/themes/default/edit_erase.png:
	* data/themes/default/wizard_intro.png:
	* data/themes/default/add_sample_track.png:
	* data/themes/default/combobox_bg.png:
	* data/themes/default/setup_performance.png:
	* data/themes/default/sound_file.png:
	* data/themes/default/arp_sort.png:
	* data/themes/default/white_noise_wave_active.png:
	* data/themes/default/arp_up_and_down_on.png:
	* data/themes/default/controller_bg.png:
	* data/themes/default/folder_locked.png:
	* data/themes/default/setup_general.png:
	* data/themes/default/loop_points_off.png:
	* data/themes/default/filter_2lp.png:
	* data/themes/default/setup_midi.png:
	* data/themes/default/uhoh.png:
	* data/themes/default/midi_out.png:
	* data/themes/default/songeditor.png:
	* data/themes/default/moog_saw_wave_inactive.png:
	* data/themes/default/arp_free.png:
	* data/themes/default/home.png:
	* data/themes/default/fader_leds.png:
	* data/themes/default/knob01.png:
	* data/themes/llama/background_artwork.png:
	shrinked file-sizes via optipng

	* include/main_window.h:
	* src/gui/main_window.cpp:
	* src/core/main.cpp:
	* data/themes/default/splash.png:
	new transparent splash-screen without obsolete text-messages

2008-05-25	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/embed.h:
	Fix missing distructor warning

	* include/controller.h:
	* include/song.h:
	* include/lfo_controller.h:
	* src/core/controller.cpp:
	* src/core/lfo_controller.cpp:
	Save and load controllers to project files.

	* src/core/song.cpp:
	- Save and load controllers to project files.
	- emit dataChanged() on clearProject() do we need this anywhere else?

2008-05-24	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/song.h:
	* include/song_editor.h:
	* src/core/song.cpp:
	* src/gui/song_editor.cpp:
	added meterModel and meterDialog (which actually is just a widget) as
	preparation for time-signature-support - it doesn't actually work yet!

	* data/themes/default/style.css:
	improved appearence of menu in general

	* Makefile.am:
	* include/tempo_sync_knob.h:
	* include/meter_model.h:
	* include/meter_dialog.h:
	* src/core/meter_model.cpp:
	* src/gui/widgets/meter_dialog.cpp:
	splitted source-files for meterModel and meterDialog and added
	"simple"-mode for meterDialog

2008-05-22	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/lfo_controller.h:
	* src/gui/lfo_controller_dialog.cpp:
	* src/core/lfo_controller.cpp:
	Add more wave shapes to LFO controller

	* src/gui/widgets/controller_view.cpp:
	Set sub-window's icon to the icon of the controllerDialog

	* src/gui/widgets/controller_rack_view.cpp:
	Add icon to window

2008-05-21	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/Makefile.am:
	* plugins/Makefile.am:
	* configure.in:
	Add fluidsynth detection to configure

2008-05-21	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/vestige/select_file.png:
	* plugins/vestige/logo.png:
	* plugins/vestige/vestige.cpp:
	* plugins/vestige/artwork.png:
	Integrate new vestige artwork

	* src/core/track.cpp:
	Improve background drawing/scaling

	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/select_file.png:
	* plugins/audio_file_processor/logo.png:
	* plugins/audio_file_processor/loop_off.png:
	* plugins/audio_file_processor/loop_on.png:
	* plugins/audio_file_processor/reverse_off.png:
	* plugins/audio_file_processor/reverse_on.png:
	* plugins/audio_file_processor/artwork.png:
	Integrate new audio file processor artwork

	* src/gui/widgets/volume_knob.cpp:
	Fix placement of tooltop in styled knobs

	* src/gui/widgets/knob.cpp:
	Minor graphical enhancement for styled knobs

	* src/gui/piano_roll.cpp:
	* include/piano_roll.h:
	* data/themes/default/record_accompany.png:
	- Fix annoying bug where changing patterns would scroll to bar 2 instead
	of bar 1
	- Add record-with-accompaniment feature because it was easier to just add
	a toolbutton then to strip out the code.  At least now there is some
	starting point for this feature should we ever decide to release it.

	* plugins/organic/organic.cpp:
	* plugins/organic/organic.h:
	Complete organic gui

	* data/themes/default/style.css:
	AFP and organic knob styles

	* plugins/sf2_player/artwork.png:
	New sf2-player artwork

2008-05-21	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/main.cpp:
	only create core-application for --help and -h

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/patman/patman.cpp:
	* plugins/lb302/lb302.cpp:
	* plugins/organic/organic.cpp:
	* plugins/stereo_matrix/stereo_matrix.cpp:
	* plugins/bass_booster/bass_booster.cpp:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/singerbot/singerbot.cpp:
	* plugins/live_tool/live_tool.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/stereo_enhancer/stereo_enhancer.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/vestige/vestige.cpp:
	* plugins/vst_base/vst_base.cpp:
	* plugins/ladspa_browser/ladspa_browser.cpp:
	* plugins/kicker/kicker.cpp:
	* plugins/Makefile.am:
	* plugins/flp_import/flp_import.cpp:
	* plugins/midi_import/midi_import.cpp:
	* include/track.h:
	* src/gui/piano_roll.cpp:
	* src/gui/plugin_browser.cpp:
	* src/gui/main_window.cpp:
	* src/core/plugin.cpp:
	* src/core/bb_track_container.cpp:
	* src/core/tool.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/track.cpp:
	* src/core/instrument.cpp:
	use new pluginPixmapLoader

	* include/lmms_style.h:
	* src/gui/lmms_style.cpp:
	load stylesheet here

	* include/combobox.h:
	* src/gui/widgets/combobox.cpp:
	use pixmapLoader-pointers rather than QPixmap-pointers in comboBoxModel

	* include/plugin.h:
	in plugin-descriptor, hold a pointer to pixmapLoader instead of
	QPixmap itself

	* include/embed.h:
	* src/gui/embed.cpp:
	introduced pixmapLoader and pluginPixmapLoader-classes for abstracting
	QPixmap-instantiation - models can hold pixmapLoaders without actually
	instantiating a QPixmap-object and views can access the pixmap

	* src/gui/main_window.cpp:
	removed settings-menu and moved setup-dialog to edit-menu

	* Makefile.am:
	* include/config_mgr.h:
	* src/core/config_mgr.cpp:
	removed all the obsolete first-startup-wizard-code

2008-05-19	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* configure.in:
	* plugins/vst_base/lvsl_client.cpp:
	call waitpid(...) when closing plugin - fixes zombie processes

	* plugins/vst_effect/vst_effect_controls.h:
	* plugins/vst_effect/vst_subplugin_features.cpp:
	* plugins/vst_effect/vst_subplugin_features.h:
	* plugins/vst_effect/vst_effect_control_dialog.cpp:
	* plugins/vst_effect/Makefile.am:
	* plugins/vst_effect/vst_effect.cpp:
	* plugins/vst_effect/vst_effect_controls.cpp:
	* plugins/vst_effect/vst_effect_control_dialog.h:
	* plugins/vst_effect/vst_effect.h:
	* plugins/vst_base/lvsl_client.h:
	* plugins/vst_base/lvsl_client.cpp:
	finally made VST-effect plugin work

	* src/core/track_container.cpp:
	* src/core/main.cpp:
	when rendering from command-line, only create a QCoreApplication - needs
	further work

	* include/config_mgr.h:
	* src/gui/widgets/effect_rack_view.cpp:
	minor coding-style stuff

	* plugins/singerbot/singerbot.h:
	* plugins/singerbot/singerbot.cpp:
	integrated patches from William Steidtmann <billstei/at/hbci/dot/com>
	which makes Singerbot at least compile - doesn't seem to work yet though

2008-05-19	Paul Giblock <drfaygo/at/gmail/dot/com>

	* triple_oscillator.cpp:
	* am_active.png:
	* am_inactive.png:
	* artwork.png:
	* btn_mask.png:
	* exp_shape_active.png:
	* exp_shape_inactive.png:
	* fm_active.png:
	* fm_inactive.png:
	* logo.png:
	* mix_active.png:
	* mix_inactive.png:
	* moog_saw_shape_active.png:
	* moog_saw_shape_inactive.png:
	* pm_active.png:
	* pm_inactive.png:
	* saw_shape_active.png:
	* saw_shape_inactive.png:
	* sin_shape_active.png:
	* sin_shape_inactive.png:
	* square_shape_active.png:
	* square_shape_inactive.png:
	* sync_active.png:
	* sync_inactive.png:
	* triangle_shape_active.png:
	* triangle_shape_inactive.png:
	* usr_shape_active.png:
	* usr_shape_inactive.png:
	* white_noise_shape_active.png:
	* white_noise_shape_inactive.png:
	Updated Triple-oscillator artwork

	* src/core/track.cpp:
	Darkened the tracks so it doesn't hurt to look at

	* src/gui/lfo_controller_dialog.cpp:
	* src/gui/widgets/controller_view.cpp:
	Remove stray line

	* plugins/kicker/kicker.cpp:
	* plugins/kicker/kicker.h:
	* data/themes/default/style.css:
	Including stylesheet changes I forgot to commit, fixes knobs in 3xOsc

2008-05-18	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/widgets/knob.cpp:
	* include/knob.h:
	First version of stylable knobs. Perhaps can be overlayed with current
	knobs to add line coloring/width in other places around the GUI.

	* src/core/track.cpp:
	- Re-enabled alternating background, better appearance AND performance
	- Fixed more of the flickering by disabling updates when moving
	- Toby will probably want to change background colors, I just used
	something simple since it will end up changing probably.  It do like the
	gradient dark on top, looks like a "channel" or "groove".

	* plugins/patman/artwork.png:
	Fixed artwork again

	* plugins/singerbot/artwork.png:
	* plugins/singerbot/logo.png:
	Updated SingerBot artwork

2008-05-18	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/stk/mallets/mallets.cpp:
	added missing initialization of member-variables which made Mallets
	play nothing until GUI has been opened

	* include/bb_track.h:
	* src/gui/widgets/combobox.cpp:
	* src/gui/widgets/name_label.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/pattern.cpp:
	* data/themes/default/track_op_grip.png:
	improved overall appearence

	* src/core/track.cpp:
	- disabled flipped painting of track-view-BG
	- optimized changePosition()-method for much faster drawing

	* src/gui/fx_mixer_view.cpp:
	do not destroy FX-mixer-view when closing

	* plugins/ladspa_effect/ladspa_effect.cpp:
	added "Notch Filter" to blacklist

	* plugins/ladspa_effect/ladspa_effect.h:
	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/bass_booster/bass_booster.cpp:
	* plugins/stereo_matrix/stereo_matrix.cpp:
	* plugins/stereo_enhancer/stereo_enhancer.cpp:
	- replaced old code with effect::checkGate() call
	- various cleanups and minor optimizations

	* src/core/effect_chain.cpp:
	added debugging-code for determining buggy effect-plugins at higher
	samplerates

	* include/plugin.h:
	introduced changable publicName-property

	* include/effect.h:
	* src/core/effect.cpp:
	added checkGate()-function for reducing redundant code in effect-plugins

2008-05-17	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/ladspa_effect/ladspa_effect.h:
	improved handling of effects which only work at limited samplerates

	* include/audio_port.h:
	* src/core/audio/audio_port.cpp:
	small optimizations

	* src/core/mixer.cpp:
	removed obsolete idle-property of worker-threads

	* src/core/fx_mixer.cpp:
	protect individual buffers of FX-channels from being processed by more
	than one thread

2008-05-17	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/stereo_matrix/stereomatrix_controls.cpp:
	Allow knobs to invert phase as well

	* plugins/patman/patman.cpp:
	* plugins/patman/patman.h:
	* plugins/patman/artwork.png:
	* plugins/patman/loop_off.png:
	* plugins/patman/loop_on.png:
	* plugins/patman/tune_off.png:
	* plugins/patman/tune_on.png:
	* plugins/patman/select_file_on.png:
	* plugins/patman/select_file.png:
	- Integrate new patman artwork.
	- Make file selection button highlight when clicked.

	* include/pixmap_button.h:
	* src/gui/widgets/pixmap_button.cpp:
	Make button pixmap "activate" on click

	* src/gui/widgets/automatable_button.cpp:
	Noted bug in automatable button

	* src/gui/piano_roll.cpp:
	Fix bug when trying to select note on first beat. However, still breaks
	if the cursor moves quickly from right to left (i.e: if it skips the
	pixel position)

2008-05-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/project_renderer.h:
	* src/core/main.cpp:
	* src/core/project_renderer.cpp:
	added a lot of options for rendering via command-line and finally made
	it working with new projectRenderer-class

	* include/mixer.h:
	removed 16x oversampling

2008-05-13	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/track.h:
	* include/pixmap_button.h:
	* src/core/track.cpp:
	* src/gui/widgets/pixmap_button.cpp:
	toggle solo via Ctrl+left mouse button

	* src/gui/fx_mixer_view.cpp:
	set window-icon

	* src/gui/widgets/tab_widget.cpp:
	use colors from active palette

	* src/gui/widgets/project_notes.cpp:
	hide per default

	* src/gui/main_window.cpp:
	* src/core/timeline.cpp:
	* data/themes/default/project_export.png:
	* data/themes/default/hourglass.png:
	* data/themes/default/hq_mode.png:
	* data/themes/default/edit_paste.png:
	* data/themes/default/text_bold.png:
	* data/themes/default/project_save.png:
	* data/themes/default/playpos_marker.png:
	* data/themes/default/exit.png:
	* data/themes/default/text_center.png:
	* data/themes/default/error.png:
	* data/themes/default/edit_cut.png:
	* data/themes/default/mute_on.png:
	* data/themes/default/project_saveas.png:
	* data/themes/default/loop_point_disabled.png:
	* data/themes/default/arp_random_on.png:
	* data/themes/default/edit_copy.png:
	* data/themes/default/edit_redo.png:
	* data/themes/default/arp_down_on.png:
	* data/themes/default/track_op_menu_disabled.png:
	* data/themes/default/project_notes.png:
	* data/themes/default/track_op_menu.png:
	* data/themes/default/groupbox_led_bg.png:
	* data/themes/default/arp_down_off.png:
	* data/themes/default/mute_off.png:
	* data/themes/default/text_italic.png:
	* data/themes/default/arp_random_off.png:
	* data/themes/default/root.png:
	* data/themes/default/apply.png:
	* data/themes/default/text_block.png:
	* data/themes/default/text_left.png:
	* data/themes/default/arp_up_off.png:
	* data/themes/default/text_right.png:
	* data/themes/default/project_open.png:
	* data/themes/default/arp_up_and_down_off.png:
	* data/themes/default/edit_undo.png:
	* data/themes/default/loop_point.png:
	* data/themes/default/cancel.png:
	* data/themes/default/add.png:
	* data/themes/default/arp_up_and_down_on.png:
	* data/themes/default/project_open_down.png:
	* data/themes/default/text_under.png:
	* data/themes/default/fx_mixer.png:
	* data/themes/default/arp_up_on.png:
	* data/themes/default/home.png:
	integrated improved artwork (more to come)

	* src/core/track.cpp:
	do not crash when removing TCOs

	* plugins/ladspa_effect/ladspa_effect.cpp:
	use new resampling-methods in case we're processing plugins which are
	known not to work at higher samplerates

	* include/main_window.h:
	made resetWindowTitle() a slot

	* src/gui/widgets/effect_view.cpp:
	coding-style stuff

	* include/effect.h:
	* src/core/effect.cpp:
	added simple way for plugins to process at lower sample-rates

	* src/core/ladspa_manager.cpp:
	added hard-coded path in case LMMS is installed into /usr/local

	* include/export_project_dialog.h:
	* src/gui/export_project_dialog.cpp:
	update main-window title-bar while rendering

	* src/gui/widgets/visualization_widget.cpp:
	do not update while song-export

	* src/gui/dialogs/export_project.ui:
	improved usability

	* include/audio_device.h:
	* src/core/audio/audio_device.cpp:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_sdl.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/audio/audio_jack.cpp:
	after changed quality-settings also update interpolation for
	samplerate-conversion

2008-05-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/bass_booster/bassbooster_controls.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* src/core/audio/audio_device.cpp:
	cleanups and the like

	* include/mixer.h:
	in draft-mode use zero-order-hold interpolation instead of linear
	interpolation - fixes some issues with resampling

	* plugins/bass_booster/bassbooster_controls.cpp:
	made bass-booster HQ-mode-capable

	* include/effect_lib.h:
	changed float's in bassbooster to SAMPLE

2008-05-11	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/sf2_player.cpp:
	retrieve resampling-interpolation from current mixer quality settings

	* include/mixer.h:
	made m_writing-variable in fifoWriter volatile

	* include/project_renderer.h:
	* src/core/project_renderer.cpp:
	change audio-device to file-device from within GUI-thread in order to
	make slots being connected to sampleRateChanged()-signal being called
	immediately

	* src/tracks/instrument_track.cpp:
	cleanups

	* src/core/mixer.cpp:
	initialize quality with draft-preset

	* include/setup_dialog.h:
	* include/audio_device.h:
	* src/gui/main_window.cpp:
	* src/gui/setup_dialog.cpp:
	* src/core/audio/audio_device.cpp:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_sdl.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/audio/audio_jack.cpp:
	made HQ-mode for audio-devices optional

	* include/controller.h:
	* include/song.h:
	* include/audio_file_device.h:
	* include/song_editor.h:
	* include/export.h:
	* include/export_project_dialog.h:
	* src/gui/dialogs/export_project.ui:
	* src/gui/song_editor.cpp:
	* src/gui/export_project_dialog.cpp:
	* src/core/song.cpp:
	* src/core/main.cpp:
	* Makefile.am:
	introduced new project-export dialog

	* include/project_renderer.h:
	* src/core/project_renderer.cpp:
	new class for easily rendering a project into a file

	* include/mixer.h:
	* include/audio_sdl.h:
	* include/audio_jack.h:
	* include/audio_device.h:
	* include/audio_oss.h:
	* include/audio_alsa.h:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_device.cpp:
	* src/core/audio/audio_file_wave.cpp:
	* src/core/audio/audio_jack.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/audio/audio_sdl.cpp:
	* src/core/mixer.cpp:
	when changing quality-settings tell audio-devices about it so that
	they can adjust their output-samplerate

2008-05-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/organic/organic.cpp:
	* plugins/lb302/lb302.cpp:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/vibed/vibrating_string.cpp:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/live_tool/live_tool.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/vst_base/lvsl_client.cpp:
	* plugins/ladspa_browser/ladspa_port_dialog.cpp:
	* plugins/kicker/kicker.cpp:
	* include/effect.h:
	* include/controller.h:
	* include/mixer.h:
	* include/sample_buffer.h:
	* include/audio_dummy.h:
	* include/audio_sdl.h:
	* include/song.h:
	* include/audio_file_device.h:
	* include/audio_jack.h:
	* include/audio_device.h:
	* include/audio_oss.h:
	* include/audio_sample_recorder.h:
	* include/audio_alsa.h:
	* src/gui/piano_roll.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/setup_dialog.cpp:
	* src/gui/file_browser.cpp:
	* src/gui/widgets/envelope_and_lfo_view.cpp:
	* src/gui/automation_editor.cpp:
	* src/gui/export_project_dialog.cpp:
	* src/gui/bb_editor.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/pattern.cpp:
	* src/core/song.cpp:
	* src/core/bb_track_container.cpp:
	* src/core/audio/audio_file_device.cpp:
	* src/core/audio/audio_device.cpp:
	* src/core/audio/audio_alsa.cpp:
	* src/core/audio/audio_sdl.cpp:
	* src/core/audio/audio_oss.cpp:
	* src/core/audio/audio_sample_recorder.cpp:
	* src/core/audio/audio_jack.cpp:
	* src/core/sample_play_handle.cpp:
	* src/core/envelope_and_lfo_parameters.cpp:
	* src/core/mixer.cpp:
	* src/core/instrument_sound_shaping.cpp:
	* src/core/instrument_functions.cpp:
	* src/core/engine.cpp:
	* src/core/sample_buffer.cpp:
	* src/core/oscillator.cpp:
	* src/core/controller.cpp:
	* src/core/lfo_controller.cpp:
	made quality-settings (internal processing samplerate, interpolation
	and so on) independent of audio-devices (final output) and added new
	qualitySettings-structure to mixer - might be still buggy and HQ-mode
	is currently not working, this is going to be fixed tomorrow, anyways
	important preparation for new project-export-dialog

2008-05-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/fx_mixer_view.cpp:
	added spacing below FX-bank-selector

	* include/effect_select_dialog.h:
	* include/plugin.h:
	* src/gui/effect_select_dialog.cpp:
	fixed crash when adding an effect although none is selected and
	improved overall usability

	* plugins/organic/organic.cpp:
	fixed knob-inheritance problems

2008-05-04	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/kicker/kicker.cpp:
	* plugins/kicker/artwork.png:
	Add new kicker artwork

	* plugins/organic/organic.cpp:
	* plugins/organic/randomise.png:
	* plugins/organic/randomise_pressed.png:
	* plugins/organic/artwork.png:
	* plugins/organic/logo.png:
	Add new organic artwork

	* include/knob.h:
	* src/gui/widgets/knob.cpp:
	Seperate some drawing functionality to simplify subclasses

	* src/tracks/instrument_track.cpp:
	Change plugin size from 246px back to 250px

2008-05-03	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/track.cpp:
	fixed move of TCO-selections

2008-04-30	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/gui/piano_roll.cpp:
	- Fixed moving of selected notes.
	- TODO: Quantanize the movement to selected "Q"

2008-04-29	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/main_window.h:
	* src/gui/main_window.cpp:
	Add button for toggling FX Window.  Can use a better icon.

2008-04-28	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	Add gain, chorus, and reverb controls

	* include/instrument_functions.h:
	* src/core/instrument_functions.cpp:
	Fixed arpeggio direction loading

	* src/gui/widgets/effect_rack_view.cpp:
	Display effect window and enable fx-chain when adding an effect

	* src/gui/widgets/effect_view.cpp:
	Make effect controls window non-resizeable and remove maximize button

2008-04-26	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/stereo_enhancer/stereo_enhancer.cpp:
	* plugins/stereo_enhancer/stereo_enhancer.h:
	- made delay-buffer a simple stereo-buffer instead of
	  surround-frame-buffer
	- added missing call in constructor to clear newly created
	  delay-buffer - fixes bad distorted sound in various scenarios

2008-04-25	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/bit_invader/bit_invader.cpp:
	Fixed samplelength loading

2008-04-24	Paul Giblock <drfaygo/at/gmail/dot/com>

	* src/core/song.cpp:
	Reset LFO counter on song play

	* src/core/controller.cpp:
	* include/controller.h:
	Change counter from signed int to unsigned

	* src/gui/piano_roll.cpp:
	- Allow volume bars to be modified by clicking one bar, then 
	  sweeping the mouse
	- shade volume bars according to volume
	- fixed drawing of background while scrolling

	* plugins/stereo_matrix/stereo_matrix.cpp:
	Made wet/dry knob do something. Acts as a nice panning knob when the
	matrix has the channels swapped.

	* src/tracks/instrument_track.cpp:
	* src/gui/fx_mixer_view.cpp:
	* include/fx_mixer_view.h:
	- Made bank-buttons easier to hit
	- Double click on fx-channel LCD in ITW to warp to the proper FX-line

2008-04-20	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/widgets/group_box.cpp:
	* plugins/sf2_player/sf2_player.cpp:
	small cleanups

	* data/themes/default/style.css:
	* include/fx_mixer_view.h:
	* src/gui/fx_mixer_view.cpp:
	improved layouting and made FX-lines being organized in 4 banks
	instead of one big scrollarea

	* src/core/engine.cpp:
	create FX-mixer after song

	* Makefile.am:
	* include/fx_mixer.h:
	* include/fx_mixer_view.h:
	* src/core/fx_mixer.cpp:
	* src/core/song.cpp:
	* src/gui/fx_mixer_view.cpp:
	splitted source-files for FX-mixer and its view

	* include/fader.h:
	* src/gui/widgets/fader.cpp:
	made faders automatable

	* include/song.h:
	made automation-track public accessible

	* include/visualization_widget.h:
	* src/gui/widgets/visualization_widget.cpp:
	use new timer-framework

	* include/song_editor.h:
	* src/gui/song_editor.cpp:
	added fast and leightweight timer-framework - widgets requiring
	periodic updates can simply connect their update-slots to
	songEditor::periodicUpdate()

2008-04-20	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/stereo_matrix/stereomatrix_controls.cpp:
	Fixed saveSettings

2008-04-16	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	rewrote reference-sharing. Should return near-100% memory on unload, and
	should properly handle samplerate changes.  Now we can render large
	sf2-based projects without consuming a gig of ram :)

2008-04-15	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/file_browser.cpp:
	check type of preview-play-handle via type() instead of blindly using
	dynamic_cast - probably fixes random crashes when previewing a lot of
	samples and presets

	* src/tracks/instrument_track.cpp:
	delete instrument-instance *after* removing all play-handles from
	mixer as several play-handle-methods rely on instrument - fixes crash
	when removing track while playing

	* src/core/track.cpp:
	directly delete view before removing model - fixes crash when
	removing instrument-track with instrument-track-window open

2008-04-15	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/stereo_matrix/stereomatrix_control_dialog.cpp:
	Fix layout
	
2008-04-14	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/stereo_matrix:
	* plugins/stereo_matrix/stereo_matrix.cpp:
	* plugins/stereo_matrix/stereo_matrix.h:
	* plugins/stereo_matrix/stereomatrix_controls.cpp:
	* plugins/stereo_matrix/stereomatrix_controls.h:
	* plugins/stereo_matrix/stereomatrix_control_dialog.cpp:
	* plugins/stereo_matrix/stereomatrix_control_dialog.h:
	* plugins/stereo_matrix/logo.png:
	* plugins/stereo_matrix/Makefile.am:
	* configure.in:
	* plugins/Makefile.am:
	Add stereo matrix plugin for real panning and stereo-swapping

2008-04-14	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	added resampling with Sinc-interpolation in case LMMS processes with
	higher sample-rate than 96 KHz

2008-04-14	Paul Giblock <drfaygo/at/gmail/dot/com>

	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	support HQ-mode except for interpolation for sampleRates > 96k

	* include/controller_dialog.h:
	* include/controller_view.h:
	* src/gui/controller_dialog.cpp:
	* src/gui/widgets/controller_view.cpp:
	* Makefile.am:
	fix segfault when trying to show a controller dialog the second time

2008-04-12	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/lb302/lb302.cpp:
	replaced LB_HZ with engine::getMixer()->sampleRate()-calls in order to
	have a correct pitch in HQ-mode

	* plugins/ladspa_effect/ladspa_effect.cpp:
	* plugins/ladspa_effect/ladspa_control_dialog.cpp:
	* plugins/ladspa_effect/ladspa_effect.h:
	* plugins/ladspa_effect/ladspa_controls.cpp:
	* plugins/ladspa_effect/Makefile.am:
	* plugins/ladspa_effect/ladspa_control_dialog.h:
	* plugins/ladspa_effect/ladspa_controls.h:
	* include/effect_control_dialog.h:
	made LADSPA-effect-hoster handle samplerate-changes so that we've
	proper effect-processing in HQ-mode

	* include/lmms_constants.h:
	more accurate constants

	* src/gui/export_project_dialog.cpp:
	fixed progress-bar after change of tick-resolution from 64 to 192

	* include/mixer.h:
	* src/core/mixer.cpp:
	made clearAudioBuffer() static

	* include/song.h:
	* src/core/ladspa_manager.cpp:
	coding-style-stuff

	* src/core/oscillator.cpp:
	do not synthesize anything if frequency is above half of samplerate

2008-04-09	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/flp_import/flp_import.cpp:
	* plugins/midi_import/midi_import.cpp:
	* include/engine.h:
	* include/song.h:
	* include/pattern.h:
	* include/piano_roll.h:
	* include/midi_time.h:
	* include/types.h:
	* include/timeline.h:
	* include/automation_editor.h:
	* configure.in:
	* src/gui/piano_roll.cpp:
	* src/gui/song_editor.cpp:
	* src/gui/automation_editor.cpp:
	* src/tracks/bb_track.cpp:
	* src/tracks/instrument_track.cpp:
	* src/tracks/pattern.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/song.cpp:
	* src/core/bb_track_container.cpp:
	* src/core/mixer.cpp:
	* src/core/mmp.cpp:
	* src/core/track.cpp:
	* src/core/engine.cpp:
	* src/core/timeline.cpp:
	* src/core/automation_pattern.cpp:
	changed internal MIDI-time-resolution from 64th to 192th resulting for
	example in better MIDI-import and allowing to use triplet-notes in LMMS

2008-04-09	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/controller.h:
	* src/core/controller.cpp:
	fit values between 0.0 and 1.0

	* include/lfo_controller.h:
	* src/gui/lfo_controller_dialog.cpp:
	* src/core/lfo_controller.cpp:
	add more parameters to LFO controller

2008-04-08	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/engine.h:
	* src/core/engine.cpp:
	add static accessor to the controller rack.  I'm sure this won't be it's
	own MDISubWindow very long..

	* include/controller.h:
	* include/controller_dialog.h:
	* src/gui/widgets/knob.cpp:
	* src/core/controller.cpp:
	add gui accesssor and split off LFO

	* include/song.h:
	* src/core/song.cpp:
	make song the model for user-created controllers

	* src/gui/song_editor.cpp:
	added icon.  Was going to add controller rack as a QSplitter but found
	this would take too much time right now

	* src/gui/widgets/visualization_widget.cpp:
	drop back from 40 to an arbitrary 24fps

	* include/lfo_controller.h:
	* src/gui/lfo_controller.cpp:
	* src/gui/lfo_controller_dialog.cpp:
	- add beginnings of an LFO controller and dialog
	- don't mind the unoptimized code, it will be fixed

	* include/controller_view.h:
	* include/controller_rack_view.h:
	* src/gui/widgets/controller_view.cpp:
	* src/gui/widgets/controller_rack_view.cpp:
	* data/themes/default/controller_bg.png:
	The beginning of the controller rack and controller items.  This is an
	absolute bare minimum interface at the moment.  Also ulta-buggy.

	* include/controller_connection_dialog.h:
	* src/gui/controller_connection_dialog.cpp:
	This is the connection dialog. Will allow users to create and modify
	connections between a controller and model.  The lineEdit will be for
	editing a mapping function to scale, offset, trig-ify, etc.

	* Makefile.am:
	add controller related files

2008-04-07	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/gui/effect_select_dialog.cpp:
	fixed wrong model-index (=>wrong description-widget) when filtering

	* src/gui/lmms_style.cpp:
	decreased button-icon-size to 20px

	* src/core/fx_mixer.cpp:
	process FX-channels until effects signal that there's nothing more to
	process - closes #1935872

	* configure.in:
	integrated changes from libsamplerate-0.1.3/configure.ac

	* include/effect_select_dialog.h:
	* src/gui/effect_select_dialog.cpp:
	- cleanups
	- fixed broken connection for "Add"-button

	* src/3rdparty/samplerate/common.h:
	* src/3rdparty/samplerate/fastest_coeffs.h:
	* src/3rdparty/samplerate/float_cast.h:
	* src/3rdparty/samplerate/high_qual_coeffs.h:
	* src/3rdparty/samplerate/mid_qual_coeffs.h:
	* src/3rdparty/samplerate/samplerate.c:
	* src/3rdparty/samplerate/samplerate.h:
	* src/3rdparty/samplerate/src_linear.c:
	* src/3rdparty/samplerate/src_sinc.c:
	* src/3rdparty/samplerate/src_zoh.c:
	integrated libsamplerate 0.1.3 source which has various improvements
	over 4-year-old version 0.1.2

	* src/gui/widgets/combobox.cpp:
	set correct value for model when selecting an item whose strings
	occurs multiple times in the combobox

2008-04-06	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* include/effect_select_dialog.h:
	* src/gui/effect_select_dialog.cpp:
	changed list-widget to be a list-view and added a line-edit for
	filtering the list

2008-04-06  Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/lmms_style.h:
	* src/gui/lmms_style.cpp:
	Fix icon size for buttons etc...

2008-04-05	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* plugins/patman/patman.cpp:
	* plugins/patman/patman.h:
	* plugins/lb302/lb302.cpp:
	* plugins/lb302/lb302.h:
	* plugins/organic/organic.cpp:
	* plugins/organic/organic.h:
	* plugins/bit_invader/bit_invader.cpp:
	* plugins/bit_invader/bit_invader.h:
	* plugins/vibed/vibed.h:
	* plugins/vibed/vibed.cpp:
	* plugins/triple_oscillator/triple_oscillator.h:
	* plugins/triple_oscillator/triple_oscillator.cpp:
	* plugins/audio_file_processor/audio_file_processor.cpp:
	* plugins/audio_file_processor/audio_file_processor.h:
	* plugins/stk/mallets/mallets.cpp:
	* plugins/stk/mallets/mallets.h:
	* plugins/sf2_player/sf2_player.cpp:
	* plugins/sf2_player/sf2_player.h:
	* plugins/vestige/vestige.cpp:
	* plugins/vestige/vestige.h:
	* plugins/kicker/kicker.cpp:
	* plugins/kicker/kicker.h:
	* include/instrument_play_handle.h:
	* include/mixer.h:
	* include/instrument_track.h:
	* include/instrument.h:
	* include/note_play_handle.h:
	* include/sample_play_handle.h:
	* include/dummy_instrument.h:
	* include/preset_preview_play_handle.h:
	* include/play_handle.h:
	* src/tracks/instrument_track.cpp:
	* src/core/preset_preview_play_handle.cpp:
	* src/core/note_play_handle.cpp:
	* src/core/sample_play_handle.cpp:
	* src/core/mixer.cpp:
	* src/core/instrument.cpp:
	made rendering happen with one global working-buffer per thread -
	hopefully improves L1/L2-cache-efficiency

	* include/file_browser.h:
	* src/gui/file_browser.cpp:
	do not examine directories for being empty when adding them - speeds
	up LMMS-startup a lot!

2008-04-04	Paul Giblock <drfaygo/at/gmail/dot/com>

	* include/knob.h:
	* src/gui/widgets/knob.cpp:
	Add friendlyUpdates slot and override doConnections

	* include/song_editor.h:
	Add button for managing controller to songEditor

	* include/mv_base.h:
	* include/core/mv_base.cpp:
	Make doConnections virtual

	* include/combobox.h:
	Fixed tabs

	* src/core/mixer.cpp:
	Couldn't easily convert from void* to int on a 64bit machine.  Instead,
	we now use a union.  We should change any enqueueing code to use the
	union as well
	
	* data/themes/add_controller.png:
	* data/themes/controller.png:
	Some new images for controllers

2008-04-04	Tobias Doerffel	<tobydox/at/users/dot/sourceforge/dot/net>

	* src/core/mixer.cpp:
	implemented parallelization of FX-channel-processing

	* include/automatable_model.h:
	* include/automatable_model_templates.h:
	cleanups and optimizations in value( int )

2008-04-04	Paul Giblock <drfaygo/at/gmail/dot/com>
	
	* include/controller.h:
	* src/core/controller.cpp:
	* Makefile.am:
	Add controller class to LMMS

	* include/knob.h:
	* src/gui/widgets/knob.cpp:
	Add Connect to Controller item to context menu for future dialog

	* include/automatable_model.h:
	* include/automatable_model_templates.h:
	- add controller pointer to class
	- add value(int offset) function for sample-exact value fetching
	- use controller in value() if set

	* src/tracks/pattern.cpp:
	Fixed length of notes according to PaulWay
	
	* src/core/mixer.cpp:
	trigger controller's frame counter

	* data/themes/llama:
